import { useState, useEffect, useCallback } from 'react';
import cacheUtils from 'utils/cacheUtils';

export function useCurrencyHook() {
  const [currency, setCurrency] = useState("VND");
  const userInfo = cacheUtils.getUserInfo();
  const currencyMemory = useCallback((userInfo) => {
    if (userInfo) {
    const userInfoJson = JSON.parse(userInfo);
    if (userInfoJson.profile?.merchant?.setting) {
      return userInfoJson.profile?.merchant?.setting.currency;
    }
    return 'VND';
  } else {
    return 'VND';
  }}, [userInfo]);

  useEffect(() => {
    setCurrency(currencyMemory(userInfo));
  });

  return currency;
}