import React, { useState, useEffect, useCallback } from 'react';
import { Form, Select } from "antd";

export function usePhoneAddon(phoneCountries) {
  const [phoneCountry, setPhoneCountry] = useState<React.ReactElement>();
  const currencyMemory = useCallback((phoneCountries) => 
    (
      <Form.Item name="phoneCountryCode" noStyle initialValue="+84">
        <Select showArrow={false} style={{ color: '#9cd339'}} dropdownMatchSelectWidth={250} optionLabelProp="label" className="phone-prefix">
          {phoneCountries.map(phone => <Select.Option value={`${phone.phoneCode}`} label={phone.phoneCode}>{`(${phone.name}) ${phone.phoneCode}`}</Select.Option>)}
        </Select>
      </Form.Item>
    ),[phoneCountries]);

  useEffect(() => {
    setPhoneCountry(currencyMemory(phoneCountries));
  },[phoneCountries]);

  return phoneCountry;
}