import React from "react";
import FloatLabel from "components/FormatInput/FloatLabel"

export function FormatInput(props) {
  const { value, formatter, placeholder } = props;
  const formatValue = (value = '') => {
    if (formatter && value !== null && value !== '') {
      return formatter(value.toString().replace(/,/g, ''));
    }
    return value;
  }
  let newProps = {...props};
  delete newProps.placeholder;
  return (
    <FloatLabel {...newProps} value={formatValue(value)} label={placeholder}/>
  )
}
export function FormatTimeInput(props) {
  const { value, formatter, showSecond, placeholder } = props;
  const formatValue = (value = '') => {
    if (formatter && value !== null) {
      let timeString = value.toString().replace(/:/g, '');
      return formatter(timeString);
    }
    return value;
  }
  let newProps = {...props};
  delete newProps.placeholder;
  return (
    <FloatLabel {...newProps} value={formatValue(value)} label={placeholder}/>
  )
}