import React, { useState } from 'react';
import styled from 'styled-components';

const Wrapper = styled.div`
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-width: 82px;
  .base {
    width: 27px;
    height: 27px;
    border-radius: 100px;
    border: solid 1px #e5e5e5;
    background-color: #ffffff;
    color: #9cd339;
  }
`

interface Props {
  id: number; // TODO: remove id
  value?: number;
  onChange?: Function;
}

export function InputNumber (props: Props) {
  const { id, value, onChange } = props;
  const [number, setNumber] = useState<number>(value || 0);
  const triggerChange = (value) => {
    if (onChange) {
      onChange(id, value);
    }
  }
  const onAdd = () => {
    setNumber(number + 1);
    triggerChange(number + 1);
  }
  const onSubtract = () => {
    setNumber(number - 1);
    triggerChange(number - 1);
  }
  return (
    <Wrapper>
      <button className="base" onClick={onSubtract}>-</button>
      <span>{value || number}</span>
      <button className="base" onClick={onAdd}>+</button>
    </Wrapper>
  )
}
