/*
 * AddPromotion Messages
 *
 * This contains all the text for the AddPromotion container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.AddPromotion';

export default defineMessages({
  image: {
    id: `image`,
    defaultMessage: 'Hình ảnh khuyến mãi',
  },
  promotionInfo: {
    id: `app.containers.AddPromotion.promotionInfo`,
    defaultMessage: 'Thông tin khuyến mãi',
  },
  promotionType: {
    id: `app.containers.AddPromotion.promotionType`,
    defaultMessage: 'Loại khuyến mãi',
  },
  free: {
    id: `app.containers.AddPromotion.free`,
    defaultMessage: 'Miễn phí',
  },
  exchange: {
    id: `app.containers.AddPromotion.exchange`,
    defaultMessage: 'Đổi điểm',
  },
  discountBy: {
    id: 'discountBy',
    defaultMessage: 'Giảm giá theo'
  },
  requirePromotionName: {
    id: `app.containers.AddPromotion.requirePromotionName`,
    defaultMessage: 'Vui lòng nhập tên khuyến mãi',
  },
  promotionName: {
    id: `app.containers.AddPromotion.promotionName`,
    defaultMessage: 'Tên khuyến mãi',
  },
  requireFromDate: {
    id: `app.containers.AddPromotion.requireFromDate`,
    defaultMessage: 'Vui lòng chọn ngày bắt đầu',
  },
  fromDate: {
    id: `app.containers.AddPromotion.fromDate`,
    defaultMessage: 'Từ ngày',
  },
  requireToDate: {
    id: `app.containers.AddPromotion.requireToDate`,
    defaultMessage: 'Vui lòng chọn ngày kết thúc',
  },
  toDate: {
    id: `app.containers.AddPromotion.toDate`,
    defaultMessage: 'Đến ngày',
  },
  promotionDays: {
    id: `app.containers.AddPromotion.promotionDays`,
    defaultMessage: 'Ngày được khuyến mãi',
  },
  monday: {
    id: `app.containers.AddPromotion.monday`,
    defaultMessage: 'Thứ 2',
  },
  tuesday: {
    id: `app.containers.AddPromotion.tuesday`,
    defaultMessage: 'Thứ 3',
  },
  wednesday: {
    id: `app.containers.AddPromotion.wednesday`,
    defaultMessage: 'Thứ 4',
  },
  thursday: {
    id: `app.containers.AddPromotion.thursday`,
    defaultMessage: 'Thứ 5',
  },
  friday: {
    id: `app.containers.AddPromotion.friday`,
    defaultMessage: 'Thứ 6',
  },
  sevenday: {
    id: `app.containers.AddPromotion.sevenday`,
    defaultMessage: 'Thứ 7',
  },
  sunday: {
    id: `app.containers.AddPromotion.sunday`,
    defaultMessage: 'Chủ nhật',
  },
  requireFromTime: {
    id: `app.containers.AddPromotion.requireFromTime`,
    defaultMessage: 'Vui lòng chọn khung giờ bắt đầu khuyến mãi',
  },
  fromTime: {
    id: `app.containers.AddPromotion.fromTime`,
    defaultMessage: 'Từ khung giờ',
  },
  requireToTime: {
    id: `app.containers.AddPromotion.requireToTime`,
    defaultMessage: 'Vui lòng chọn khung giờ kết thúc khuyến mãi',
  },
  attachment: {
    id: `app.containers.AddPromotion.attachment`,
    defaultMessage: 'Tặng kèm',
  },
  quantity: {
    id: `app.containers.AddPromotion.quantity`,
    defaultMessage: 'Số lượng',
  },
  requireQuantity: {
    id: `app.containers.AddPromotion.requireQuantity`,
    defaultMessage: 'Vui lòng nhập số lượng',
  },
  requirePoints: {
    id: `app.containers.AddPromotion.requirePoints`,
    defaultMessage: 'Vui lòng nhập số điểm',
  },
  requireFormatTime: {
    id: `app.containers.AddPromotion.requireFormatTime`,
    defaultMessage: 'Vui lòng nhập {format}',
  },
  toTime: {
    id: `app.containers.AddPromotion.toTime`,
    defaultMessage: 'Đến khung giờ',
  },
  requirePromotionSubjects: {
    id: `app.containers.AddPromotion.requirePromotionSubjects`,
    defaultMessage: 'Vui lòng chọn đối tượng khuyến mãi',
  },
  promotionSubjects: {
    id: `app.containers.AddPromotion.promotionSubjects`,
    defaultMessage: 'Đối tượng khuyến mãi',
  },
  requirePromotionType: {
    id: `app.containers.AddPromotion.requirePromotionType`,
    defaultMessage: 'Vui lòng chọn loại giảm giá',
  },
  percent: {
    id: `app.containers.AddPromotion.percent`,
    defaultMessage: 'Phần trăm',
  },
  amount: {
    id: `app.containers.AddPromotion.amount`,
    defaultMessage: 'Số tiền',
  },
  requireDiscount: {
    id: `app.containers.AddPromotion.requireDiscount`,
    defaultMessage: 'Vui lòng nhập số tiền khuyến mãi!',
  },
  requireNumberInput: {
    id: `app.containers.AddPromotion.requireNumberInput`,
    defaultMessage: 'Vui lòng nhập số!',
  },
  requireInputGreaterThanZero: {
    id: `app.containers.AddPromotion.requireInputGreaterThanZero`,
    defaultMessage: 'Vui long nhập số lớn hơn 0!',
  },
  points: {
    id: `app.containers.AddPromotion.points`,
    defaultMessage: 'Số điểm',
  },
  point: {
    id: `app.containers.AddPromotion.point`,
    defaultMessage: 'điểm',
  },
  minimumOrderAmount: {
    id: `app.containers.AddPromotion.minimumOrderAmount`,
    defaultMessage: 'Đơn hàng tối thiểu',
  },
  description: {
    id: `app.containers.AddPromotion.description`,
    defaultMessage: 'Mô tả',
  },
  condition: {
    id: `app.containers.AddPromotion.condition`,
    defaultMessage: 'Điều kiện sử dụng',
  },
  terms: {
    id: `app.containers.AddPromotion.terms`,
    defaultMessage: 'Điều khoản sử dụng',
  },
  save: {
    id: `app.containers.AddPromotion.save`,
    defaultMessage: 'Lưu',
  },
  product: {
    id: `app.containers.AddPromotion.product`,
    defaultMessage: 'Sản phẩm / Dịch vụ'
  },
  status: {
    id: `app.containers.AddPromotion.status`,
    defaultMessage: 'Tình trạng',
  },
  active: {
    id: `app.containers.AddPromotion.active`,
    defaultMessage: 'Đang hoạt động',
  },
  inactive: {
    id: `app.containers.AddPromotion.inactive`,
    defaultMessage: 'Ngưng hoạt động',
  },
  endDateAfterStartDate: {
    id: 'endDateAfterStartDate',
    defaultMessage: 'Ngày hết hạn phải lớn hơn ngày bắt đầu'
  },
  startDateBeforeEndDate: {
    id: 'startDateBeforeEndDate',
    defaultMessage: 'Ngày bắt đầu phải nhỏ hơn ngày hết hạn'
  },
  validDuration: {
    id: 'validDuration',
    defaultMessage: 'thời hạn sử dụng'
  },
  days: {
    id: 'days',
    defaultMessage: 'Ngày'
  }
}, scope);
