/*
 *
 * AddPromotion reducer
 *
 */

import ActionTypes from './constants';
import { ContainerState, ContainerActions } from './types';

export const initialState: ContainerState = {
  isFetching: false,
  message: '',
  subjects: []
};

function addPromotionReducer(
  state: ContainerState = initialState,
  action: ContainerActions,
): ContainerState {
  switch (action.type) {
    case ActionTypes.ADD_PROMOTION:
      return { ...state, isFetching: true };
    case ActionTypes.ADD_PROMOTION_SUCCESS:
      return { ...state, isFetching: false };
    case ActionTypes.ADD_PROMOTION_FAIL:
      return { ...state, isFetching: false, message: action.payload };
    case ActionTypes.GET_PROMOTION_SUBJECTS:
      return { ...state, isFetching: true };
    case ActionTypes.GET_PROMOTION_SUBJECTS_SUCCESS:
      return { ...state, isFetching: false, subjects: action.payload };
    case ActionTypes.GET_PROMOTION_SUBJECTS_FAIL:
      return { ...state, isFetching: false, message: action.payload };
    default:
      return state;
  }
}

export default addPromotionReducer;
