import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the addPromotion state domain
 */

const selectAddPromotionDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by AddPromotion
 */

const makeSelectAddPromotion = () =>
  createSelector(selectAddPromotionDomain, substate => substate.addPromotion);

export default makeSelectAddPromotion;
export { selectAddPromotionDomain };
