import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

export interface Subject {
  readonly id: number;
  readonly limit: number;
  readonly name: string;
}

/* --- STATE --- */
interface AddPromotionState {
  readonly isFetching: boolean;
  readonly message: string;
  readonly subjects: Subject[];
}

/* --- ACTIONS --- */
type AddPromotionActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = AddPromotionState;
type ContainerActions = AddPromotionActions;

export { ContainerState, ContainerActions };
