import ActionTypes from "./constants";
import { action } from "typesafe-actions";

export const getRestaurants = merchantId => action(ActionTypes.GET_RESTAURANTS, merchantId);
export const getRestaurantsSuccess = restaurants => action(ActionTypes.GET_RESTAURANTS_SUCCESS, restaurants);
export const getRestaurantsFail = message => action(ActionTypes.GET_RESTAURANTS_FAIL, message);

export const getMenus = merchantId => action(ActionTypes.GET_MENUS, merchantId);
export const getMenusSuccess = menus => action(ActionTypes.GET_MENUS_SUCCESS, menus);
export const getMenusFail = message => action(ActionTypes.GET_MENUS_FAIL, message);

export const getRoles = () => action(ActionTypes.GET_ROLES);
export const getRolesSuccess = (roles) => action(ActionTypes.GET_ROLES_SUCCESS, roles);
export const getRolesFail = (message) => action(ActionTypes.GET_ROLES_FAIL, message);

export const getPhoneCountries = () => action(ActionTypes.GET_PHONE_COUNTRY);
export const getPhoneCountriesSuccess = phones => action(ActionTypes.GET_PHONE_COUNTRY_SUCCESS, phones);
export const getPhoneCountriesFail = message => action(ActionTypes.GET_PHONE_COUNTRY_FAIL, message);

export const getSetting = () => action(ActionTypes.GET_SETTING);
export const getSettingSuccess = (settings) => action(ActionTypes.GET_SETTING_SUCCESS, settings);
export const getSettingFail = (message) => action(ActionTypes.GET_SETTING_FAIL, message);

export const setReload = () => action(ActionTypes.SET_RELOAD);

export const changePassword = ({ id, values }) =>
  action(ActionTypes.CHANGE_PASSWORD, { id, values });
export const changePasswordSuccess = staff =>
  action(ActionTypes.CHANGE_PASSWORD_SUCCESS, staff);
export const changePasswordFail = message =>
  action(ActionTypes.CHANGE_PASSWORD_FAIL, message);

export const apiError = message => action(ActionTypes.API_ERROR, message);

export const apiSuccess = message => action(ActionTypes.API_SUCCESS, message);
