/*
 *
 * StaffAddNew reducer
 *
 */

import ActionTypes from "./constants";

import { ContainerActions, ContainerState } from "./types";

export const initialState: ContainerState = {
  default: null,
  isFetching: false,
  message: '',
  restaurants: [],
  menus: [],
  roles: [],
  isReload: true,
  phoneCountries:[],
};

function appReducer(
  state: ContainerState = initialState,
  action: ContainerActions,
): ContainerState {
  switch (action.type) {
    case ActionTypes.SET_RELOAD:
      return { ...state, isReload: false };
    case ActionTypes.GET_RESTAURANTS:
      return { ...state, isFetching: true };
    case ActionTypes.GET_RESTAURANTS_SUCCESS:
      return { ...state, isFetching: false, restaurants: action.payload};
    case ActionTypes.GET_RESTAURANTS_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_SETTING:
      return { ...state, isFetching: true };
    case ActionTypes.GET_SETTING_SUCCESS:
      return { ...state, isFetching: false};
    case ActionTypes.GET_SETTING_FAIL:
    return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_PHONE_COUNTRY:
      return { ...state, isFetching: true, };
    case ActionTypes.GET_PHONE_COUNTRY_SUCCESS:
      return { ...state, phoneCountries: action.payload, isFetching: false };
    case ActionTypes.GET_PHONE_COUNTRY_FAIL:
      return { ...state, message: action.payload, isFetching: false }
    case ActionTypes.GET_MENUS:
      return { ...state, isFetching: true };
    case ActionTypes.GET_MENUS_SUCCESS:
      const menus = action.payload.reduce((acc, category) => acc.concat(category.menuItems.map(menuItem => ({id: menuItem.id, name: menuItem.name}))),[])
      return { ...state, isFetching: false, menus};
    case ActionTypes.GET_MENUS_FAIL:
      return { ...state, message: action.payload, isFetching: false }
    case ActionTypes.GET_ROLES_SUCCESS:
      return { ...state, isFetching: false, roles: action.payload }
    case ActionTypes.GET_ROLES_FAIL:
      return { ...state, isFetching: false, message: action.payload};
    default:
      return state;
  }
}

export default appReducer;
