import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import cacheUtils from 'utils/cacheUtils';
const userInfo = cacheUtils.getUserInfo();


const selectRoute = (state: ApplicationRootState) => state.router;

const makeSelectLocation = () =>
  createSelector(selectRoute, routeState => routeState.location);

// @ts-ignore
const makeSelectRestaurants = () => createSelector(state => state.app, appState => appState.restaurants);

// @ts-ignore
const makeSelectMenus = () => createSelector(state => state.app, appState => appState.menus);

// @ts-ignore
const makeSelectCurrency = () => {
  if (userInfo) {
    const userInfoJson = JSON.parse(userInfo);
    return userInfoJson.profile?.merchant?.setting.currency;
  } else {
    return 'VND'
  }
};

// @ts-ignore
const makeSelectRoles = () => createSelector(state => state.app, appState => appState.roles);

// @ts-ignore
const makeSelectPhoneCountries= () => createSelector(state => state.app, appState => appState.phoneCountries);

// @ts-ignore
const makeSelectReload = () => createSelector(state => state.app, appState => appState.isReload);


export { makeSelectLocation, makeSelectRestaurants, makeSelectMenus, makeSelectRoles, makeSelectCurrency, makeSelectReload, makeSelectPhoneCountries };
