export const PUBLIC_API = process.env.PUBLIC_API;
export const API_URL = `${PUBLIC_API}/api`;

// Authentication
export const LOGIN = `${API_URL}/users/login-cms`;

// Administration
export const ADMIN_BILL_URL = `${API_URL}/admin/bills`;
export const ADMIN_BILL_BY_VAL = `${API_URL}/admin/bill/:val`;
export const ADMIN_MERCHANT_BY_ID_URL = `${API_URL}/admin/merchant/:id`;

// User
export const FORGOT_PASSWORD_URL = `${API_URL}/users/forgot-password`;
export const CHANGE_PASSWORD_BY_ID = `${API_URL}/users/change-password/:id`;
export const CHANGE_PASSWORD = `${API_URL}/users/change-password`;
export const CUSTOMER_URL = `${API_URL}/users/customers`;
export const CUSTOMER_BY_ID_URL = `${API_URL}/users/customer/:id`;
export const BLOCK_USER_URL = `${API_URL}/users/block-user/:id`;
export const UNBLOCK_USER_URL = `${API_URL}/users/unblock-user/:id`;
export const STAFF = `${API_URL}/users/staff-user`;
export const STAFF_DETAIL = `${STAFF}/:id`;
export const MERCHANT_SETTING = `${API_URL}/users/merchant-setting`;
export const USER_PROFILE = `${API_URL}/users/profile`;
export const WORKING_HISTORIES = `${API_URL}/users/working-histories`;
export const WORKING_HOURS = `${API_URL}/users/working-hours`;
export const WORKING_HOURS_SETTING = `${API_URL}/admin/setting/working-hours`;
export const BREAKING_HOURS = `${API_URL}/users/breaking-hours`;
export const BREAKING_HOURS_SETTING = `${API_URL}/admin/setting/breaking-hours`;
// Menu
export const MENUS_MENU_ITEMS_MERCHANT_URL = `${API_URL}/menus/merchant-menu`;
export const MENUS_MENU_ITEMS_MERCHANT_SEARCH_URL = `${API_URL}/menus/menu-items-merchant/:keyword`;
export const MENUS_MENU_ITEM_URL = `${API_URL}/menus/menu-item`;
export const MENUS_MENU_ITEM_BY_ID_URL = `${API_URL}/menus/menu-item/:id`;
export const MENUS_MENU_CATEGORIES_URL = `${API_URL}/menus/menu-categories`;
export const MENUS_MENU_ITEM_UPLOAD_PHOTO_URL = `${API_URL}/menus/menu-item-upload-photo`;
export const MENUS_MENU_ITEM_PRODUCT_URL = `${API_URL}/menus/menu-item-product`;
export const MENUS_MENU_ITEM_RESTAURANT_BY_ID = `${API_URL}/menus/menu-items-restaurant/:id`;
export const MENUS_MENU_ITEM_RESTAURANT_BY_TWO_ID = `${API_URL}/menus/menu-items-restaurant/:id/:secondId`;
export const MENUS_MENU_CATEGORY = `${API_URL}/menus/menu-category`;
export const MENUS_MENU_CATEGORY_BY_ID = `${API_URL}/menus/menu-category/:id`;

// Order
export const ORDER_HISTORY_URL = `${API_URL}/orders/history?customerIds=:id&merchantId=:merchantId`;

// Addons
export const PRODUCTS_ADD_ONS_URL = `${API_URL}/products/add-ons`;
export const PRODUCTS_UNITS_URL = `${API_URL}/products/productUnits`;
export const PRODUCTS_ADD_ONS_BY_ID_URL = `${API_URL}/products/add-ons/:id`;

// Cooking Request
export const COOKING_REQUEST = `${API_URL}/products/cooking-request`;
export const COOKING_REQUEST_DETAIL = `${API_URL}/products/cooking-request/:id`;
export const PRODUCTS_COOKING_REQUEST_GROUPS = `${API_URL}/products/cooking-request-groups`;
export const PRODUCTS_COOKING_REQUEST_GROUP =  `${API_URL}/products/cooking-request-group`;
export const PRODUCTS_COOKING_REQUEST_GROUP_BY_ID_URL =  `${API_URL}/products/cooking-request-group/:id`;

// Ingredient
export const PRODUCTS_INGREDIENTS_URL = `${API_URL}/products/ingredients`;
export const PRODUCTS_INGREDIENTS_BY_ID_URL = `${API_URL}/products/ingredients/:id`;
export const PRODUCTS_MEASURE_UNIT_URL = `${API_URL}/products/measure-units`;

// Product Size
export const PRODUCTS_SIZES =  `${API_URL}/products/sizes`;
export const PRODUCTS_SIZES_BY_ID_URL =  `${API_URL}/products/sizes/:id`;

// Restaurant Layout
export const AREA = `${API_URL}/restaurants/areas`;
export const FLOORS = `${API_URL}/restaurants/floors`;
export const FLOORS_DETAIL = `${FLOORS}/:id`;
export const FLOOR = `${API_URL}/restaurants/floor`;
export const FLOOR_DETAIL = `${FLOOR}/:id`;
export const TABLES = `${API_URL}/restaurants/tables`;
export const TABLE = `${API_URL}/restaurants/table`
export const TABLE_DETAIL = `${TABLE}/:id`;
export const SECTIONS = `${API_URL}/restaurants/sections`;
export const SECTION = `${API_URL}/restaurants/section`;
export const SECTION_DETAIL = `${API_URL}/restaurants/section/:id`;
export const TABLE_ADD_TO_SECTION = `${TABLE_DETAIL}/add-to-section`;
export const TABLE_DELETE_FROM_SECTION = `${TABLE_DETAIL}/delete-from-section`;
export const UPDATE_RESTAURANT_LAYOUT_BY_ID = `${API_URL}/restaurants/update-restaurant-layout/:floorId`

// Restaurant
export const RESTAURANTS = `${API_URL}/restaurants/restaurants`;
export const RESTAURANT = `${API_URL}/restaurants/restaurant`;
export const RESTAURANT_BY_ID_URL = `${API_URL}/restaurants/restaurant/:id`;
export const ASSIGN_STAFF = `${API_URL}/restaurants/assign-staffs`;
export const UNASSIGN_STAFF = `${API_URL}/restaurants/unassign-staff`;

// Report
export const REPORT_MENU_URL = `${API_URL}/report/menu/dashboard`;
export const REPORT_METHOD_URL = `${API_URL}/report/method/dashboard`;
export const REPORT_AVERAGE_REPORT = `${API_URL}/report/average/report`;
export const REPORT_METHOD_REPORT_URL = `${API_URL}/report/method/report`;
export const REPORT_MENU_REPORT = `${API_URL}/report/menu/report`;
export const REPORT_AVERAGE_DASHBOARD_URL = `${API_URL}/report/average/dashboard`;
export const REPORT_REVENUE_BY_MERCHANT_URL = `${API_URL}/report/revenueByMerchant/:merchantId`;

// Promotions
export const PROMOTIONS = `${API_URL}/promotions`;
export const PROMOTION_DETAIL = `${API_URL}/promotions/:id`;
export const PROMOTION_SUBJECTS = `${API_URL}/promotions/promotions-subjects`;

// Gift
export const GIFTS = `${API_URL}/gift-cards`;
export const GIFT_DETAIL = `${API_URL}/gift-cards/:id`;

//Tax
export const TAXS_URL = `${API_URL}/admin/setting/taxes`;
export const TAX_URL = `${API_URL}/admin/setting/tax`;

//Payroll
export const PAYROLL_URL = `${API_URL}/admin/setting/payroll`;

//BreakingTime
export const BREAKINGTIME_URL = `${API_URL}/admin/setting/breaktimes`;