/*
 *
 * LanguageProvider reducer
 *
 */
import { AuthActionTypes } from './authConstants';
import { AuthActions } from './types';
import { TOKEN_KEY } from 'containers/App/constants';

interface ProfileModel {
  readonly avatar?: string;
  readonly avatarHexagon?: string;
  readonly avatar_hexagon?: string;
  readonly countryCode?: string;
  readonly dateOfBirth?: string;
  readonly email?: string;
  readonly firstName?: string;
  readonly gender?: string;
  readonly id?: string;
  readonly language?: string;
  readonly lastName?: string;
  readonly merchantId?: string;
  readonly phone?: string;
  readonly phoneCountryCode?: string;
  readonly restaurantIds?: string;
  readonly roleIds?: string;
  readonly status?: string;
  readonly total?: string;
  readonly totalOrders?: string;
  readonly type?: string;
  readonly username?: string;
}

export interface UserInfoModel {
  readonly token: string | null;
  readonly profile?: ProfileModel;
}

export interface AuthReducerState {
  readonly userInfo: UserInfoModel | null;
}

const token = localStorage.getItem(TOKEN_KEY);

export const initialState: AuthReducerState = {
  userInfo: { token: token },
};

function authReducer(
  state: AuthReducerState = initialState,
  action: AuthActions,
): AuthReducerState {
  switch (action.type) {
    case AuthActionTypes.LOGIN_SUCCESS:
      return {
        ...state,
        userInfo: action.payload,
      };
    default:
      return state;
  }
}
export default authReducer;
