import { createSelector } from 'reselect';
import { initialState } from './authReducer';
import { ApplicationRootState } from 'types';

/**
 * Direct selector to the languageToggle state domain
 */
const selectAuthReducer = (state: ApplicationRootState) =>
  state.auth || initialState;

/**
 * Select the language locale
 */

const makeSelectUserInfo = () =>
  createSelector(selectAuthReducer, authReducer => authReducer.userInfo);

export { selectAuthReducer, makeSelectUserInfo };
