import { ActionType } from 'typesafe-actions';
import * as actions from './authActions';

export type AuthActions = ActionType<typeof actions>;

export interface LoginFormModel {
  readonly username: string;
  readonly password: string;
}

export interface ProfileModel {
  readonly id: string;
  readonly username: string;
  readonly status: string;
  readonly firstName: string;
  readonly lastName: string;
  readonly avatar: string;
  readonly avatarHexagon: string;
  readonly phone: string;
  readonly dateOfBirth: string;
  readonly gender: string;
  readonly email: string;
  readonly merchantId: string;
  readonly language: string;
  readonly phoneCountryCode: string;
  readonly countryCode: string;
  readonly total: string;
  readonly totalOrders: string;
  readonly avatar_hexagon: string;
  readonly role: {
    readonly id: string;
    readonly name: string;
  };
  readonly type: {
    readonly id: string;
    readonly name: string;
  };
  readonly restaurantIds: Array<number>;
}

export interface LoginSuccessResponseModel {
  readonly AccessToken: string;
  readonly ExpiresIn: string;
  readonly TokenType: string;
  readonly RefreshToken: string;
  readonly IdToken: string;
  readonly profile: ProfileModel;
  readonly token: string;
}

export interface ErrorModel {
  readonly message: string;
  readonly error: {
    readonly code: string;
    readonly key: string;
  };
}

export interface ResponseModel<I> {
  data: I;
}
