import React, { useEffect, useState } from 'react';
import { Empty, Row, Col } from 'antd';
import moment from 'moment';
import { updateCustomer } from '../actions';
import { useDispatch, useSelector } from 'react-redux';
import CardGift from './cardGift';
import { injectIntl } from 'react-intl';
import ModalGift from "./modalGift";
import makeSelectCustomerDetail from "../selectors";
import { getGiftCard } from "../actions";
import { createStructuredSelector } from "reselect";
const stateSelector = createStructuredSelector({
  customerDetail: makeSelectCustomerDetail(),
});
function Service(props) {
  const { customerDetail } = useSelector(stateSelector);
  const { giftCard } = customerDetail;
  const [openService, setOpenService] = useState(false);
  const dispatch = useDispatch();
  // const [gift, setGift] = useState();
  const { giftCards } = props;
  const handleOpen = (giftCard) => {
    dispatch(getGiftCard(giftCard.id))
  };
  useEffect(() => {
    if (giftCard) {
      setOpenService(true);
    }
  }, [giftCard]);
  return (
    <>
      <Row className="customer-info-tab" gutter={[20, 20]} >
        {(giftCards && giftCards.length > 0) ? giftCards.map(giftCard => (
          <Col xl={8} lg={8} md={12} sm={12} xs={24} onClick={() => handleOpen(giftCard)}>
            <CardGift giftCard={giftCard} />
          </Col>)) : <Empty />}
      </Row>
      {giftCard && <ModalGift onCancel={() => setOpenService(false)} openService={openService} gift={giftCard}/>}
    </>
  );
}

export default injectIntl(Service);
