import React from 'react';
import { DATE_FORMAT } from "utils/constants";
import { Card } from 'styles/custom-styled-components';
import { PUBLIC_API } from 'containers/App/urls';
import moment from "moment";
import { MenuItemIcon } from 'styles/icon-components';

interface Props {
  note: any;
  intl?: any;
}
function CardDetail(props: Props) {
  const { note } = props;
  const { staff, createdTime } = note;
  const { photo, firstName, lastName } = staff;
  return (
    <>
      <div className="restaurant-card__header">
        <div style={{ position: 'relative' }}>
          {photo ? (
            <img className="image" src={`${PUBLIC_API}/${photo}`} />
          ) : (
            <div className="default-menu">
              <MenuItemIcon />
            </div>
          )}
        </div>
        <div style={{ alignSelf: 'flex-start' }}>
          <div className="name-note mr-t5" >{firstName ? firstName : ''}
          {lastName ? ' ' + lastName : ''}
          </div>
          <div className="time">
          {createdTime && moment(createdTime).format(DATE_FORMAT)}
        </div>
        </div>
        
      </div>
      <hr />
      {note.note && (
        <div className="restaurant-card__row">
          <span className="restaurant-card__row--note">{note.note}</span>
        </div>
      )}
    </>
  );
}

export default function CardNote(props: Props) {
  const { note } = props;

  return (
    <Card
      style={{padding: '20px'}}
      className="touch-card"
    >
      <CardDetail note={note} />
    </Card>
  );
}
