import React, { useEffect, useState } from 'react';
import { Button, DatePicker, Form, Input, Select, Row, Col } from 'antd';
import moment from 'moment';
import { useDispatch } from 'react-redux';
import { CardSeviceWrapper } from '../Styles';
import { injectIntl } from 'react-intl';
import { TotalIcon, ArrowTotalIcon } from 'styles/icon-components';
import messages from 'translations/messages';

function CardSevice(props) {
  const { service, intl } = props;
  const used = parseInt(service.quantity) - parseInt(service.serviceItemQuantity);

  const status = moment(service.expiredTime).isAfter(moment());

  return (
    <CardSeviceWrapper>
      <Row className="service-card__name title-global"><span>{service.productName}</span></Row>
      <Row className="service-card__quanity">
          <Col className="total"><span><TotalIcon name={`x${service.quantity}`}/></span></Col>
          <Col className="used"><span><ArrowTotalIcon />{used == 0 ? used : `-${used}`}</span></Col>
          <Col className="remain"><span>{service.serviceItemQuantity}</span></Col>
      </Row>
      <Row className="service-card__time"><span>{`Thời hạn: ${moment(service.createdTime).format("DD/MM/YYYY")} - ${moment(service.expiredTime).format("DD/MM/YYYY")}`}</span></Row>
      <Row className={`service-card__status${status ? " active" : " inactive"}`}>{status ? intl.formatMessage(messages.valid) : intl.formatMessage(messages.expired)}</Row>
    </CardSeviceWrapper>
  );
}

export default injectIntl(CardSevice);
