import React, { useEffect, useState } from 'react';
import { Empty, Row, Col } from 'antd';
import CardSevice from './cardService';
import { injectIntl } from 'react-intl';
import ModalService from './modalService';

function Service(props) {
  const { serviceItemHistories } = props;
  const [serviceItem, setServiceItem] = useState();
  const [openService, setOpenService] = useState(false);
  const onClickService = (service) => {
    setServiceItem(service);
    setOpenService(true);
  }
  return (
    <>
      <Row className="customer-info-tab" gutter={[20, 20]}>
        {(serviceItemHistories && serviceItemHistories.length > 0) ? serviceItemHistories.map(service => (
          <Col xs={24} sm={12}  md={12} lg={8} xl={8} onClick={() => onClickService(service)}>
            <CardSevice service={service}/>
          </Col>)) : <Empty />}
      </Row>
      {serviceItem && <ModalService onCancel={() => setOpenService(false)} openService={openService} serviceItem={serviceItem}/>}
    </>
  );
}

export default injectIntl(Service);
