import React from 'react';
import {Row, Col, Empty } from 'antd';
import { useSelector } from 'react-redux';
import CardStaff from './cardStaff';
import { createStructuredSelector } from 'reselect';
import { injectIntl } from 'react-intl';
import { makeSelectRoles } from "../../App/selectors";
import styled from "styled-components";

const globalSelector = createStructuredSelector({
  roles: makeSelectRoles(),
});
export const StaffListWrapper = styled.div`
  .image {
    width: 70px !important;
    height: 70px !important;
  }
`;
function Service(props) {
  const { staffs, customer } = props;
  const { roles } = useSelector(globalSelector);

  return (
    <StaffListWrapper>
      <Row className="customer-info-tab" gutter={[20, 20]}>
        {(staffs && staffs.length > 0) ?  staffs.map(staff => (
          <Col xl={6} lg={8} md={12} sm={12} xs={24} key={staff.id}>
            <CardStaff staff={staff} roles={roles}/>
          </Col>)) : <Empty />}
      </Row>
    </StaffListWrapper>
  );
}

export default injectIntl(Service);
