import styled from "styled-components";

export const Avatar = styled.img`
  width: 70px;
  height: 70px;
  opacity: 0.2;
  border-radius: 8px;
  background-color: #000000;
`;
export const CustomerDetailsWrapper = styled.div`
  .ant-tabs-tab {
    padding: 12px 10px;
  }
  .ant-tabs {
    overflow: unset;
  }
  .ant-empty {
    width: 100%;
  }
  .txt_red {
    color: #dc5454;
  }
  padding: 20px;
  .r {
    @media screen and (min-width: 1200px) {
      display: flex;
      margin-left: 1px;
      > div {
        &:nth-child(1) {
          margin-right: 20px;
          flex: 0.6;
        }
        &:nth-child(2) {
          flex: 1;
        }
      }
    }
  }
  .customer-tab {
    height: 100vh;
    .ant-tabs-top {
      > .ant-tabs-nav::before {
        width: 95%;
      }
      @media screen and (max-width: 768px) {
        .ant-tabs-extra-content {
          position: fixed;
          top: 90vh;
          right: 2vh;
        }
      }
    }
    .customer-info-tab {
      @media screen and (min-width: 1200px) {
        .ant-col-xl-8 {
          flex: 0 0 31%;
          max-width: 31%;
        }
      }
      .btn-group {
        margin-top: 20px;
        display: flex;
        justify-content: flex-start;
        .btn-save {
          width: 110px;
        }
        .btn-lock {
          background-color: rgb(220, 59, 127);
          margin-left: 20px;
        }
        .btn-pass {
          background-color: #4A4A4A;
          border-color: #4A4A4A;
          margin-left: 20px;
        }
      }
      .information-body {
        @media only screen and (min-width: 576px) {
          width: 400px;
          flex: 0 0 400px;
          max-width: 400px;
      }
    }
  }

`;
export const CustomerReputaionWrapper = styled.div`
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding: 10px;
  margin-bottom: 20px;
  margin-left: 1px;
  @media screen and (min-width: 1150px) {
    display: flex;
    justify-content: space-between;
  }
  .info {
    display: flex;
    flex: 0 0 50%;
    @media screen and (min-width: 1150px) {
      flex: 0 0 40%;
    }
    > div {
      padding-top: 5px;
    }
    &__avatar {
      width: 70px;
      min-width: 70px;
      height: 70px;
      min-height: 70px;
      border-radius: 8px;
      background: #ececec;
      position: relative;
      cursor: pointer;
      .edit-upload-image-icon {
        position: absolute;
        top: 15px;
        right: 10px;
        display: none;
      }
      .ant-upload.ant-upload-select-picture-card {
        width: 100%;
        height: 100%;
        margin-bottom: 0px;
        > .ant-upload {
          padding: 0px;
        }
      }
      :hover {
        opacity: 0.2;
        .edit-upload-image-icon {
          display: block;
        }
      }
    }
    &__general {
      display: flex;
      flex-direction: column;
      justify-content: center;
      margin-left: 20px;
    }
    &__name {
      font-size: 13px;
      font-weight: bold;
      color: #333333;
      margin-bottom: 10px;
    }
    &__desc {
      display: flex;
      align-items: flex-end;
    }
    &__date {
      margin-right: 20px;
      color: #a8a8a8;
    }
  }
  .reputation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-flow: wrap;
    @media screen and (min-width: 1150px) {
      flex: 0 0 50%;
      justify-content: space-between;
    }
    @media screen and (max-width: 474px) {
      margin-top: 20px;
    }
    &__using {
      display: block;
      > div {
        > p {
          margin-bottom: 15px;
        }
      }
      .time {
        font-weight: 600;
      }
    }
    &__title {
      margin-right: 20px;
    }
    &__spent {
      display: block;
      > div {
        display: flex;
        align-items: baseline;
      }
      > div:nth-child(1) p{
        margin-bottom: 15px;
      }
      > div:nth-child(2) p{
        margin-bottom: 0px;
      }
      @media screen and (max-width: 394px) {
        margin: 20px 0;
      }
    }
    &__qr-code {
      display: flex;
      @media screen and (max-width: 450px) {
        width: 100%;
      }
    }
    &__qr-image {
      max-width: 80px;
      width: 80px;
      height: 80px;
    }
    &__thumb {
      width: 22px;
      height: 11px;
      margin-right: 20px;
    }
    &__number {
      font-size: 18px;
      font-weight: 600;
      text-align: center;
      color: #9cd339;
  }
`;
export const WorkingHistoryWrapper = styled.div`
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  font-family: Muli;
  padding: 20px;
  overflow: auto;
  @media screen and (min-width: 1200px) {
    padding: 0 0;
  }
  .order-history {
    &_header {
      display: flex;
      justify-content: space-between;
      @media screen and (min-width: 1200px) {
        margin: 20px 20px 30px;
      }
      &_order-numbers {
        font-size: 13px;
        font-weight: bold;
        text-align: right;
        color: #9cd339;
      }
    }
    &_main {
      .txt_green {
        color: #35a211;
      }
      .txt_red {
        color: #dc5454;
      }
      th {
        word-break: initial;
      }
    }
  }
  .ant-table-thead > tr > th {
      font-size: 15px;
      font-weight: 600;
      overflow: unset;
      white-space: unset;
  }
`;
export const CustomerInfosWrapper = styled.div`
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding: 20px;
  input.ant-input, .ant-select-selector, div.ant-picker {
    min-height: 44px !important;
    align-items: center;
  }
  div.ant-picker {
    border-radius: 22px;
  }
  .ant-picker-suffix .anticon {
    vertical-align: 0em;
  }
  span.ant-input-group-addon {
    border-bottom-left-radius: 20px;
    border-top-left-radius: 20px;
  }
  span.ant-input-group-addon + input.ant-input {
    border-bottom-left-radius: 0px !important;
    border-top-left-radius: 0px !important;
  }
  .customer-info {
    &_header {
      display: flex;
      justify-content: space-between;
    }
    &_main {
      display: flex;
      flex-direction: column;
      &_item {
        flex: 1;
        margin-right: 10px;
      }
      button {
        width: 110px;
        height: 44px;
        border-radius: 22px;
        background-color: #00a8f6;
      }
    }
    &_avatar {
      margin-top: 20px;
      margin-left: 20px;
      &_thumb {
        opacity: 0.2;
        border-radius: 8px;
        background-color: #000000;
      }
      &_desc {
        font-size: 13px;
        color: #a8a8a8;
        margin-top: 14px;
        text-align: center;
      }
    }
  }
`;

export const CardSeviceWrapper = styled.div`
  background: #FFFFFF;
  box-shadow: 0 0 3px 0 rgba(0,0,0,0.15);
  border-radius: 6px;
  padding: 20px;
  text-align: center;
  > .ant-row {
    justify-content: center;
  }
  .service-card {
    &__name {
      margin-bottom: 30px;
    }
    &__amount {
      margin-bottom: 20px;
    }
    &__quanity {
      align-items: center;
      
      margin-bottom: 20px;
      .used {
        > span {
          color: #FF8900;
        }
        margin-right: 10px;
      }
      .remain {
        min-width: 45px;
        height: 30px;
        padding: 0px 5px;
        align-items: center;
        display: flex;
        justify-content: center;
        border: 1px solid #DC3B7F;
        border-radius: 6px;
        color: #DC3B7F;
      }
    }
    &__time {
      margin-bottom: 15px;
    }
  }
  .active {
    color: #9cd339;
  }
  .inactive {
    color: rgb(220, 59, 127);
  }
  .gifted {
    color: #00AFF0;
  }
`;

export const ModalServiceWrapper = styled.div` 
padding: 0 20px;
> .ant-row {
  justify-content: center;
}
.service-card {
  &__title {
    margin-bottom: 30px;
  }
  &__name {
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    line-height: 20px;
    margin-bottom: 15px;
  }
  &__time {
    line-height: 13px;
    margin-bottom: 15px;
    align-items: center;
    .code {
      display: flex;
      align-items: center;
      margin-right:5px;
      span {
        padding: 0px;
        padding-right: 5px;
      }
    }
    .time {
      margin-right:10px;
    }
  }
  &__status {
    display: flex;
    align-items: center;
  }
  &__history {
    justify-content: space-between;
    border-bottom: solid 1px #CCCCCC;
    align-items: center;
    .information {
      padding: 15px 0px;
      > div:nth-child(1) {
        margin-bottom: 10px;
        font-weight: 600;
      }
      > div:nth-child(2) {
        line-height: 13px;
      }
    }
  }
  &__history.first-row {
    border-top: solid 1px #CCCCCC;
  }
  &__history.last-row {
    border-bottom: none;
  }
  &__quantity {
    align-items: center;
    margin: 10px 0;
    .used {
      > span {
        color: #FF8900;
      }
      margin-right: 10px;
    }
    .remain {
      min-width: 45px;
      height: 30px;
      padding: 0px 5px;
      align-items: center;
      display: flex;
      justify-content: center;
      border: 1px solid #DC3B7F;
      border-radius: 6px;
      color: #DC3B7F;
    }
  }
}
.active {
  color: #9cd339;
}
.inactive {
  color: rgb(220, 59, 127);
}
.remain {
  min-width: 45px;
  height: 30px;
  margin-left: 10px;
  padding: 0px 5px;
  align-items: center;
  display: flex;
  justify-content: center;
  border: 1px solid #DC3B7F;
  border-radius: 6px;
  color: #DC3B7F;
}
`;

export const ModalGiftWrapper = styled.div` 
padding: 0 20px;
> .ant-row {
  justify-content: center;
}
.service-card {
  &__title {
    margin-bottom: 30px;
  }
  &__name {
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    line-height: 20px;
    margin-bottom: 15px;
  }
  &__time {
    line-height: 13px;
    margin-bottom: 15px;
    align-items: center;
    .code {
      display: flex;
      align-items: center;
      margin-right:5px;
      span {
        padding: 0px;
        padding-right: 5px;
      }
    }
    .time {
      margin-right:10px;
    }
  }
  &__status {
    display: flex;
    align-items: center;
  }
  &__history {
    display: block;
    border-bottom: solid 1px #CCCCCC;
    padding: 15px 0;
    .spa-name {
      > div:nth-child(1) {
        font-size: 13px;
        font-weight: 600;
      }
    }
  }
  &__row-name, &__row-infor {
    align-items: center;
    justify-content: space-between;
    .used {
      > span {
        color: #FF8900;
      }
      margin-right: 30px;
    }
    .information {
      > .ant-row {
        align-items: center;
      }
    }
    .remain {
      min-width: 45px;
      height: 30px;
      padding: 0px 5px;
      align-items: center;
      display: flex;
      justify-content: center;
      border: 1px solid #DC3B7F;
      border-radius: 6px;
      color: #DC3B7F;
    }
  }
  &__row-name {
    margin-bottom: 10px;
  }
  &__history.first-row {
    border-top: solid 1px #CCCCCC;
  }
  &__history.last-row {
    border-bottom: none;
  }
  &__quantity {
    align-items: center;
    margin: 10px 0;
    .used {
      > span {
        color: #FF8900;
      }
      margin-right: 10px;
    }
    .remain {
      min-width: 45px;
      height: 30px;
      padding: 0px 5px;
      align-items: center;
      display: flex;
      justify-content: center;
      border: 1px solid #DC3B7F;
      border-radius: 6px;
      color: #DC3B7F;
    }
  }
  &__receiver {
    margin-bottom: 10px;
    justify-content: space-between;
    align-items: center;
    .information {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      .name {
        font-size: 12px;
        font-weight: 600;
        color: #333333;
      }
      .image {
        border-radius: 100%;
        width: 60px;
        height: 60px;
        margin-right: 15px;
        object-fit: cover;
      }
    }
  }
}
.active {
  color: #9cd339;
}
.inactive {
  color: rgb(220, 59, 127);
}
.gifted {
  color: #00AFF0;
}
`;