import { action } from 'typesafe-actions';

import ActionTypes from './constants';

export const getCustomer = id => action(ActionTypes.GET_CUSTOMER, id);
export const getCustomersSuccess = customer => action(ActionTypes.GET_CUSTOMER_SUCCESS, customer);
export const getCustomersFail = message => action(ActionTypes.GET_CUSTOMER_FAIL, message);

export const getPhoneCountries = () => action(ActionTypes.GET_PHONE_COUNTRY);
export const getPhoneCountriesSuccess = phones => action(ActionTypes.GET_PHONE_COUNTRY_SUCCESS, phones);
export const getPhoneCountriesFail = message => action(ActionTypes.GET_PHONE_COUNTRY_FAIL, message);

export const getOrderHistory = (customerIds, merchantId) => action(ActionTypes.GET_ORDER_HISTORY, {
  customerIds,
  merchantId
});
export const getOrderHistorySuccess = orders => action(ActionTypes.GET_ORDER_HISTORY_SUCCESS, orders);
export const getOrderHistoryFail = message => action(ActionTypes.GET_ORDER_HISTORY_FAIL, message);

export const getServiceItemHistory = customerId => action(ActionTypes.GET_SERVICE_TIME_HISTORY, {
  customerId
});
export const getServiceItemHistorySuccess = orders => action(ActionTypes.GET_SERVICE_TIME_HISTORY_SUCCESS, orders);
export const getServiceItemHistoryFail = message => action(ActionTypes.GET_SERVICE_TIME_HISTORY_FAIL, message);

export const getStaffs= customerId => action(ActionTypes.GET_STAFFS, {
  customerId
});
export const getStaffsSuccess = staffs => action(ActionTypes.GET_STAFFS_SUCCESS, staffs);
export const getStaffsFail = message => action(ActionTypes.GET_STAFFS_FAIL, message);


export const removeStaffAssign= (customerId, staffId) => action(ActionTypes.REMOVE_STAFF_ASSIGN, {
  customerId, staffId
});
export const removeStaffAssignSuccess = staffs => action(ActionTypes.REMOVE_STAFF_ASSIGN_SUCCESS, staffs);
export const removeStaffAssignFail = message => action(ActionTypes.REMOVE_STAFF_ASSIGN_FAIL, message);

export const addStaffAssign= (customerId, staffIds) => action(ActionTypes.ADD_STAFF_ASSIGN, {
  customerId, staffIds
});
export const addStaffAssignSuccess = staffIds => action(ActionTypes.ADD_STAFF_ASSIGN_SUCCESS, staffIds);
export const addStaffAssignFail = message => action(ActionTypes.ADD_STAFF_ASSIGN_FAIL, message);
export const getStaffAssigns= customerId => action(ActionTypes.GET_STAFF_ASSIGNS, {
  customerId
});
export const getStaffAssignsSuccess = staffs => action(ActionTypes.GET_STAFF_ASSIGNS_SUCCESS, staffs);
export const getStaffAssignsFail = message => action(ActionTypes.GET_STAFF_ASSIGNS_FAIL, message);

export const getGiftCards = customerId => action(ActionTypes.GET_GIFT_CARD, {
  customerId
});
export const getGiftCardsSuccess = orders => action(ActionTypes.GET_GIFT_CARD_SUCCESS, orders);
export const getGiftCardsFail = message => action(ActionTypes.GET_GIFT_CARD_FAIL, message);

export const getGiftCard = giftId => action(ActionTypes.GET_GIFT_CARD_DETAIL, {
  giftId
});
export const getGiftCardSuccess = gift => action(ActionTypes.GET_GIFT_CARD_DETAIL_SUCCESS, gift);
export const getGiftCardFail = message => action(ActionTypes.GET_GIFT_CARD_DETAIL_FAIL, message);

export const getNotes = customerId => action(ActionTypes.GET_NOTES, {
  customerId
});
export const getNotesSuccess = notes => action(ActionTypes.GET_NOTES_SUCCESS, notes);
export const getNotesFail = message => action(ActionTypes.GET_NOTES_FAIL, message);

export const updateCustomer = (id, customer) => action(ActionTypes.UPDATE_CUSTOMER, { id, customer });
export const updateCustomerSuccess = id => action(ActionTypes.UPDATE_CUSTOMER_SUCCESS, id);
export const updateCustomerFail = message => action(ActionTypes.UPDATE_CUSTOMER_FAIL, message)

export const addNote= (customerId, note) => action(ActionTypes.ADD_NOTES, {
  customerId, note
});
export const addNoteSuccess = staffIds => action(ActionTypes.ADD_NOTES_SUCCESS, staffIds);
export const addNoteFail = message => action(ActionTypes.ADD_NOTES_FAIL, message);

export const resetStaff = () => action(ActionTypes.RESET_STAFF);
