import ActionTypes from './constants';
import { ContainerState, ContainerActions } from './types';

export const initialState: ContainerState = {
  default: null,
  isFetching: false,
  message: '',
  customer: null,
  orders: [],
  serviceItemHistories: [],
  giftCards: [],
  giftCard: null,
  staffs:[],
  staffAssigns: [],
  notes: [],
  phoneCountries:[],
};

function customerDetailReducer(
  state: ContainerState = initialState,
  action: ContainerActions,
): ContainerState {
  switch (action.type) {
    case ActionTypes.GET_CUSTOMER:
      return { ...state, isFetching: true,
      };
    case ActionTypes.GET_CUSTOMER_SUCCESS:
      return { ...state, customer: action.payload, isFetching: false };
    case ActionTypes.GET_CUSTOMER_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.UPDATE_CUSTOMER:
      return { ...state, isFetching: true, };
    case ActionTypes.UPDATE_CUSTOMER_SUCCESS:
      return { ...state, customer: action.payload, isFetching: false };
    case ActionTypes.UPDATE_CUSTOMER_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_ORDER_HISTORY:
      return { ...state, isFetching: true, };
    case ActionTypes.GET_ORDER_HISTORY_SUCCESS:
      return { ...state, orders: action.payload, isFetching: false };
    case ActionTypes.GET_SERVICE_TIME_HISTORY:
      return { ...state, isFetching: true, };
    case ActionTypes.GET_SERVICE_TIME_HISTORY_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_SERVICE_TIME_HISTORY_SUCCESS:
      return { ...state, serviceItemHistories: action.payload, isFetching: false };
    case ActionTypes.GET_STAFFS:
      return { ...state, isFetching: true, };
    case ActionTypes.GET_STAFFS_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_STAFFS_SUCCESS:
      return { ...state, staffs: action.payload, isFetching: false };
    case ActionTypes.GET_STAFF_ASSIGNS:
      return { ...state, isFetching: true, };
    case ActionTypes.GET_STAFF_ASSIGNS_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_STAFF_ASSIGNS_SUCCESS:
      return { ...state, staffAssigns: action.payload, isFetching: false };
    case ActionTypes.GET_NOTES:
      return { ...state, isFetching: true, };
    case ActionTypes.GET_NOTES_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_NOTES_SUCCESS:
      return { ...state, notes: action.payload, isFetching: false };
    case ActionTypes.ADD_NOTES:
      return { ...state, isFetching: true, };
    case ActionTypes.ADD_NOTES_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.ADD_NOTES_SUCCESS:
      return { ...state, isFetching: false };
    case ActionTypes.ADD_STAFF_ASSIGN:
      return { ...state, isFetching: true, };
    case ActionTypes.ADD_STAFF_ASSIGN_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.ADD_STAFF_ASSIGN_SUCCESS:
      return { ...state, isFetching: false };
    case ActionTypes.GET_GIFT_CARD:
      return { ...state, isFetching: true };
    case ActionTypes.GET_GIFT_CARD_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_GIFT_CARD_SUCCESS:
      return { ...state, giftCards: action.payload, isFetching: false };
    case ActionTypes.GET_GIFT_CARD_DETAIL:
      return { ...state, isFetching: true };
    case ActionTypes.GET_GIFT_CARD_DETAIL_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_GIFT_CARD_DETAIL_SUCCESS:
      return { ...state, giftCard: action.payload, isFetching: false };
      case ActionTypes.GET_PHONE_COUNTRY:
      return { ...state, isFetching: true, };
    case ActionTypes.GET_PHONE_COUNTRY_SUCCESS:
      return { ...state, phoneCountries: action.payload, isFetching: false };
    case ActionTypes.GET_PHONE_COUNTRY_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.RESET_STAFF:
      return { ...state, customer: null };
    default:
      return state;
  }
}

export default customerDetailReducer;
