import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the customerDetail state domain
 */

const selectCustomerDetailDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by CustomerDetail
 */

const makeSelectCustomerDetail = () =>
  createSelector(selectCustomerDetailDomain, substate => substate.customerDetail);

export default makeSelectCustomerDetail;
export { selectCustomerDetailDomain };
