import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the customerList state domain
 */

const selectCustomerListDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by CustomerList
 */

const makeSelectCustomerList = () =>
  createSelector(selectCustomerListDomain, substate => substate.customerList);

export default makeSelectCustomerList;
export { selectCustomerListDomain };
