import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

export interface Customer {
  readonly id: number;
  readonly avatar: string;
  readonly phone: string;
  readonly phoneCountryCode?: string;
  readonly firstName: string;
  readonly lastName: string;
  readonly dateOfBirth: string;
  readonly gender: string;
  readonly roleIds?: number;
  readonly roleName: string;
  readonly address: string;
  readonly email: string;
  readonly active?: boolean;
  readonly schedule?: string;
  readonly score?: string;
  readonly total?: string;
  readonly qrcode?: string;
}

export interface CustomerOrderHistoryModel {
  readonly created_time: string;
  readonly orderNumber: string;
  readonly restaurant_name: string;
  readonly order_type_id: string;
  readonly total: string;
}

interface Mode {
  readonly id: string;
  readonly name: string;
}

/* --- STATE --- */
interface CustomerListState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly loadMore: boolean;
  readonly message: string;
  readonly customers: Customer[],
  readonly mode: Mode[],
  readonly filter: {
    mode: string,
    search: string
  }
  readonly paging: {
    page: number,
    limit: number,
    total: number,
  }
}

/* --- ACTIONS --- */
type CustomerListActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = CustomerListState;
type ContainerActions = CustomerListActions;

export { ContainerState, ContainerActions };
