import React, { useState } from 'react';
import { RevenueReviewStoreModel } from '../revenueModels';
import { Card } from 'antd';
import BG_CARD from '../../../images/combined-shape.svg';
import { FormattedMessage } from 'react-intl';
import messages from 'translations/messages';

interface Props {
  revenueStore: RevenueReviewStoreModel;
}

export function RevenueStoreCard(props: Props) {
  const { revenueStore } = props;
  const {
    storeNumber, } = revenueStore;
  return (
    <Card bodyStyle={{ padding: 12}}
    >
      <div className="store">
        <span><FormattedMessage {...messages.titleStore} /></span>
      </div>
      <div className="store-detail">
        <span className="storeNumber">{storeNumber}</span>
        <div className="combined-shape">
          <img src={BG_CARD}/>
        </div>
      </div>
    </Card >
  );
}
