import React, { useState, useEffect } from 'react';
import styled from 'styled-components';
import { RevenueBranchCard } from './RevenueBranch/revenueBranchCard';
import { Row } from 'antd';
import { COLOR_CHART } from 'containers/App/constants';
const RevenueBranchsWrapper = styled.div`
  margin-bottom: 15px;
  width: 100%;
  overflow-x: auto;
  white-space: nowrap;
  .ant-card {
    font-size: 13px;
    font-weight: 400;
    height: 100%;
  }
  .branch-list-row {
    width: 100%;
    display: inherit;
    flex-flow: inherit;
    .ant-col.ant-col-4 {
      display: inline-grid;
      width: 200px;
      flex: 0 0 192px;
      max-width: 192px;
    }
  }
`;
export function RevenueBranch(props) {
  const { branchList } = props;
  // const [loading, setLoading] = useState(true);
  const [branchRevenueList, setBranchRevenueList] = useState([] as any);
  const getBranchRevenue = () => {
    const branchListFormat = branchList.reduce(
      (accumulator, currentValue, currentIndex) => {
        let indexColor;
        indexColor = currentIndex % COLOR_CHART.length;
        const dataset = {
          branchRevenue:  Math.round(currentValue.amount * 10) / 10,
          branchNm: currentValue.name,
          backgroundColor:COLOR_CHART[indexColor].backgroundColor,
          border: COLOR_CHART[indexColor].borderColor,
          color: COLOR_CHART[indexColor].borderColor,
        };
        accumulator.push(dataset);
        return accumulator;
      },
      [],
    );
    const sortData = branchListFormat.sort((a, b) => {
      return b.branchRevenue - a.branchRevenue;
    });
    setBranchRevenueList(sortData);
  };

  useEffect(() => {
    getBranchRevenue();
  }, []);

  return (
    <RevenueBranchsWrapper>
      <Row gutter={[6,6]} className="branch-list-row">
        {branchRevenueList.map(revenueBranch => (
          <RevenueBranchCard revenueBranch={revenueBranch} />
        ))}
      </Row>
    </RevenueBranchsWrapper>
  );
}
