export interface RevenueReviewStoreModel {
  title?: string;
  storeNumber?: string;
}

export interface RevenueReviewModel {
  readonly revenueTitle: string;
  readonly totalAmountCurrent: number;
  readonly totalAmountPrevious?: number;
  readonly percentAmount: number;
}

export interface RevenueReviewsModel {
  readonly RevenueReviewModel?: Array<RevenueReviewModel>;
}

export interface RevenueLineChartModel {
  readonly titleChart?: number;
  readonly data: Array<RevenueBranchModel>;
}

export interface RevenuePieChartModel {
  readonly titleChart?: number;
  readonly data: Array<RevenueBranchModel>;
}

export interface RevenueBranchesModel {
  readonly branches?: Array<RevenueBranchModel>;
}

export interface RevenueBranchModel {
  branchRevenue?: number;
  branchNm?: string;
  backgroundColor: string;
  border: string;
  color: string;
}

export interface RevenueItemModel {
  readonly title?: string;
  readonly products?: Array<ItemModel>;
}

export interface RevenueMethodPieChartModel {
  readonly titleChart?: number;
  readonly data: Array<RevenueBranchModel>;
}

export interface RevenueMethodModel {
  methodRevenue?: number;
  methodNm?: string;
}

export interface ItemModel {
  itemNm?: string;
  quantity?: number;
  revenue?: number;
}