import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the customerList state domain
 */

const selectDashboardDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by CustomerList
 */

const makeSelectDashboard = () =>
  createSelector(selectDashboardDomain, substate => substate.dashboard);

export default makeSelectDashboard;
export { selectDashboardDomain };
