/*
 * AddPromotion Messages
 *
 * This contains all the text for the AddPromotion container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.PromotionDetail';

export default defineMessages({
  duration: {
    id: `app.containers.PromotionDetail.duration`,
    defaultMessage: 'Thời hạn: {from} - {to}',
  },
  image: {
    id: `app.containers.PromotionDetail.image`,
    defaultMessage: 'Hình ảnh khuyến mãi',
  },
  promotionInfo: {
    id: `app.containers.PromotionDetail.promotionInfo`,
    defaultMessage: 'Thông tin khuyến mãi',
  },
  promotionType: {
    id: `app.containers.PromotionDetail.promotionType`,
    defaultMessage: 'Loại khuyến mãi',
  },
  free: {
    id: `app.containers.PromotionDetail.free`,
    defaultMessage: 'Miễn phí',
  },
  exchange: {
    id: `app.containers.PromotionDetail.exchange`,
    defaultMessage: 'Đổi điểm',
  },
  requirePromotionName: {
    id: `app.containers.PromotionDetail.requirePromotionName`,
    defaultMessage: 'Vui lòng nhập tên khuyến mãi',
  },
  promotionName: {
    id: `app.containers.PromotionDetail.promotionName`,
    defaultMessage: 'Tên khuyến mãi',
  },
  requireFromDate: {
    id: `app.containers.PromotionDetail.requireFromDate`,
    defaultMessage: 'Vui lòng chọn ngày bắt đầu',
  },
  fromDate: {
    id: `app.containers.PromotionDetail.fromDate`,
    defaultMessage: 'Từ ngày',
  },
  requireToDate: {
    id: `app.containers.PromotionDetail.requireToDate`,
    defaultMessage: 'Vui lòng chọn ngày kết thúc',
  },
  toDate: {
    id: `app.containers.PromotionDetail.toDate`,
    defaultMessage: 'Đến ngày',
  },
  promotionDays: {
    id: `app.containers.PromotionDetail.promotionDays`,
    defaultMessage: 'Ngày được khuyến mãi',
  },
  monday: {
    id: `app.containers.PromotionDetail.monday`,
    defaultMessage: 'Thứ 2',
  },
  tuesday: {
    id: `app.containers.PromotionDetail.tuesday`,
    defaultMessage: 'Thứ 3',
  },
  wednesday: {
    id: `app.containers.PromotionDetail.wednesday`,
    defaultMessage: 'Thứ 4',
  },
  thursday: {
    id: `app.containers.PromotionDetail.thursday`,
    defaultMessage: 'Thứ 5',
  },
  friday: {
    id: `app.containers.PromotionDetail.friday`,
    defaultMessage: 'Thứ 6',
  },
  sevenday: {
    id: `app.containers.PromotionDetail.sevenday`,
    defaultMessage: 'Thứ 7',
  },
  sunday: {
    id: `app.containers.PromotionDetail.sunday`,
    defaultMessage: 'Chủ nhật',
  },
  requireFromTime: {
    id: `app.containers.PromotionDetail.requireFromTime`,
    defaultMessage: 'Vui lòng chọn khung giờ bắt đầu khuyến mãi',
  },
  fromTime: {
    id: `app.containers.PromotionDetail.fromTime`,
    defaultMessage: 'Từ khung giờ',
  },
  requireToTime: {
    id: `app.containers.PromotionDetail.requireToTime`,
    defaultMessage: 'Vui lòng chọn khung giờ kết thúc khuyến mãi',
  },
  toTime: {
    id: `app.containers.PromotionDetail.toTime`,
    defaultMessage: 'Đến khung giờ',
  },
  requirePromotionSubjects: {
    id: `app.containers.PromotionDetail.requirePromotionSubjects`,
    defaultMessage: 'Vui lòng chọn đối tượng khuyến mãi',
  },
  promotionSubjects: {
    id: `app.containers.PromotionDetail.promotionSubjects`,
    defaultMessage: 'Đối tượng khuyến mãi*',
  },
  requirePromotionType: {
    id: `app.containers.PromotionDetail.requirePromotionType`,
    defaultMessage: 'Vui lòng chọn loại giảm giá',
  },
  percent: {
    id: `app.containers.PromotionDetail.percent`,
    defaultMessage: 'Phần trăm',
  },
  attachment: {
    id: `app.containers.PromotionDetail.attachment`,
    defaultMessage: 'Tặng kèm',
  },
  amount: {
    id: `app.containers.PromotionDetail.amount`,
    defaultMessage: 'Số tiền',
  },
  quantity: {
    id: `app.containers.PromotionDetail.quantity`,
    defaultMessage: 'Số lượng',
  },
  requireDiscount: {
    id: `app.containers.PromotionDetail.requireDiscount`,
    defaultMessage: 'Vui lòng nhập số tiền khuyến mãi!',
  },
  requireQuantity: {
    id: `app.containers.PromotionDetail.requireQuantity`,
    defaultMessage: 'Vui lòng nhập số lượng',
  },
  requireNumberInput: {
    id: `app.containers.PromotionDetail.requireNumberInput`,
    defaultMessage: 'Vui lòng nhập số',
  },
  requireInputGreaterThanZero: {
    id: `app.containers.PromotionDetail.requireInputGreaterThanZero`,
    defaultMessage: 'Vui long nhập số lớn hơn 0 !',
  },
  points: {
    id: `app.containers.PromotionDetail.points`,
    defaultMessage: 'Số điểm*',
  },
  point: {
    id: `app.containers.PromotionDetail.point`,
    defaultMessage: 'điểm',
  },
  minimumOrderAmount: {
    id: `app.containers.PromotionDetail.minimumOrderAmount`,
    defaultMessage: 'Đơn hàng tối thiểu',
  },
  description: {
    id: `app.containers.PromotionDetail.description`,
    defaultMessage: 'Mô tả',
  },
  condition: {
    id: `app.containers.PromotionDetail.condition`,
    defaultMessage: 'Điều kiện sử dụng',
  },
  save: {
    id: `app.containers.PromotionDetail.save`,
    defaultMessage: 'Lưu',
  },
  discountBy: {
    id: 'discountBy',
    defaultMessage: 'Giảm giá theo'
  },
  status: {
    id: `app.containers.PromotionDetail.status`,
    defaultMessage: 'Tình trạng',
  },
  active: {
    id: `app.containers.PromotionDetail.active`,
    defaultMessage: 'Đang hoạt động',
  },
  inactive: {
    id: `app.containers.PromotionDetail.inactive`,
    defaultMessage: 'Ngưng hoạt động',
  },
  product: {
    id: `app.containers.PromotionDetail.product`,
    defaultMessage: 'Sản phẩm / Dịch vụ'
  },
  endDateAfterStartDate: {
    id: 'endDateAfterStartDate',
    defaultMessage: 'Ngày hết hạn phải lớn hơn ngày bắt đầu'
  },
  startDateBeforeEndDate: {
    id: 'startDateBeforeEndDate',
    defaultMessage: 'Ngày bắt đầu phải nhỏ hơn ngày hết hạn'
  }
});
