import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the promotionDetail state domain
 */

const selectGiftDetailDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by PromotionDetail
 */

const makeSelectGiftDetail = () =>
  createSelector(selectGiftDetailDomain, substate => substate.giftDetail);

export default makeSelectGiftDetail;
export { selectGiftDetailDomain };
