import styled from "styled-components";
import { HEADER_HEIGHT} from 'styles/constants';
export const PromotionAddNewWrapper = styled.div`
height: 100%;
input.ant-input, .ant-select-selector, div.ant-picker {
  min-height: 44px !important;
  align-items: center;
}
textarea.ant-input {
  padding: 18px;
  border-radius: 0px;
}
span.ant-picker-suffix {
  align-self: initial;
}
.ant-input-group-addon:last-child {
  border-radius: 22px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  width: 53px;
}
div.ant-picker {
  border-radius: 22px;
}
.add-gift {
  width: 70%;
  margin:0 auto;
  margin-bottom: 20px;
  @media screen and (max-width: 576px) {
    width: 100%;
  }
  .ant-upload.ant-upload-select-picture-card {
    width: 100%;
    min-width: 150px;
    height: 162px;
    padding: 0px !important;
    background-color: inherit;
    > .ant-upload {
      padding: 0 !important;
      background: none;
      text-align: start;
      vertical-align: initial;
    }
    img.background {
      width: 100% !important;
      height: 150px !important;
      object-fit: cover;
      border-radius: 8px;
    }
  }
}
.update-gift {
  .ant-upload.ant-upload-select-picture-card {
    background: none;
    width: 100%;
    min-width: 150px;
    height: 122px;
    padding: 0px !important;
    .ant-upload {
      padding: 0 !important;
    }
    img.photo-promotion {
      width: 100% !important;
      height: 120px !important;
      object-fit: cover;
      border-radius: 8px;
    }
  }
}
.ant-form-item {
  margin-bottom: 15px;
}
.promo-header {
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding-right: 20px;
  @media screen and (min-width: 743px) {
    display: flex;
  }
  &__img {
    margin: 10px;
    text-align:center;
  }
  &__upload {
    width: 240px;
    height: 120px;
    position: relative;
    border-radius: 8px;
    background: #ececec;
    cursor: pointer;
    .edit-upload-image-icon {
      position: absolute;
      top: 0px;
      right: 0px;
      display: none;
    }
    :hover {
      opacity: 0.2;
      .edit-upload-image-icon {
        display: block;
      }
    }
  }
  &__info {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 24px;
  }
  &__info-name {
    font-size: 15px;
    font-weight: bold;
    color: #333333;
    text-align: center;
    @media screen and (min-width: 743px) {
      text-align: initial;
    }
  }
  &__info-time {
    color: #a8a8a8;
    text-align: center;
    @media screen and (min-width: 743px) {
      text-align: initial;
    }
  }
  &__qr-code {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px 0px 10px;
  }
  &__qr-image {
    width: 90px;
    height: 90px;
  }
  &__code {
    margin-top: 10px;
    margin-bottom: 10px;
    @media screen and (min-width: 743px) {
      margin-bottom: 0;
    }
  }
}
.form {
  margin-top: 20px;
  padding: 0 20px;
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
}
.form-header {
  font-size: 15px;
  font-weight: bold;
  color: #333333;
  padding: 20px 0px;
}
.btn-submit {
  width: 110px;
  height: 44px;
  border-radius: 22px;
}
.form-content {
  @media screen and (min-width: 743px)  {
    display: flex;
    justify-content: flex-start;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 20px
      }
      &:nth-child(2), &:nth-child(3) {
        flex: 0.5;
        margin-right: 20px
      }
    }
  }
  .fw {
    width: 100%;
  }
  .row {
    display: flex;
  }
  .row-reverse {
    display: flex;
    flex-direction: row-reverse;
  }
  .row-3-1 {
    > div {
      &:nth-child(1) {
        flex: 3;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  .row-4 {
    @media screen and (min-width: 1024px) {
      display: flex;
      > div {
        flex: 1;
        &:first-child {
          margin-right: 5px;
        }
        &:last-child {
          margin-left: 5px;
        }
        &:not(:first-child):not(:last-child) {
          margin: 0 5px;
        }
      }
    }
  }
  .row-md-2 {
    @media screen and (max-width: 1024px) {
      display: flex;
      > div {
        flex: 1;
        &:first-child {
          margin-right: 5px;
        }
        &:last-child {
          margin-left: 5px;
        }
        &:not(:first-child):not(:last-child) {
          margin: 0 5px;
        }
      }
    }
  }
  &__menu {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 3;
        margin-left: 5px;
      }
    }
  }
  &__quantity {
    color: red;
    .ant-input-number {
      width: 100%;
      height: 44px;
      align-items: center;
      .ant-input-number-input-wrap {
        height: 100%;
        padding-top: 4px;
      }
    }
  }
  &__minimum-order {
    display: flex;
    align-items: center;
    width: 50%;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
}
input.ant-input, .ant-select-selector, div.ant-picker {
  min-height: 44px !important;
  align-items: center;
}
textarea.ant-input {
  padding: 18px;
  border-radius: 0px;
}
span.ant-picker-suffix {
  align-self: initial;
}
.ant-input-group-addon:last-child {
  border-radius: 22px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  width: 53px;
}
div.ant-picker {
  border-radius: 22px;
}
div.ant-picker {
  border-radius: 22px;
}
.form-header {
  font-size: 15x;
  font-weight: bold;
  color: #333333;
  padding: 20px 0px;
}
.btn-submit {
  width: 110px;
  height: 44px;
  border-radius: 22px;
}
.form-content-exchange {
  padding-top: 15px;
  width: 100%;
  @media screen and (min-width: 1200px)  {
    width: 80%;
  }
  .ant-upload.ant-upload-select-picture-card {
    border-radius: 8px;
    border: solid 1px #e6e6e6;
    .ant-upload {
      padding: 0;
    }
  }
  @media screen and (min-width: 743px)  {
    display: flex;
    justify-content: space-between;
    > div {
      &:nth-child(1), &:nth-child(2) {
        flex: 1 1 0%;
        margin-right: 20px
      }
      &:nth-child(3) {
        flex: 1
      }
    }
  }
  .fw {
    width: 100%;
  }
  &__promo-date, &__promo-time, &__discount-percent {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  &__menu {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 3;
        margin-left: 5px;
      }
    }
  }
  &__quantity {
    color: red;
    .ant-input-number {
      width: 100%;
      height: 44px;
      align-items: center;
      .ant-input-number-input-wrap {
        height: 100%;
        padding-top: 4px;
      }
    }
  }
  &__minimum-order {
    display: flex;
    align-items: center;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  &__promo-type {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    p {
      margin-right: 20px;
    }
  }
  &__img{
    div.ant-form-item, div.ant-col ant-form-item-control, 
    div.ant-form-item-control-input, div.ant-form-item-control-input-content {
      width: 100%;
      height: 162px;
    }
    div.ant-form-item-control-input-content {
      padding-bottom: 15px;
    }
    @media screen and (max-width: 743px) {

      height: 162px;
    }
  }
  &__upload {
    width: 100%;
    height: 162px;
    div.ant-upload-select-picture-card {

    }
  }
  &__desc {
    height: 162px;
    div, div > textarea {
      height: 162px;
    }
    div > .ant-form-item-control-input-content {
      padding-bottom: 15px;
    }
  }
}
`;
