import { ActionType } from 'typesafe-actions';
import * as actions from './actions';
import { Moment } from "moment-timezone";

export interface Gift {
  id: number;
  photo: string;
  name: string;
  startDate: Moment;
  endDate: Moment;
  price: string | undefined;
  amount: string | undefined;
  notes: string ;
}

/* --- STATE --- */
interface GiftDetailState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  readonly gift: Gift | null;
}

/* --- ACTIONS --- */
type GiftDetailActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = GiftDetailState;
type ContainerActions = GiftDetailActions;

export { ContainerState, ContainerActions };
