import styled from 'styled-components';

export const MenuEditWrapper = styled.div`
  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.15);
  background-color: #ffffff;
  height: 100%;
  .ant-select {
    width: 100%;
    .ant-select-selector {
      padding: 0 19px !important;
    }
  }
  .ant-btn {
    padding: 0;
  }
  .item__description {
    display: -webkit-box;
    max-width: 200px;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
   }

  .ant-picker {
    width: 100%;
    padding: 11px 19px;
    border-radius: 22px;
  }
  .ant-input-number {
    width: 100%;
    border-radius: 22px;
    font-size: 14px;
    font-weight: 600;
    color: #dc5454;
  }
  .ant-input {
    padding: 11px 19px;
    border-radius: 22px;
  }
  textarea.ant-input {
    padding-bottom: 0px;
    margin-bottom: 0px !important;
  }
  .ant-input-number-input {
    padding: 0 19px;
    height: 44px;
  }
  .ant-input-group-addon:last-child {
    border-radius: 22px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
  .ant-upload.ant-upload-select-picture-card {
    border: 0;
    background: none;
    width: 100%;
    height: 100%;
    .ant-upload {
      padding: 0;
    }
    img {
      border-radius: 8px;
    }
  }
  .ant-form-item-control {
    max-width: 100% !important;
  }
  .ant-row {
    width: 100%;
  }
  .ant-form-item {
    margin-bottom: 0;
  }
  .ml-15 {
    margin-left: 15px;
  }
  .mr-15 {
    margin-right: 15px;
  }
  .pr-10 {
    padding-right: 15px;
  }
  .pr-15 {
    padding-right: 15px;
  }
  .menu-edit {
    font-family: Muli, sans-serif;
    @media screen and (min-width: 768px) {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      justify-content: center;
      align-items: stretch;
    }
    &__info {
      background: #fff;
      padding: 20px;
      flex-grow: 1;
      @media only screen and (max-width: 736px) {
        flex: 100%;
        display: block;
      }
    }
    .info {
      &__title {
        color: #333333;
        font-size: 15px;
        font-weight: 600;
        padding-bottom: 20px;
      }
      &__form {
        display: flex;
        flex-direction: row;
        align-items: center;
        @media screen and (max-width: 576px) {
          flex-direction: column-reverse;
        }
      }
      &__button {
        margin-top: 15px;
        button {
          width: 110px;
        }
        display: none;
        @media screen and (min-width: 768px) {
          display: block;
        }
        &--mobile {
          margin: 10px;
          button {
            width: 110px;
          }
          @media screen and (min-width: 768px) {
            display: none;
          }
        }
      }
    }
    .form-field {
      &__group {
        flex-grow: 1;
        padding-right: 5px;
      }
      &__row {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-between;
        margin-top: 10px;
        textarea {
          margin: 5px 0 0 0;
          min-height: 150px !important;
          border-radius: 8px;
        }
      }
      &__col {
        flex: 0 0 50%;
      }
      &__name {
        input {
          border-radius: 22px;
          padding: 11px 19px;
        }
      }
      &__photo {
        display: flex;
        width: 230px;
        min-width: 230px;
        height: 230px;
        min-height: 230px;
        margin: 0 auto;
        border: solid 1px #e6e6e6;
        border-radius: 8px;
        position: relative;
        cursor: pointer;
        @media only screen and (min-width: 736px) {
          margin-top: 0;
          margin-left: 20px;
        }
        .edit-upload-image-icon {
          position: absolute;
          top: 15px;
          right: 10px;
          display: none;
        }
        :hover {
          opacity: 0.2;
          .edit-upload-image-icon {
            display: block;
          }
        }
        .ant-form-item-control-input {
          height: 100%;
        }
      }
    }
    &__extra {
      flex: 0 0 40%;
      @media only screen and (max-width: 736px) {
        flex: 1;
        display: block;
      }
    }
    .extra {
      &__component {
        background: #fff;
        padding: 20px 20px 20px 0px;
      }

    }
  }
  // Fix text area label
  textarea.ant-input {
    border-radius: 8px !important;
  }
  textarea.ant-input + label.label-textArea {
    top: 24px !important;
  }
  textarea.ant-input + label.label-float-textArea {
    top: 11px !important;
  }
`;

export const MenuListWrapper = styled.div`
  box-shadow: 0 2px 3px 0 rgba(0, 0, 0, 0.15);
  background-color: #ffffff;
  font-family: Muli, sans-serif;
  .menu-list {
    padding: 20px;
    &__title {
      
      font-size: 21px;
      font-weight: bold;
      color: #333333;
      padding-bottom: 20px;
    }
  }
`

export const MenuWrapper = styled.div`
padding-left: 10px;
.menu {
  &__title {
    color: #333333;
    font-size: 18px;
    padding-bottom: 20px;
  }

  &__header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  &__add {
    cursor: pointer;
    margin-right: -5px;
  }

  .item {
    display: flex;
    align-items: flex-start;
    padding: 10px 0;
    text-overflow: ellipsis;

    &__img {
      width: 70px;
      height: auto;
      object-fit: cover;
    }
    &__info {
      padding: 0 20px;
      flex-grow: 1;
    }
    &__title {
      font-size: 15px;
      font-weight: bold;
      color: #333333;
      max-width: 200px;
      overflow: hidden;
      text-overflow: ellipsis;
    }
    &__description {
      font-size: 13px;
      color: #9c9696;
    }
    &__quantity {
      align-self: center;
    }
  }
}
`;
