import React, { useState } from 'react';
import {EditIcon, RemoveIcon } from 'styles/icon-components';
import { digits } from 'utils/number';

export function EditItem ({ item, handleEdit, handleDelete }) {
  const [edit, setEdit] = useState(false);
  const {id, name, price} = item;
  const onClick = () => {
    setEdit(!edit);
  }
  const handleEditClick = () => {
    handleEdit(id);
  };
  const handleDeletelick = () => {
    handleDelete(id);
  };
  return (
    <div className={`item ${edit ? 'active' : ''}`} onClick={onClick}>
      <span>{`${name} ${digits(price)}`}&#8363;</span>
      {edit && <span className="icons">
        <span onClick={handleEditClick}><EditIcon/></span>|
        <span onClick={handleDeletelick}><RemoveIcon/></span>
      </span>}
    </div>
  );
}