export interface MenuModel {
  categoryId: number;
  categoryName: string;
  kitchenAliasName: string;
  menuItems?: MenuItemModel[];
}

export interface SizeModel {
  name: string;
  unit?: String;
  price: number;
  discountPrice: string | number;
}

export interface MenuItemModel {
  id: number;
  category?: CategoryModel;
  name: string;
  kitchenAliasName: string;
  description: string;
  price: number;
  discount: number;
  discountPercentage: number;
  isPublic: number;
  areaId: number;
  photo: string;
  photos: any;
  stockout: boolean;
  stockOut: boolean;
  products: any;
  addons: any;
  groupAddons: any;
  minimumCookTime: string;
  maximumCookTime: string;
  minimumCalories: string;
  maximumCalories: string;
  allergyItems: any;
  hasOption: boolean;
  isEffective: boolean;
  isFeaturedItem: boolean;
  sku: string;
}

export interface CategoryModel {
  id?: number;
  categoryName?: string;
  kitchenAliasName?: string;
  details?: string;
}
