/*
 *
 * LanguageProvider reducer
 *
 */
import { ActionTypes } from './constants';
import { getSearchParamValueByParams } from 'utils/searchParams';
import { ContainerState, ContainerActions } from './types';
import _ from "lodash";


const defaultCategoryId = getSearchParamValueByParams(window.location.search, 'category');
export const initialState: ContainerState = {
  isFetching: false,
  message: '',
  params: { categoryId: defaultCategoryId ? Number(defaultCategoryId) : 0, searchText: '' }
};

function reducer(
  state: ContainerState = initialState,
  action: ContainerActions,
): ContainerState {
  switch (action.type) {
    case ActionTypes.SET_CATEGORY:
      return { ...state, params: {categoryId: action.payload, searchText: ''} }
    default:
      return state;
  }
}
export default reducer;
