import { action } from 'typesafe-actions';

import ActionTypes from './constants';

export const getPayments = (type, searchText) => action(ActionTypes.GET_PAYMENTS, { type, searchText });
export const getPaymentsSuccess = payments => action(ActionTypes.GET_PAYMENTS_SUCCESS, payments);
export const getPaymentFail = message => action(ActionTypes.GET_PAYMENTS_FAIL, message);

export const updatePayment = (id, payment) => action(ActionTypes.UPDATE_PAYMENT, { id, payment });
export const updatePaymentSuccess = payment => action(ActionTypes.UPDATE_PAYMENT_SUCCESS, payment);
export const updatePaymentFail = message => action(ActionTypes.UPDATE_PAYMENT_FAIL, message);

export const deletePayment = id => action(ActionTypes.DELETE_PAYMENT, id);
export const deletePaymentSuccess = id => action(ActionTypes.DELETE_PAYMENT_SUCCESS, id);
export const deletePaymentFail = message => action(ActionTypes.DELETE_PAYMENT_FAIL, message);

export const showPaymentModal = payment => action(ActionTypes.SHOW_PAYMENT_MODAL, payment);
export const closePaymentModal = () => action(ActionTypes.CLOSE_PAYMENT_MODAL);
