import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

export enum Type {
  paid = 1,
  unpaid = 2,
}

export interface Payment {
  readonly merchantName?: string;
  readonly amount?: string;
  paymentTime?: any;
  readonly note?: string;
  createdTime?: any;
  id: any;
  type: Type;
}

/* --- STATE --- */
interface PaymentListState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  amount: number;
  paidAmount: number;
  payments: Payment[];
  showModal: boolean;
  payment: Payment | null;
}

/* --- ACTIONS --- */
type PaymentListActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = PaymentListState;
type ContainerActions = PaymentListActions;

export { ContainerState, ContainerActions };
