import { action } from 'typesafe-actions';

import ActionTypes from './constants';

export const getPayrolls = ({ typePayroll, restaurantId, staffId, page, limit }) => action(ActionTypes.GET_PAYROLLS, { typePayroll, restaurantId, staffId, page, limit });
export const getPayrollsSuccess = payrolls => action(ActionTypes.GET_PAYROLLS_SUCCESS, payrolls);
export const getPayrollsFail = message => action(ActionTypes.GET_PAYROLLS_FAIL, message);

export const getStaffs = () => action(ActionTypes.GET_STAFFS);
export const getStaffsSuccess = staffs => action(ActionTypes.GET_STAFFS_SUCCESS, staffs);
export const getStaffsFail = message => action(ActionTypes.GET_STAFFS_FAIL, message);

export const getPayroll = id => action(ActionTypes.GET_PAYROLL, id);
export const getPayrollSuccess = payroll => action(ActionTypes.GET_PAYROLL_SUCCESS, payroll);
export const getPayrollFail = message => action(ActionTypes.GET_PAYROLL_FAIL, message);

export const updatePayroll = (id, payroll) => action(ActionTypes.UPDATE_PAYROLL, { id, payroll });
export const updatePayrollSuccess = payroll => action(ActionTypes.UPDATE_PAYROLL_SUCCESS, payroll);
export const updatePayrollFail = message => action(ActionTypes.UPDATE_PAYROLL_FAIL, message);

export const deletePayroll = id => action(ActionTypes.DELETE_PAYROLL, id);
export const deletePayrollSuccess = id => action(ActionTypes.DELETE_PAYROLL_SUCCESS, id);
export const deletePayrollFail = message => action(ActionTypes.DELETE_PAYROLL_FAIL, message);

export const showPayrollModal = () => action(ActionTypes.SHOW_PAYROLL_MODAL);
export const closePayrollModal = () => action(ActionTypes.CLOSE_PAYROLL_MODAL);

export const setSearch = ({typePayroll, restaurantId, categoryId, searchText, page, limit}) => action(ActionTypes.SET_SEARCH, {typePayroll, restaurantId, categoryId, searchText, page, limit});