import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the payrollList state domain
 */

const selectPayrollListDomain = (state: ApplicationRootState) =>
  state.payroll || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by PayrollList
 */
export const makePayrolls = () => createSelector(selectPayrollListDomain, payroll => payroll.payrolls);

export const makeStaffs = () => createSelector(selectPayrollListDomain, payroll => payroll.staffs);

export const makePayroll = () => createSelector(selectPayrollListDomain, payroll => payroll.payroll);

export const makeShowModal = () => createSelector(selectPayrollListDomain, payroll => payroll.showModal);

export const makeSearch = () => createSelector(selectPayrollListDomain, payroll => payroll.search);

export const makeIsFetching = () => createSelector(selectPayrollListDomain, payroll => payroll.isFetching);