import { ActionType } from 'typesafe-actions';
import * as actions from './actions';
import { StaffModel } from '../StaffList/types';
export enum Type {
  paid = 2,
  unpaid = 1,
}

export interface Payroll {
  readonly merchantName?: string;
  readonly amount?: string;
  payrollTime?: any;
  readonly note?: string;
  readonly createdTime?: any;
  readonly id: any;
  readonly type: Type;
  productPhoto: any;
  name: any;
  taxNumber: any;
  storeName: any;
  roleName: any;
  quantity: any;
  hours: any;  
}

/* --- STATE --- */
interface PayrollListState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  readonly amount: number;
  readonly paidAmount: number;
  readonly payrolls: {count: number, list: any[]};
  readonly staffs: any[];
  readonly showModal: boolean;
  readonly payroll: any;
  readonly search: any;
}

/* --- ACTIONS --- */
type PayrollListActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = PayrollListState;
type ContainerActions = PayrollListActions;

export { ContainerState, ContainerActions };
