import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the promotionDetail state domain
 */

const selectPromotionDetailDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by PromotionDetail
 */

const makeSelectPromotionDetail = () =>
  createSelector(selectPromotionDetailDomain, substate => substate.promotionDetail);

export default makeSelectPromotionDetail;
export { selectPromotionDetailDomain };
