import styled from "styled-components";

export const PromotionAddNewWrapper = styled.div`
height: 100%;
input.ant-input, .ant-select-selector, div.ant-picker {
  min-height: 44px !important;
  align-items: center;
}
.ant-row {
  width: 100%;
}
textarea.ant-input {
  padding: 18px;
  border-radius: 0px;
}
span.ant-picker-suffix {
  align-self: initial;
}
.ant-input-group-addon:last-child {
  border-radius: 22px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  width: 53px;
  background: white;
  border-left: none;
}
div.ant-picker {
  border-radius: 22px;
}
.ant-upload.ant-upload-select-picture-card {
  width: 100%;
  min-width: 150px;
  height: 120px;
  padding: 0px !important;
  .ant-upload {
    padding: 0 !important;
  }
  img.photo-promotion {
    width: 100% !important;
    height: 120px !important;
    object-fit: cover;
    border-radius: 8px;
  }
}
.customerGroup {
  .ant-select-selection-item {
    padding-top: 15px !important;
  }
}
.promo-header {
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding-right: 20px;
  @media screen and (min-width: 743px) {
    display: flex;
  }
  &__img {
    margin: 10px;
    text-align:center;
  }
  &__upload {
    width: 240px;
    height: 120px;
    position: relative;
    border-radius: 8px;
    background: #ececec;
    cursor: pointer;
    .edit-upload-image-icon {
      position: absolute;
      top: 0px;
      right: 0px;
      display: none;
    }
    :hover {
      opacity: 0.2;
      .edit-upload-image-icon {
        display: block;
      }
    }
  }
  &__info {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 24px;
  }
  &__info-name {
    font-size: 15px;
    font-weight: bold;
    color: #333333;
    text-align: center;
    @media screen and (min-width: 743px) {
      text-align: initial;
    }
  }
  &__info-time {
    color: #a8a8a8;
    text-align: center;
    @media screen and (min-width: 743px) {
      text-align: initial;
    }
  }
  &__info-status {
    margin-top: 15px;
    text-align: center;
    @media screen and (min-width: 743px) {
      text-align: initial;
    }
  }
  &__qr-code {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10px 0px 10px;
  }
  &__qr-image {
    width: 90px;
    height: 90px;
  }
  &__code {
    margin-top: 10px;
    margin-bottom: 10px;
    @media screen and (min-width: 743px) {
      margin-bottom: 0;
    }
  }
}
.body-detail {
  margin-top: 20px;
  padding: 0 20px;
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
}
.form-header {
  font-size: 15px;
  font-weight: bold;
  color: #333333;
  padding: 20px 0px;
}
.btn-submit {
  width: 110px;
  height: 44px;
  border-radius: 22px;
}
.form-content {
  @media screen and (min-width: 743px)  {
    display: flex;
    justify-content: flex-start;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 20px
      }
      &:nth-child(2), &:nth-child(3) {
        flex: 0.5;
        margin-right: 20px
      }
    }
  }
  .fw {
    width: 100%;
  }
  &__menu {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 3;
        margin-left: 5px;
      }
    }
  }
  &__quantity {
    color: red;
    .ant-input-number {
      width: 100%;
      height: 44px;
      align-items: center;
      .ant-input-number-input-wrap {
        height: 100%;
        padding-top: 4px;
      }
    }
  }
  &__minimum-order {
    display: flex;
    align-items: center;
    width: 50%;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  &__desc {
    height: 195px;
    .ant-form-item-control-input {
      height: 100%;
      .ant-form-item-control-input-content {
        height: 100%;
        textarea.ant-input {
          height: 100%;
        }
      }
    }
  }
}
input.ant-input, .ant-select-selector, div.ant-picker {
  min-height: 44px !important;
  align-items: center;
}
textarea.ant-input {
  padding: 18px;
  border-radius: 0px;
}
span.ant-picker-suffix {
  align-self: initial;
}
.ant-input-group-addon:last-child {
  border-radius: 22px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  width: 53px;
}
div.ant-picker {
  border-radius: 22px;
}
div.ant-picker {
  border-radius: 22px;
}
.last-item {
  margin-bottom: 0px !important;
}
.form-header {
  font-size: 15px;
  font-weight: bold;
  color: #333333;
  padding: 20px 0px;
}
.btn-submit {
  width: 110px;
  height: 44px;
  border-radius: 22px;
}
.form-content-exchange {
  .ant-upload.ant-upload-select-picture-card {
    width: 340px;
    height: 268px;
    border-radius: 8px;
    border: solid 1px #e6e6e6;
    .ant-upload {
      padding: 0;
    }
    img {
      border-radius: 8px;
    }
  }
  @media screen and (min-width: 743px)  {
    display: flex;
    justify-content: space-between;
    > div {
      &:nth-child(1), &:nth-child(2) {
        flex: 1 1 0%;
        margin-right: 20px
      }
      &:nth-child(3) {
        flex: 1
      }
    }
  }
  .fw {
    width: 100%;
  }
  &__promo-date, &__promo-time, &__discount-percent {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  &__menu {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 3;
        margin-left: 5px;
      }
    }
  }
  &__quantity {
    color: red;
    .ant-input-number {
      width: 100%;
      height: 44px;
      align-items: center;
      .ant-input-number-input-wrap {
        height: 100%;
        padding-top: 4px;
      }
    }
  }
  &__minimum-order {
    display: flex;
    align-items: center;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  &__promo-type {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    p {
      width: 200px;
    }
    + .ant-row {
    }
  }
  &__img {
    display: flex;
    width: 100%;
  }
  &__upload {
    width: 340px;
    height: 268px;
    border-radius: 8px;
    border: solid 1px #e6e6e6;
  }
}
span.img-hint {
  margin-bottom: 15px;
}
.first-promotion-row {
  margin-bottom: 20px;
  .general-card {
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
    background-color: #ffffff;
    padding: 0px 20px 20px 20px;
    &__discount {
      > .ant-col:nth-child(1) {
        padding-right: 10px;
        .ant-row {
          width: 100%;
        }
      }
    }
    &__firs-col {
      &--free-detail {
        height: 100%;
        padding-right: 20px;
      }
      &--point-detail {
        height: 100%;
        padding-right: 20px;
      }
    }
    &__second-col {
    *, textarea {
        width: 100%;
        height: 100%;
      }
    }
    .ant-form-item textarea.ant-input {
      margin-bottom: 0px;
    }
    .general-last-row {
      > .ant-col:nth-child(1) {
        padding-right: 20px;
      }
    }
  }
  .general-right-card {
    @media screen and (min-width: 786px) {
      padding-left: 20px;
    }
    @media screen and (max-width: 786px) {
      margin-top: 20px;
    }
    .time-card {
      margin-top: 20px;
    }
    .ant-picker.fw {
      width: 100%;
    }
  }
}
.second-promotion-row {
  margin-bottom: 20px;
}
.conditions-card, .time-card {
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding: 0px 20px 20px 20px;
  &__content {
    &--firstRow{
      > .ant-col:nth-child(2) {
        padding-left: 10px;
      }
    }
  }
}
`;
