import React, { useState } from "react";
import { useInjectReducer, useInjectSaga } from 'redux-injectors';
import reducer from './reducer';
import saga from './saga';
import styled from "styled-components";
import Tab from "./Tab";
import Header from './Header';
const PromotionListWrapper = styled.div`
  font-family: Muli, sans-serif;
  padding: 20px 30px 20px;
  .promotion-card__img {
    img {
      height: 200px;
      width: 100%;
      border-top-left-radius: 8px;
      border-top-right-radius: 8px;
    }
    img.image {
      object-fit: cover;
    }
  }
`;

interface Props {
  readonly type: number;
}
function PromotionList(props: Props) {
  useInjectReducer({ key: 'promotionList', reducer: reducer });
  useInjectSaga({ key: 'promotionList', saga: saga });

  const { type } = props;

  return (
    <PromotionListWrapper>
      <div className="promotion-list">
        <Header type={type} />
        <Tab type={type} />
      </div>
    </PromotionListWrapper>
  );
}

export default PromotionList;
