import ActionTypes from './constants';
import { ContainerState, ContainerActions } from './types';
import _ from 'lodash';

export const initialState: ContainerState = {
  default: null,
  isFetching: false,
  message: '',
  promotions: []
};

function promotionListReducer(
  state: ContainerState = initialState,
  action: ContainerActions,
): ContainerState {
  switch (action.type) {
    case ActionTypes.GET_PROMOTIONS:
      return { ...state, isFetching: true };
    case ActionTypes.GET_PROMOTIONS_SUCCESS:
      return { ...state, isFetching: false, promotions: action.payload };
    case ActionTypes.GET_PROMOTIONS_FAIL:
      return { ...state, isFetching: false, message: action.payload };
    case ActionTypes.DELETE_PROMOTION:
      return { ...state, isFetching: true };
    case ActionTypes.DELETE_PROMOTION_SUCCESS:
      _.remove(state.promotions, promotion => promotion.id === action.payload);
      return { ...state, isFetching: false, promotions: state.promotions};
    case ActionTypes.DELETE_PROMOTION_FAIL:
      return { ...state, isFetching: false, message: action.payload };
    default:
      return state;
  }
}

export default promotionListReducer;
