import { ActionType } from 'typesafe-actions';
import * as actions from './actions';
import { Moment } from "moment-timezone";

export interface Promotion {
  id: number;
  photo: string;
  name: string;
  startDate: Moment;
  endDate: Moment;
  startHour: Moment;
  endHour: Moment;
  daysOfWeek: any;
  code?: string;
  qrcode?: string;
  menuItems: [{
    quantity: number;
    menuItemId: number;
  }]
  discountTypeId: number;
  discountRedeemTypeId?: number;
  status: boolean;
  restaurantIds?: any[];
}

/* --- STATE --- */
interface PromotionListState {
  readonly default: any;
  readonly isFetching: boolean;
  readonly message: string;
  readonly promotions: Promotion[]
}

/* --- ACTIONS --- */
type PromotionListActions = ActionType<typeof actions>;

/* --- EXPORTS --- */
type ContainerState = PromotionListState;
type ContainerActions = PromotionListActions;

// @ts-ignore
export { ContainerState, ContainerActions };
