import React, { useState } from 'react';
import { RevenueBranchModel } from '../revenueModels';
import { Card, Col } from 'antd';
import { useCurrencyHook } from 'components/CustomHook/useCurrencyHook';
import NumberFormat from 'react-number-format';

interface Props {
  revenueBranch: RevenueBranchModel;
}

export function RevenueBranchCard(props: Props) {
  const currencyMemoi = useCurrencyHook();
  const { revenueBranch } = props;
  const {
    branchRevenue,
    branchNm,
    backgroundColor,
    border,
    color } = revenueBranch;
  return (
    <Col span={4}>
      <Card style={{ minHeight: "150px",backgroundColor: backgroundColor, border: `1px solid ${border}` }} bodyStyle={{ padding: 12}}
      >
        <div className="revenue-card__info">
          <span className="revenue-card__info--revenue" style={{color: color}}><NumberFormat value={branchRevenue} displayType={'text'} thousandSeparator={true} renderText={value => `${value} ${currencyMemoi}`} /></span>
        </div>
        <div className="revenue-card__info">
          <span className="revenue-card__info--title">{branchNm}</span>
        </div>
      </Card >
    </Col>
  );
}
