import React, { useState, useEffect } from 'react';
import styled from 'styled-components';
import { RevenueBranchCard } from './RevenueBranch/revenueBranchCard';
import { Row } from 'antd';
import { COLOR_CHART } from 'containers/App/constants';
const RevenueBranchsWrapper = styled.div`
  margin-bottom: 15px;
  width: 100%;
  overflow-x: auto;
  white-space: nowrap;
  .ant-card {
    font-size: 13px;
    font-weight: 400;
    height: 100%;
  }
  .branch-list-row {
    width: 100%;
    display: inherit;
    flex-flow: inherit;
    .ant-col.ant-col-4 {
      display: inline-grid;
      width: 200px;
      flex: 0 0 192px;
      max-width: 192px;
    }
  }
`;
const fakeBranchRevenueList = [
  {
    branchRevenue: 895000,
    branchNm: `McDonald's Phú Lâm`,
    backgroundColor: '#F2FBFF',
    border: "#09A9F3",
    color: '#09A9F3'
  },
  {
    branchRevenue: 1200000,
    branchNm: `McDonald's Aeon Mall Celadon Tân Phú`,
    backgroundColor: '#FFFCED',
    border: "#F6D400",
    color: '#BFA81B'
  },
  {
    branchRevenue: 2054000,
    branchNm: `McDonald's Bến Thành`,
    backgroundColor: '#FFF6F0',
    border: "#E35205",
    color: '#D7520B'
  },
  {
    branchRevenue: 1287000,
    branchNm: `McDonald's Hồng Bàng`,
    backgroundColor: '#F4FFF9',
    border: "#03BD5B",
    color: '#228743'
  },
];

export function RevenueBranch(props) {
  const { branchList } = props;
  const [branchRevenueList, setBranchRevenueList] = useState([] as any);
  const getBranchRevenue = () => {
    const branchListFormat = branchList.reduce(
      (accumulator, currentValue, currentIndex) => {
        let indexColor;
        indexColor = currentIndex % COLOR_CHART.length;
        const dataset = {
          branchRevenue:  Math.round(currentValue.amount * 10) / 10,
          branchNm: currentValue.name,
          backgroundColor:COLOR_CHART[indexColor].backgroundColor,
          border: COLOR_CHART[indexColor].borderColor,
          color: COLOR_CHART[indexColor].borderColor,
        };
        accumulator.push(dataset);
        return accumulator;
      },
      [],
    );
    setBranchRevenueList(branchListFormat);
  };
  useEffect(() => {
    getBranchRevenue();
  }, []);
  
    return (
      <RevenueBranchsWrapper>
        <Row gutter={[6, 6]} className="branch-list-row">
          {branchRevenueList.map(revenueBranch => (
            <RevenueBranchCard revenueBranch={revenueBranch} />
          ))}
        </Row>
      </RevenueBranchsWrapper>
    );
}