import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the customerList state domain
 */

const selectReportDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by CustomerList
 */

const makeSelectReport = () =>
  createSelector(selectReportDomain, substate => substate.report);

export default makeSelectReport;
export { selectReportDomain };
