import React, { useState } from 'react';
import styled from 'styled-components';
import { Popover } from 'antd';
import IMG_ASSIGN_IC from "../../../../images/assign-ic.png";
import { RemoveIcon, ThreeDotsIcon } from 'styles/icon-components';
import { FormattedMessage } from 'react-intl';
import messages from 'translations/messages';

const DeletePopOverWrapper = styled.div`
    .menu-list-action {
    
    &__edit {
     border-bottom: 1px solid #4c4c4c;
     padding-bottom: 15px;
     cursor: pointer;
     > span {
      padding: 0;
     }
     svg {
     margin-right: 10px;
      g {
       fill: #fff;
      }
     }
    }
    
    &__delete {
     cursor: pointer;
     > span {
      padding: 0;
     }
     svg {
     margin-right: 10px;
      g {
       fill: #fff;
      }
     }
    }
    
    &__assign {
      padding-top: 15px;
      cursor: pointer;
      > span {
       padding: 0;
      }
     }

    }
    
    a {
     text-decoration: none;
     color: inherit;
    }
    
`;


const actionContent = (props) => {
  const handleClickRemove = () => {
    props.setVisible(false);
    props.onDelete()
  }
  return (<DeletePopOverWrapper>
    <div className="menu-list-action">
      <div className="menu-list-action__delete" onClick={handleClickRemove}>
        <RemoveIcon /> <FormattedMessage {...messages.deleteBtn} />
      </div>
    </div>
  </DeletePopOverWrapper>);
};



const actionContentStaff = (props) => {
  const handleClickRemove = () => {
    props.setVisible(false);
    props.onDelete()
  }
  const handleClickAssignment = () => {
    props.setOpenStaffModal(true);
    props.setVisible(false);
  }
  return (<DeletePopOverWrapper>
    <div className="menu-list-action">
      <div className="menu-list-action__edit" onClick={handleClickRemove}>
        <RemoveIcon /> <FormattedMessage {...messages.deleteBtn} />
      </div>
      <div className="menu-list-action__assign" onClick={handleClickAssignment}>
        <img src={IMG_ASSIGN_IC} width={13} height={13}/> <FormattedMessage {...messages.assignment} />
      </div>
    </div>
  </DeletePopOverWrapper>);
};
interface Props {
  onDelete: () => void;
  staff?: any;
  setOpenStaffModal?: any;
}

export function DeletePopOver(props: Props) {
  const [visible, setVisible] = useState(false);
  const handleVisibleChange = v => {
    setVisible(v);
  };
  return (
    <Popover placement="bottom" content={props.staff ? actionContentStaff({...props, setVisible}) : actionContent({...props, setVisible})} trigger="click"  visible={visible} onVisibleChange={handleVisibleChange}>
      <div>
        <ThreeDotsIcon/>
      </div>
    </Popover>
  );
}
