import React, { useState } from 'react';
import { DragItemModel } from '../../../../Store/types';
import styled from 'styled-components';
import { TableModal } from './Table-options';
import BED_IC from '../../../../../../images/bed-ic.svg';
import CHAIR_IC from '../../../../../../images/chair-ic.svg';
import { FormattedMessage } from 'react-intl';
import messages from 'translations/messages';
const TableOptionsWrapper = styled.div`
  padding: 20px 10px;
  border-bottom: dashed 2px #F2F2F2;
  .options {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    &__title {

    }
  }
`;

export const TableOptions = () => {
  const [openDragItemModal, setDragItemModal] = useState(false);
  const [shapeId, setShapeId] = useState(2);
  const [initialDragItem, setInitialDragItem] = useState<DragItemModel>({} as DragItemModel);
  // 1 is a table, 2 is a Preparation area, 3 Cashier area, 4 Pickup location
  // 1: tròn, 2: chữ nhật, 3: vuông, 4: oval (edited)
  const handleOnClickTable = (shapeId, type) => {
    setInitialDragItem({ shapeId, type });
    setDragItemModal(true);
    setShapeId(shapeId)
  }

  return (
    <TableOptionsWrapper>
      <div className="options">
        <div className="options__title"><FormattedMessage {...messages.bedType} /></div>
        <img src={CHAIR_IC} onClick={() => handleOnClickTable(1, 1)} />
        <img src={BED_IC} onClick={() => handleOnClickTable(2, 1)} />
      </div>
      <TableModal
        onCancel={() => setDragItemModal(false)}
        visible={openDragItemModal}
        initialDragItem={initialDragItem}
        shapeId={shapeId}
      />
    </TableOptionsWrapper>
  )
};
