import React, { useState, useCallback, useEffect, useRef } from 'react';
import './wrapperDrag.scss'
import { ref } from "framework-utils";
import Guides from "@scena/react-guides";
import { MovableItem } from './dragItem';
export class WrapperDragItem extends React.Component {
  render() {
    const { dragItems, selectedGroupId, getDragItems, selectedAreaId } = this.props;
    return (
      <>
        <div id="con" ref={el => (this.container = el)}>
          <div className="guides horizontal">
            <Guides ref={ref(this, "guides1")} />
          </div>
          <div className="guides vertical">
            <Guides ref={ref(this, "guides2")} type="vertical" />
          </div>
          {
            dragItems.map(item => {
              const isSelected = item.sectionId === selectedGroupId || item.id === selectedAreaId;
              return (
                <MovableItem
                  key={item.id}
                  getDragItems={getDragItems}
                  item={item}
                  isSelected={isSelected}
                  setTableItemAction={this.props.setTableItemAction}
                />
              )
            }
            )
          }
        </div>
      </>
    );
  }
  componentDidMount() {
    this.setState({
      target: document.querySelector(".moveable")
    });
    const area = this.area(this.container.offsetWidth, this.container.offsetHeight, this.props.area.width, this.props.area.height)
    const width = this.lineWidth(this.container.offsetWidth, area)
    const height = this.lineWidth(this.container.offsetHeight, area)
    this.guides1.loadGuides(height);
    this.guides2.loadGuides(width);
  }
  area(offsetWidth, offsetHeight, width, height) {
    const w = offsetWidth / width
    const h = offsetHeight / height
    let result = 0
    if (w > h) {
      result = width * h
    } else {
      result = height * w
    }
    return result
  }
  lineWidth(width, area) {
    // const space = width / area
    let number = area
    if (area > 10) {
      number = area / 10
    } else {
      number = area * 10
    }
    var line_width_array = [];
    for (var i = 1; i <= width; i++) {
      line_width_array.push(i * number);
    }
    return line_width_array
  }
  lineHeight(height, area) {
    // const space = height / area
    let number = area
    if (area > 10) {
      number = area / 10
    } else {
      number = area * 10
    }
    var line_height_array = [];
    for (var i = 1; i <= height; i++) {
      line_height_array.push(i * number);
    }
    return line_height_array
  }
}
