import React, { useState, useEffect } from 'react';
import { useDrop } from 'react-dnd';
import styled from 'styled-components';
import { Container } from './Drop-box';
import { FloorModel } from 'containers/Restaurant/Store/types';
import { createStructuredSelector } from 'reselect';
import { makeSelectCurrentFloorId } from 'containers/Restaurant/Store';
import { useSelector } from 'react-redux';

const DropBoxWrapper = styled.div`
  margin-left: 10px;
  position: relative;
  height: 100%;
  flex-grow: 1;
  overflow: hidden;
`;

interface Props {
  floorList: Array<FloorModel>;
}

const stateSelector = createStructuredSelector({
  currentFloorId: makeSelectCurrentFloorId(),
});

export const DropBox = (props: Props) => {
  const { floorList } = props;
  const { currentFloorId } = useSelector(stateSelector);
  const currentFloor = floorList.find(floor => floor.id === currentFloorId);
  return (
    <DropBoxWrapper>
      <Container currentFloor={currentFloor} />
    </DropBoxWrapper>
  )
}
