import { action } from 'typesafe-actions';
import { ActionTypes } from './constants';
import { DragItemModel } from './types';

export const getDragItemsSuccess = (dragItems: DragItemModel[]) =>
  action(ActionTypes.GET_DRAG_ITEMS_BY_FLOOR_SUCCESS, dragItems);

export const createDragItemSuccess = (dragItem: DragItemModel) => action(ActionTypes.CREATE_DRAG_ITEM_SUCCESS, dragItem);

export const updateDragItem = (dragItem: DragItemModel) => action(ActionTypes.UPDATE_DRAG_ITEM, dragItem);

export const deleteDragItem = id => action(ActionTypes.DELETE_DRAG_ITEM, id);

export const setCurrentFloorIdAction = (currentFloorId: number) =>
  action(ActionTypes.SET_CURRENT_FLOOR_ID, currentFloorId);

export const setAreaFloorAction = (area: {}) => action(ActionTypes.SET_AREA_FLOOR, area);

export const makeFreshAction = () => action(ActionTypes.MAKE_REFRESH);

export const getMenu = id => action(ActionTypes.GET_MENU, id);
export const getMenuSuccess = (data) => action(ActionTypes.GET_MENU_SUCCESS, data);
export const getMenuFail = message => action(ActionTypes.GET_MENU_FAIL, message);

export const searchMenu = params => action(ActionTypes.SEARCH_MENU, params);
