import { put, takeLatest } from "redux-saga/effects";
import { callApi, success } from "../../../utils/apiUtils";
import { getMenuFail, getMenuSuccess } from "./actions";
import { ActionTypes } from "./constants";

export function* getMenu({payload: id}) {
  try {
    const { code, data, message } = yield callApi(`/menus/menu-items?restaurantId=${id}`, 'GET');
    if (success(code)) {
      yield put(getMenuSuccess(data));
    } else {
      yield put(getMenuFail(message));
    }
  } catch (error) {
    yield put(getMenuFail(error.message));
  }
}

export default function* menuSaga() {
  // @ts-ignore
  yield takeLatest(ActionTypes.GET_MENU, getMenu);
}
