/*
 * AddPromotion Messages
 *
 * This contains all the text for the AddPromotion container.
 */

import { defineMessages } from 'react-intl';

export const scope = 'app.containers.setting';

export default defineMessages({
  endDateAfterStartDate:{
    id: 'app.containers.setting.endDateAfterStartDate',
    defaultMessage:'Ngày kết thúc phải lớn hơn ngày bắt đầu',
  },
  closingDaysCantBeTheSame:{
    id: 'app.containers.setting.closingDaysCantBeTheSame',
    defaultMessage:'Ngày nghỉ không được trùng nhau',
  },
  requireFromDate: {
    id: `app.containers.setting.requireFromDate`,
    defaultMessage: 'Vui lòng chọn ngày bắt đầu',
  },
  fromDate: {
    id: `app.containers.setting.fromDate`,
    defaultMessage: 'Từ ngày',
  },
  requireToDate: {
    id: `app.containers.setting.requireToDate`,
    defaultMessage: 'Vui lòng chọn ngày kết thúc',
  },
  toDate: {
    id: `app.containers.setting.toDate`,
    defaultMessage: 'Đến ngày',
  },
  successNoti: {
    id: `${scope}.successNoti`,
    defaultMessage: 'Chỉnh sửa cài đặt thành công',
  },
  failNoti: {
    id: `${scope}.failNoti`,
    defaultMessage: 'Chỉnh sửa cài đặt thất bại',
  },
  setting: {
    id: `${scope}.setting`,
    defaultMessage: 'Cài Đặt',
  },
  exchangePoint: {
    id: `${scope}.exchangePoint`,
    defaultMessage: 'Quy đổi điểm',
  },
  requiredNumber: {
    id: `${scope}.requiredNumber`,
    defaultMessage: 'Vui lòng nhập số',
  },
  percent: {
    id: `${scope}.percent`,
    defaultMessage: 'Phần trăm',
  },
  amount: {
    id: `${scope}.amount`,
    defaultMessage: 'Số tiền',
  },
  requireDiscount: {
    id: `${scope}.requireDiscount`,
    defaultMessage: 'Vui lòng nhập số tiền khuyến mãi!',
  },
  requireNumberInput: {
    id: `${scope}.requireNumberInput`,
    defaultMessage: 'Vui lòng nhập số',
  },
  requireInputGreaterThanZero: {
    id: `${scope}.requireInputGreaterThanZero`,
    defaultMessage: 'Vui lòng nhập số lớn hơn 0!',
  },
  timeAverageService: {
    id: `${scope}.timeAverageService`,
    defaultMessage: 'Thời gian phục vụ trung bình',
  },
  minute: {
    id: `${scope}.minute`,
    defaultMessage: 'phút',
  },
  warning: {
    id: `${scope}.warning`,
    defaultMessage: 'Cảnh báo',
  },
  tax: {
    id: `${scope}.tax`,
    defaultMessage: 'Thuế',
  },
  orderFee: {
    id: `${scope}.orderFee`,
    defaultMessage: 'Phí giao hàng',
  },
  typeOrderChoose: {
    id: `${scope}.typeOrderChoose`,
    defaultMessage: 'Vui lòng chọn loại order',
  },
  feeFree: {
    id: `${scope}.feeFree`,
    defaultMessage: 'Miễn phí',
  },
  hasFee: {
    id: `${scope}.hasFee`,
    defaultMessage: 'Có tính phí',
  },
  under: {
    id: `${scope}.under`,
    defaultMessage: 'Dưới',
  },
  from: {
    id: `${scope}.from`,
    defaultMessage: 'Từ',
  },
  to: {
    id: `${scope}.to`,
    defaultMessage: 'Đến',
  },
  points: {
    id: `${scope}.points`,
    defaultMessage: 'Số điểm*',
  },
  moneys: {
    id: `${scope}.moneys`,
    defaultMessage: 'Số tiền*',
  },
  point: {
    id: `${scope}.point`,
    defaultMessage: 'điểm',
  },
  requiredLanguage: {
    id: `${scope}.requiredLanguage`,
    defaultMessage: 'Vui lòng chọn ngôn ngữ',
  },
  language: {
    id: `${scope}.language`,
    defaultMessage: 'Ngôn ngữ',
  },
  minimumOrderAmount: {
    id: `${scope}.minimumOrderAmount`,
    defaultMessage: 'Đơn hàng tối thiểu',
  },
  on: {
    id: `${scope}.on`,
    defaultMessage: 'Trên',
  },
  category: {
    id: `${scope}.category`,
    defaultMessage: 'Danh mục',
  },
  description: {
    id: `${scope}.description`,
    defaultMessage: 'Mô tả',
  },
  requiredCategoryName: {
    id: `${scope}.requiredCategoryName`,
    defaultMessage: 'Vui lòng nhập tên danh mục',
  },
  requiredMenuName: {
    id: `${scope}.requiredMenuName`,
    defaultMessage: 'Vui lòng nhập tên thực đơn',
  },
  condition: {
    id: `${scope}.condition`,
    defaultMessage: 'Điều kiện sử dụng',
  },
  save: {
    id: `${scope}.save`,
    defaultMessage: 'Lưu',
  },
  discountBy: {
    id: 'discountBy',
    defaultMessage: 'Giảm giá theo'
  },
  status: {
    id: `${scope}.status`,
    defaultMessage: 'Tình trạng',
  },
  active: {
    id: `${scope}.active`,
    defaultMessage: 'Đang hoạt động',
  },
  inactive: {
    id: `${scope}.inactive`,
    defaultMessage: 'Ngưng hoạt động',
  },
  vietnamese: {
    id: `${scope}.vietnamese`,
    defaultMessage: 'Tiếng Việt',
  },
  english: {
    id: `${scope}.english`,
    defaultMessage: 'Tiếng Anh',
  },
  name: {
    id: `${scope}.name`,
    defaultMessage: 'Tên*'
  },
  methodOfPreparation: {
    id: `${scope}.methodOfPreparation`,
    defaultMessage: 'Cách Pha Chế'
  },
  timeToWork: {
    id: `app.containers.setting.timeToWork`,
    defaultMessage: 'Thời gian làm việc',
  },
  timeToClose: {
    id: `app.containers.setting.timeToClose`,
    defaultMessage: 'Ngày đóng cửa',
  },
  timeToOpen: {
    id: `app.containers.setting.timeToOpen`,
    defaultMessage: 'Thời gian mở cửa',
  },
  monday: {
    id: `app.containers.setting.monday`,
    defaultMessage: 'Thứ 2',
  },
  tuesday: {
    id: `app.containers.setting.tuesday`,
    defaultMessage: 'Thứ 3',
  },
  wednesday: {
    id: `app.containers.setting.wednesday`,
    defaultMessage: 'Thứ 4',
  },
  thursday: {
    id: `app.containers.setting.thursday`,
    defaultMessage: 'Thứ 5',
  },
  friday: {
    id: `app.containers.setting.friday`,
    defaultMessage: 'Thứ 6',
  },
  saturday: {
    id: `app.containers.setting.saturday`,
    defaultMessage: 'Thứ 7',
  },
  sunday: {
    id: `app.containers.setting.sunday`,
    defaultMessage: 'Chủ nhật',
  },
  requireFromTime: {
    id: `app.containers.setting.requireFromTime`,
    defaultMessage: 'Vui lòng chọn khung giờ bắt đầu khuyến mãi',
  },
  fromTime: {
    id: `app.containers.setting.fromTime`,
    defaultMessage: 'Từ khung giờ*',
  },
  requireToTime: {
    id: `app.containers.setting.requireToTime`,
    defaultMessage: 'Vui lòng chọn khung giờ kết thúc khuyến mãi',
  },
  toTime: {
    id: `app.containers.setting.toTime`,
    defaultMessage: 'Đến khung giờ*',
  },
  income: {
    id: `app.containers.setting.income`,
    defaultMessage: 'Thu nhập',
  },
  deduction: {
    id: `app.containers.setting.deduction`,
    defaultMessage: 'Giảm trừ',
  },
  nameWorking:{
    id: `app.containers.setting.nameWorking`,
    defaultMessage: 'Tên ca',
  },
});
