/*
 *
 * StaffAddNew reducer
 *
 */

import ActionTypes from './constants';
import { ContainerState, ContainerActions } from './types';

export const initialState: ContainerState = {
  default: null,
  isFetching: false,
  message: '',
  commissions: []
};

function staffAddNewReducer(
  state: ContainerState = initialState,
  action: ContainerActions,
): ContainerState {
  switch (action.type) {
    case ActionTypes.DEFAULT_ACTION:
      return state;
    case ActionTypes.CREATE_STAFF:
      return { ...state, isFetching: true };
    case ActionTypes.CREATE_STAFF_SUCCESS:
      return { ...state, isFetching: false };
    case ActionTypes.CREATE_STAFF_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    case ActionTypes.GET_COMMISSIONS:
      return { ...state, isFetching: true };
    case ActionTypes.GET_COMMISSIONS_SUCCESS:
      return { ...state, isFetching: false, commissions: action.payload };
    case ActionTypes.GET_COMMISSIONS_FAIL:
      return { ...state, message: action.payload, isFetching: false };
    default:
      return state;
  }
}

export default staffAddNewReducer;
