// import { take, call, put, select } from 'redux-saga/effects';

import { callApi, success } from "../../utils/apiUtils";
import { put, takeLatest } from "redux-saga/effects";
import { createStaffSuccess, createStaffFail, getCommissionSuccess,
  getCommissionFail } from "./actions";
import ActionTypes from "./constants";
import { push } from "connected-react-router";
import { RoutePaths } from "../App/routes";
import { apiError } from "../App/actions";

export function* createStaff(payload) {
  try {
    const { code, data, message } = yield callApi(`/users/profile`, 'POST', payload.payload, {isFormData: true});
    if (success(code)) {
      yield put(createStaffSuccess(data));
      yield put(push(RoutePaths.staff));
    } else {
      yield put(createStaffFail(message));
      yield put(apiError(message));
    }
  } catch (error) {
    yield put(createStaffFail(error.message));
    yield put(apiError(error.message));
  }
}

export function* getCommissions() {
  try {
    const { code, data, message } = yield callApi(
      `/admin/setting/merchant`,
      'GET',
    );
    if (success(code)) {
      yield put(getCommissionSuccess(data.commission ? data.commission.list : []));
    } else {
      yield put(getCommissionFail(message));
    }
  } catch (error) {
    yield put(getCommissionFail(error.message));
  }
}


// Individual exports for testing
export default function* staffAddNewSaga() {
  // See example in containers/HomePage/saga.js
  yield takeLatest(ActionTypes.CREATE_STAFF, createStaff);
  // @ts-ignore
  yield takeLatest(ActionTypes.GET_COMMISSIONS, getCommissions);
}
