import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the staffAddNew state domain
 */

const selectStaffAddNewDomain = (state: ApplicationRootState) =>
  state.staffAddNew || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by StaffAddNew
 */

const makeSelectStaffAddNew = () =>
  createSelector(selectStaffAddNewDomain, substate => substate);

export default makeSelectStaffAddNew;
export { selectStaffAddNewDomain };
