import styled from 'styled-components';

export const StaffAddWrapper = styled.div`
  height: 100%;
  padding: 20px;
  .form {
    margin-bottom: 20px;
    .staff-card > div {
      box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
      background-color: #ffffff;
      padding: 20px;
      height: 100%;
    }
    .staff-card {
      .no-mr {
        margin-bottom: 0px !important
      }
    }
    .staff-card.payroll, .staff-card.account {
      padding-top: 20px;
      @media screen and (min-width: 768px) {
        padding-left: 20px;
        padding-top: 0px;
      }
      .payroll-content {
        > .ant-col:nth-child(1) {
          padding-right: 10px;
        }
        > .ant-col:nth-child(2) {
          padding-left: 10px;
        }
      }
    }
    .ant-row:nth-child(1) {
      @media screen and (min-width: 743px) {
        display: flex;
        justify-content: space-between;
        > div.col {
          &:nth-child(1),
          &:nth-child(2) {
            flex: 1;
          }
          &:nth-child(3) {
            flex: 0.6;
          }
          &:nth-child(4) {
            flex: 0.8;
          }
        }
      }
      input.ant-input,
      .ant-select-selector,
      div.ant-picker {
        min-height: 44px !important;
        align-items: center;
      }
      textarea.ant-input.note-input {
        height: 103px;
        border-radius: 8px !important;
      }
      .ant-input-password {
        max-height: 42px;
        align-items: center;
      }
      div.ant-picker {
        border-radius: 22px;
      }
      span.ant-input-group-addon {
        border-bottom-left-radius: 20px;
        border-top-left-radius: 20px;
      }
      span.ant-input-group-addon + input.ant-input {
        border-bottom-left-radius: 0px !important;
        border-top-left-radius: 0px !important;
      }
    }
    input#password.ant-input,input#verifyPassword.ant-input {
      min-height: 25px !important;
    }
    .payroll {
      span.ant-select-selection-item{
        padding-top: 10px;
      }
      span.ant-input-group-addon {
        border-bottom-left-radius: 0px !important;
        border-top-left-radius: 0px !important;
        border-bottom-right-radius: 20px ;
        border-top-right-radius: 20px;
        border-bottom-left-radius: 0px;
        border-top-left-radius: 0px;
        background: white;
        border-left: none;
      }
      
      .ant-form-item {
        margin-bottom: 15px;
      }
    }
    .no-select-input {
      display: none;
    }
    @media only screen and (min-width:743px) {
      .section {
        width: 58%;
        display: flex;
        align-items: center;
        justify-content: flex-start;
        .ant-typography {
          margin-bottom: 20px;
        }
        .no-select-input {
          display: inline-block;
          width: 27%;
          min-height: 32px;
          margin: auto;
          margin-left: 10px;
        }
        &__item {
          &--small {
            width: 30%;
          }
        }
        &__item.exchange-point {
          width: 27%;
          margin-left: 10px;
          white-space: nowrap;
          max-width: 270px;
        }
        &__item.note {
          width: 95%;
        }
        &__item.title-ex-point {
          width: 25%;
        }
        &__item.title-use-time {
          width: 25%;
        }
        .ex-money {
          width: 30%;
        }
        .tax-label{
          width: 8%;
          margin-left: 5%;
        }
        .tax-col-input {
          width: 56%;
          margin-left: 10px;
        }
        &--no-padding {
          display: flex;
          align-items: center;
          justify-content: space-between;
          padding: 8px 0;
          .ant-typography {
            margin-bottom: 0;
          }
          .ant-form-item {
            margin-bottom: 0;
          }
          .km {
            width: 105px;
          }
          .currency {
            width: 160px;
          }
          .path-icon {
            display: block;
          }
  
          .fee-from {
            &__title {
              flex-basis: 40px;
            }
          }
        }
      }
    }
  }
  .title {
    font-size: 15px;
    font-weight: bold;
    color: #333333;
    margin-bottom: 20px;
  }
  .row {
    @media screen and (min-width: 743px) {
      display: flex;
      > * {
        flex: 1;
      }
    }
    &__role {
      padding-left: 10px;
    }
    &__phone {
      flex: 1 1 0%;
    }
    &__dob {
      padding-left: 10px;
      &__picker {
        width: 100%;
      }
    }
  }
  .col {
    @media screen and (min-width: 743px) {
      display: flex;
      flex-direction: column;
      justify-content: flex-end;
      padding: 0 5px;
    }
  }
  .avatar {
    &__upload {
      > div {
        border-radius: 8px;
        width: 150px;
        margin: 0 auto 8px;
        float: none;
        @media screen and (min-width: 743px) {
          margin: 0 auto 0px;
        }
      }
      &__thumb {
        object-fit: cover;
        &__text {
          margin-top: 8px;
        }
        align-self: center;
      }
    }
  }
  .submit {
    width: 110px;
    height: 44px;
    border-radius: 22px;
    background-color: #9cd339;
  }
  .ant-upload.ant-upload-select-picture-card > .ant-upload {
    border-radius: 8px;
    width: 150px;
    height: 150px;
    padding: 0px;
    img {
      border-radius: 8px;
      width: 150px;
      height: 150px;
    }
  }
`;
