/*
 *
 * StaffDetail actions
 *
 */

import { action } from 'typesafe-actions';
import {} from './types';

import ActionTypes from './constants';

export const openModal = id => action(ActionTypes.OPEN_MODAL, id);

export const getStaff = id => action(ActionTypes.GET_STAFF, id);
export const getStaffSuccess = staff =>
  action(ActionTypes.GET_STAFF_SUCCESS, staff);
export const getStaffFail = message =>
  action(ActionTypes.GET_STAFF_FAIL, message);

export const getCommissions = () => action(ActionTypes.GET_COMMISSIONS);
export const getCommissionSuccess = staff =>
  action(ActionTypes.GET_COMMISSIONS_SUCCESS, staff);
export const getCommissionFail = message =>
  action(ActionTypes.GET_COMMISSIONS_FAIL, message);

export const getShifts = () => action(ActionTypes.GET_SHIFTS);
export const getShiftsSuccess = shifts =>
  action(ActionTypes.GET_SHIFTS_SUCCESS, shifts);
export const getShiftsFail = message =>
  action(ActionTypes.GET_SHIFTS_FAIL, message);

export const getPayrolls = (staffId, searchPayroll) =>
  action(ActionTypes.GET_PAYROLLS, { staffId, searchPayroll });
export const getPayrollsSuccess = payrolls =>
  action(ActionTypes.GET_PAYROLLS_SUCCESS, payrolls);
export const getPayrollsFail = message =>
  action(ActionTypes.GET_PAYROLLS_FAIL, message);

export const updateStaff = ({ id, staff }) =>
  action(ActionTypes.UPDATE_STAFF, { id, staff });
export const updateStaffSuccess = staff =>
  action(ActionTypes.UPDATE_STAFF_SUCCESS, staff);
export const updateStaffFail = message =>
  action(ActionTypes.UPDATE_STAFF_FAIL, message);

export const blockStaff = id => action(ActionTypes.BLOCK_STAFF, id);
export const blockStaffSuccess = staff =>
  action(ActionTypes.BLOCK_STAFF_SUCCESS, staff);
export const blockStaffFail = message =>
  action(ActionTypes.BLOCK_STAFF_FAIL, message);

export const unBlockStaff = id => action(ActionTypes.UNBLOCK_STAFF, id);
export const unBlockStaffSuccess = staff =>
  action(ActionTypes.UNBLOCK_STAFF_SUCCESS, staff);
export const unBlockStaffFail = message =>
  action(ActionTypes.UNBLOCK_STAFF_FAIL, message);

export const getStaffWorkingHours = (staffId, searchTimesheet) =>
  action(ActionTypes.GET_STAFF_WORKING_HOURS, { staffId, searchTimesheet });
export const getStaffWorkingHoursSuccess = workingHours =>
  action(ActionTypes.GET_STAFF_WORKING_HOURS_SUCCESS, workingHours);
export const getStaffWorkingHoursFail = message =>
  action(ActionTypes.GET_STAFF_WORKING_HOURS_FAIL, message);

export const getStaffAdjustmentHistory = id =>
  action(ActionTypes.GET_STAFF_ADJUSTMENTS_HISTORY, id);
export const getStaffAdjustmentHistorySuccess = adjustmentHistory =>
  action(ActionTypes.GET_STAFF_ADJUSTMENTS_HISTORY_SUCCESS, adjustmentHistory);
export const getStaffAdjustmentHistoryFail = message =>
  action(ActionTypes.GET_STAFF_ADJUSTMENTS_HISTORY_FAIL, message);

export const getStaffWorkingHistory = (staffId, searchTimesheet) =>
  action(ActionTypes.GET_STAFF_WORKING_HISTORY, { staffId, searchTimesheet });
export const getStaffWorkingHistorySuccess = workingHistory =>
  action(ActionTypes.GET_STAFF_WORKING_HISTORY_SUCCESS, workingHistory);
export const getStaffWorkingHistoryFail = message =>
  action(ActionTypes.GET_STAFF_WORKING_HISTORY_FAIL, message);

export const getStaffCommissionHistory = (staffId, searchTimesheet) =>
  action(ActionTypes.GET_STAFF_COMMISION_HISTORY, { staffId, searchTimesheet });
export const getStaffCommissionHistorySuccess = workingHistory =>
  action(ActionTypes.GET_STAFF_COMMISION_HISTORY_SUCCESS, workingHistory);
export const getStaffCommissionHistoryFail = message =>
  action(ActionTypes.GET_STAFF_COMMISION_HISTORY_FAIL, message);

export const defaultAction = () => action(ActionTypes.DEFAULT_ACTION);

export const resetStaff = () => action(ActionTypes.RESET_STAFF);

export const showPayrollModal = () => action(ActionTypes.SHOW_PAYROLL_MODAL);
export const closePayrollModal = () => action(ActionTypes.CLOSE_PAYROLL_MODAL);

export const setSearchPayrolls = searchPayroll =>
  action(ActionTypes.SET_SEARCH_PAYROLL, searchPayroll);

export const setSearchTimesheet = searchTimesheet =>
  action(ActionTypes.SET_TIMESHEET, searchTimesheet);

export const setSearchCommission = searchTimesheet =>
  action(ActionTypes.SET_SEARCH_COMMISSION, searchTimesheet);
