import { createSelector } from 'reselect';
import { ApplicationRootState } from 'types';
import { initialState } from './reducer';

/**
 * Direct selector to the staffDetail state domain
 */

const selectStaffDetailDomain = (state: ApplicationRootState) =>
  state || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by StaffDetail
 */

const makeSelectStaffDetail = () =>
  createSelector(selectStaffDetailDomain, substate => substate.staffDetail);

const makeIsFetching = () => createSelector(selectStaffDetailDomain, substate => substate.staffDetail.isFetching);

const makeShowModal = () => createSelector(selectStaffDetailDomain, state => state.staffDetail.showModal);

export default makeSelectStaffDetail;
export { selectStaffDetailDomain, makeIsFetching, makeShowModal };
