import styled from "styled-components";

export const Avatar = styled.img`
  width: 150px;
  height: 150px;
  opacity: 0.2;
  border-radius: 8px;
  background-color: #000000;
`
export const ActionListWrapper = styled.div`
  .staff-info-action {
    padding: 10px 15px;

    &__edit {
      border-bottom: 1px solid #4c4c4c;
      padding-bottom: 15px;
      cursor: pointer;
      > span {
        padding: 0;
      }
      svg {
      margin-right: 10px;
        g {
        fill: #fff;
        }
      }
    }

    &__delete {
      padding-top: 15px;
      cursor: pointer;
      > span {
        padding: 0;
      }
      svg {
      margin-right: 10px;
        g {
        fill: #fff;
        }
      }
    }
  }
`;
export const StaffInfosWrapper = styled.div`
  font-family: Muli;
  padding: 20px 0;
  height: 100%;
  .infor-card {
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
    background-color: #ffffff;
    margin-bottom: 20px;
  }
  input.ant-input, .ant-select-selector, div.ant-picker {
    min-height: 44px !important;
    align-items: center;
  }
  div.ant-picker {
    border-radius: 22px;
  }
  .ant-picker-suffix .anticon {
    vertical-align: 0em;
  }
  span.ant-input-group-addon {
    border-bottom-left-radius: 20px;
    border-top-left-radius: 20px;
  }
  span.ant-input-group-addon + input.ant-input {
    border-bottom-left-radius: 0px !important;
    border-top-left-radius: 0px !important;
  }

  .ant-upload.ant-upload-select-picture-card {
    width: 150px;
    height: 150px;
    border: 0;
    background: none;

    .ant-upload {
      padding: 0;
    }

    img {
      width: 150px !important;
      height: 150px !important;
      border-radius: 8px;
    }
  }

  .header {
    display: flex;
    justify-content: space-between;
    padding: 0 20px;
    &__title {
      font-size: 15px;
      font-weight: 600;
      color: #333333;
    }
    &__action {
    }
  }
  .content {
    margin-top: 20px;
    &__info {
      padding 0 10px 0 20px;
    }
    &__avatar {
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 0 20px 0 10px;
    }
    &__thumbnail {
      width: 150px;
      min-width: 150px;
      height: 150px;
      min-height: 150px !important;
      border-radius: 8px;
      background: #ececec;
      position: relative;
      cursor: pointer;
      margin-bottom: 15px;
      .edit-upload-image-icon {
        position: absolute;
        top: 15px;
        right: 10px;
        display: none;
      }
      :hover {
        opacity: 0.2;
        .edit-upload-image-icon {
          display: block;
        }
      }
    }
    &__desc {
      font-size: 13px;
      color: #a8a8a8;
      margin-top: 28px;
      text-align: center;
    }
    @media screen and (min-width: 1200px) {
      display: flex;
      flex-direction: row-reverse;
      justify-content: space-between;
      &__info {
        flex: 2;
      }
      &__avatar {
        flex: 1;
      }
    }
  }
  .ur, .pd, .name {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  .btn {
    width: 110px;
    height: 44px;
    border-radius: 22px;
    background-color: #9cd339;
  }
  .group {
    padding: 20px;
    margin-bottom: 20px;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
    background-color: #ffffff;
    span.ant-input-group-addon {
      border-bottom-right-radius: 20px;
      border-top-right-radius: 20px;
      border-bottom-left-radius: 0px;
      border-top-left-radius: 0px;
      background: white;
      border-left: none;
    }
  }
  .no-select-input {
    display: none;
  }
  @media only screen and (min-width: 400px) {
    .section {
      display: flex;
      align-items: center;
      justify-content: flex-start;
      .ant-typography {
        margin-bottom: 20px;
      }
      .no-select-input {
        display: inline-block;
        width: 30%;
        min-height: 32px;
        margin: auto;
      }
      &__item {
        &--small {
          width: 30%;
        }
      }
      &__item.exchange-point {
        width: 33%;
        margin-left: 2%;
        white-space: nowrap;
      }
      &__item.note {
        width: 95%;
      }
      &__item.title-ex-point,  &__item.title-use-time, .ex-money {
        width: 30%;
      }
      .tax-label{
        width: 8%;
        margin-left: 2%;
      }
      .tax-col-input {
        width: 33%;
        margin-left: 2%;
      }
      &--no-padding {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 8px 0;
        .ant-typography {
          margin-bottom: 0;
        }
        .ant-form-item {
          margin-bottom: 0 !important;
        }
        .km {
          width: 105px;
        }
        .currency {
          width: 160px;
        }
        .path-icon {
          display: block;
        }

        .fee-from {
          &__title {
            flex-basis: 40px;
          }
        }
      }
    }
  }
`;
export const NewStaffInfosWrapper = styled.div`
  font-family: Muli;
  height: 100%;
  .information-body {
    @media only screen and (min-width: 576px) {
      width: 400px;
      flex: 0 0 400px;
      max-width: 400px;
  }
    }
    .infor-card {
      padding: 20px;
      box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
      background-color: #ffffff;
      margin-bottom: 20px;
      width: 450px;
      .header {
        &__title {
          font-size: 16px;
          font-weight: bold;
          color: #333333;
        }
    }
  }
  input.ant-input, .ant-select-selector, div.ant-picker {
    min-height: 44px !important;
    align-items: center;
  }
  div.ant-picker {
    border-radius: 22px;
  }
  .ant-picker-suffix .anticon {
    vertical-align: 0em;
  }
  span.ant-input-group-addon {
    border-bottom-left-radius: 20px;
    border-top-left-radius: 20px;
  }
  span.ant-input-group-addon + input.ant-input {
    border-bottom-left-radius: 0px !important;
    border-top-left-radius: 0px !important;
  }

  .ant-upload.ant-upload-select-picture-card {
    width: 150px;
    height: 150px;
    border: 0;
    background: none;

    .ant-upload {
      padding: 0;
    }

    img {
      width: 150px !important;
      height: 150px !important;
      border-radius: 8px;
    }
  }

  .content {
    margin-top: 20px;
    }
    &__desc {
      font-size: 13px;
      color: #a8a8a8;
      margin-top: 28px;
      text-align: center;
    }
  }
  .ur, .pd, .name {
    display: flex;
    > div {
      &:nth-child(1) {
        flex: 1;
        margin-right: 5px;
      }
      &:nth-child(2) {
        flex: 1;
        margin-left: 5px;
      }
    }
  }
  .btn {
    width: 110px;
    height: 44px;
    border-radius: 22px;
    background-color: #9cd339;
  }
  .btn-pass {
    background-color: #4A4A4A;
    border-color: #4A4A4A;
    margin-left: 20px;
    height: 44px;
  }
  .group {
    padding: 20px;
    margin-bottom: 20px;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
    background-color: #ffffff;
    span.ant-input-group-addon {
      border-bottom-right-radius: 20px;
      border-top-right-radius: 20px;
      border-bottom-left-radius: 0px;
      border-top-left-radius: 0px;
      background: white;
      border-left: none;
    }
  }
  .no-select-input {
    display: none;
  }
  @media only screen and (max-width: 425px) {
    .infor-card {
      width: unset;
    }
    .section {
      display: flex;
      align-items: center;
      justify-content: flex-start;
      .ant-typography {
        margin-bottom: 20px;
      }
      .no-select-input {
        display: inline-block;
        width: 30%;
        min-height: 32px;
        margin: auto;
      }
      &__item {
        &--small {
          width: 30%;
        }
      }
      &__item.exchange-point {
        width: 33%;
        margin-left: 2%;
        white-space: nowrap;
      }
      &__item.note {
        width: 95%;
      }
      &__item.title-ex-point,  &__item.title-use-time, .ex-money {
        width: 30%;
      }
      .tax-label{
        width: 8%;
        margin-left: 2%;
      }
      .tax-col-input {
        width: 33%;
        margin-left: 2%;
      }
      &--no-padding {
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 8px 0;
        .ant-typography {
          margin-bottom: 0;
        }
        .ant-form-item {
          margin-bottom: 0 !important;
        }
        .km {
          width: 105px;
        }
        .currency {
          width: 160px;
        }
        .path-icon {
          display: block;
        }

        .fee-from {
          &__title {
            flex-basis: 40px;
          }
        }
      }
    }
  }
`;
export const WorkingHistoryWrapper = styled.div`
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  font-family: Muli;
  .ant-typography-ellipsis-single-line {
    font-size: 13px;
    font-weight: 600;
    overflow: unset;
    white-space: unset;
    @media screen and (max-width: 768px) {
      font-size: 12px;
    }
    @media screen and (max-width: 420px) {
      font-size: 13px;
    }
  }
  .ant-table-cell {
    @media screen and (max-width: 768px) {
      font-size: 10px;
    }
    @media screen and (max-width: 420px) {
      font-size: 9px;
    }
  }
  .working-history {
    &_header {
      padding: 8px 20px 0;
    }
    &_main {
      overflow: auto;
      .txt_green {
        color: #35a211;
        text-align: center;
      }
      .txt_red {
        color: #dc5454;
        text-align: center;
      }
      .ant-table-thead > tr > th,
      .ant-table-tbody > tr > td,
      .ant-table tfoot > tr > th,
      .ant-table tfoot > tr > td {
        padding: 15px 10px;
      }
      @media screen and (max-width: 576px) {
        .ant-table-thead > tr > th,
        .ant-table-tbody > tr > td,
        .ant-table tfoot > tr > th,
        .ant-table tfoot > tr > td {
          padding: 15px 5px;
        }
      }
      .not-approved {
        background: #F1FAFF;
      }
      .total-approved {
        color: #77CD17;
      }
      .center-col {
        text-align: center;
      }
      .checkout-col {
        > div {
          padding-left: 10px;
        }
      }
      .first-col {
        > div, span {
          padding-left: 10px;
        }
      }
    }
  }
`;
export const WorkingHoursWrapper = styled.div`
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  font-family: Muli;
  margin: 1px 0 20px 0;
  padding: 20px 20px 0;
  .ant-typography-ellipsis-single-line {
    font-size: 13px;
    font-weight: 600;
    overflow: unset;
    white-space: unset;
    @media screen and (max-width: 768px) {
      font-size: 12px;
    }
    @media screen and (max-width: 420px) {
      font-size: 13px;
    }
  }
  .ant-table-cell {
    @media screen and (max-width: 768px) {
      font-size: 10px;
    }
    @media screen and (max-width: 420px) {
      font-size: 9px;
    }
  }
  @media screen and (min-width: 1200px) {
    padding: 0 0;
  }

  .working-hours {
    overflow: auto;
    &_header {
      h3 {
        font-size: 16px;
        font-weight: bold;
        color: #333333;
      }
      @media screen and (min-width: 1200px) {
        margin: 20px 20px 30px;
      }
    }
    &_main {
      overflow: auto;
      margin-top: 25px;
      .txt_green {
        color: #35a211;
        text-align: center;
      }
      .txt_red {
        color: #dc5454;
        text-align: center;
      }
    }
  }
`;
export const StaffDetailsWrapper = styled.div`
  @media screen and (min-width: 1200px) {
    display: flex;
    align-items: stretch;
    > * {
      flex: 1;
    }
    .l {
      margin: 1px 20px 1px 1px;
      &__working-history {
        margin-top: 20px;
      }
    }
  }
`;

export const NewStaffDetailsWrapper = styled.div`
padding: 20px;
  @media screen and (min-width: 1200px) {
    display: flex;
    align-items: stretch;
    > * {
      flex: 1;
    }
    .l {
      margin: 1px 20px 1px 1px;
      &__working-history {
        margin-top: 20px;
      }
    }
  }
`;

export const CustomerReputaionWrapper = styled.div`
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding: 10px;
  margin-bottom: 20px;
  margin-left: 1px;
  @media screen and (min-width: 743px) {
    display: flex;
    justify-content: space-between;
  }
  .info {
    display: flex;
    flex: 0 0 50%;
    > div {
      padding-top: 5px;
    }
    &__avatar {
      width: 70px;
      min-width: 70px;
      height: 70px;
      min-height: 70px;
      border-radius: 8px;
      background: #ececec;
      position: relative;
      cursor: pointer;
      .edit-upload-image-icon {
        position: absolute;
        top: 15px;
        right: 10px;
        display: none;
      }
      .ant-upload.ant-upload-select-picture-card {
        width: 100%;
        height: 100%;
        margin-bottom: 0px;
        > .ant-upload {
          padding: 0px;
        }
      }
      :hover {
        opacity: 0.2;
        .edit-upload-image-icon {
          display: block;
        }
      }
    }
    &__general {
      display: flex;
      flex-direction: column;
      justify-content: center;
      margin-left: 20px;
    }
    &__name {
      font-size: 22px;
      font-weight: bold;
      color: #333333;
      margin-bottom: 10px;
    }
    &__desc {
      display: flex;
      align-items: flex-end;
    }
    &__date {
      font-size: 13px;
      margin-right: 20px;
      color: #a8a8a8;
    }
  }
  .reputation {
    display: flex;
    justify-content: center;
    align-items: center;
    @media screen and (min-width: 743px) {
      flex: 0 0 50%;
      justify-content: start;
    }
    &__score {
      flex: 1;
      display: flex;
      align-items: baseline;
      justify-content: start;
      @media screen and (min-width: 1024px) {
        flex: 1
      }
    }
    &__title {
      font-size: 16px;
      font-weight: bold;
      color: #333333;
      margin-right: 20px;
    }
    &__spent {
      flex: 1;
      display: flex;
      align-items: baseline;
      justify-content: start;
      @media screen and (min-width: 1024px) {
        flex: 1;
      }
    }
    &__qr-code {
      flex: 1;
      display: flex;
      justify-content: center;
      @media screen and (min-width: 1024px) {
        flex: 1;
        justify-content: flex-end;
      }
    }
    &__qr-image {
      max-width: 80px;
      height: auto;
    }
    &__thumb {
      width: 22px;
      height: 13px;
      margin-right: 20px;
    }
    &__number {
      font-size: 20px;
      font-weight: 600;
      text-align: center;
      color: #9cd339;
  }
`;
export const StaffReputaionWrapper = styled.div`
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  padding: 10px;
  margin-bottom: 20px;
  margin-left: 1px;
  @media screen and (min-width: 420px) {
    display: flex;
    justify-content: space-between;
  }
  .info {
    display: flex;
    flex: 0 0 70%;
    > div {
      padding-top: 5px;
    }
    &__avatar {
      width: 70px;
      min-width: 70px;
      height: 70px;
      min-height: 70px;
      border-radius: 8px;
      background: #ececec;
      position: relative;
      cursor: pointer;
      .edit-upload-image-icon {
        position: absolute;
        top: 15px;
        right: 10px;
        display: none;
      }
      .ant-upload.ant-upload-select-picture-card {
        width: 100%;
        height: 100%;
        margin-bottom: 0px;
        > .ant-upload {
          padding: 0px;
        }
      }
      :hover {
        opacity: 0.2;
        .edit-upload-image-icon {
          display: block;
        }
      }
    }
    &__general {
      display: flex;
      flex-direction: column;
      justify-content: center;
      margin-left: 20px;
    }
    &__name {
      font-size: 13px;
      font-weight: bold;
      color: #333333;
      margin-bottom: 10px;
    }
    &__desc {
      display: flex;
      align-items: center;
    }
    &__date {
      font-size: 13px;
      margin-right: 20px;
      color: #a8a8a8;
    }
  }
  .reputation {
    display: flex;
    align-items: center;
    flex: 0 0 30%;
    justify-content: start;
    &__score {
      flex: 1;
      display: flex;
      align-items: baseline;
      justify-content: start;
      @media screen and (min-width: 1024px) {
        flex: 1
      }
    }
    &__title {
      font-size: 13px;
      font-weight: bold;
      color: #333333;
      margin-right: 20px;
    }
    &__spent {
      flex: 1;
      display: flex;
      align-items: baseline;
      justify-content: start;
      @media screen and (min-width: 1024px) {
        flex: 1;
      }
    }
    &__qr-code {
      flex: 1;
      display: flex;
      justify-content: center;
      margin: 10px auto;
      @media screen and (min-width: 420px) {
        margin-top: 0px;
        justify-content: flex-end;
        margin: 0;
      }
    }
    &__qr-image {
      max-width: 80px;
      height: auto;
    }
    &__thumb {
      width: 22px;
      height: 13px;
      margin-right: 20px;
    }
    &__number {
      font-size: 20px;
      font-weight: 600;
      text-align: center;
      color: #9cd339;
  }
`;
export const StaffPayrollWrapper = styled.div`
    margin-bottom: 20px;
    span.ant-input-group-addon {
      border-bottom-right-radius: 20px;
      border-top-right-radius: 20px;
      border-bottom-left-radius: 0px;
      border-top-left-radius: 0px;
      background: white;
      border-left: none;
    }

    > .ant-row {
      >.ant-col {
        > div {
          height: 100%;
          box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.1);
          background-color: #ffffff;
          padding: 20px;
        }
      }
      >.ant-col:nth-child(1) {
        padding-right: 30px;
        padding-bottom: 20px;
        @media screen and (min-width: 768px) {
          padding-right: 20px;
          padding-bottom: 0px;
        }
      }
      >.ant-col:nth-child(2) {
        > div {
          height: 100%;
          padding: 0px;
        }
        .ant-col-xl-10 {
          left: 15px;
        }
      }
    }
    .btn {
      width: 110px;
      height: 44px;
      border-radius: 22px;
      background-color: #9cd339;
    }
`;
export const PayrollHistoryHeaderWrapper = styled.div`
    margin-bottom: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .header-row {
      justify-content: space-between;
      align-items: center;
      width: 100%;
    }
    .header {
      &__title {
        font-size: 15px;
        font-weight: 600;
        color: #333333;
      }
    }
    .ant-col-9 {
      left: 35px;
    }
    @media screen and (max-width: 420px) {
      min-width: 1px;
      .ant-col-9 {
        left: 10px!important;
      }
    }
    .ant-form {
      .filter {
        &__common {
          align-items: center;
          display: flex;
          .ant-picker {
            border-radius: 22px;
            min-width: 100px;
            width: 100%;
            @media screen and (max-width: 420px) {
              min-width: 1px;
            }
          }
          .date-filter-col {
            display: flex;
            align-items: center;
          }
        }
        &__total {
          justify-content: flex-end;
          align-items: center;
          .title {
            opacity: 0.54;
            font-size: 15px;
          }
          .total {
            font-size: 17px;
            color: #DC3B7F;
            text-align: right;
            margin-left: 10px;
          }
        }
      }
      .ant-form-item {
        margin-bottom: 0px !important;
      }
    }
`;