import _ from 'lodash';
import {
  DELETE_STAFF,
  DELETE_STAFF_FAIL,
  DELETE_STAFF_SUCCESS,
  GET_STAFFS,
  GET_STAFFS_FAIL,
  GET_STAFFS_SUCCESS,
} from './constants';

export interface StaffsReducerModel {
  readonly staffs: any[];
  readonly restaurants: any[];
  readonly isFetching: null | boolean;
  readonly message: string;
}

export const initialState: StaffsReducerModel = {
  staffs: [],
  restaurants: [],
  isFetching: null,
  message: '',
};

export default (state = initialState, action) => {
  switch (action.type) {
    case GET_STAFFS:
      return {
        ...state,
        isFetching: true,
      };
    case GET_STAFFS_SUCCESS:
      return {
        ...state,
        staffs: action.staffs,
        isFetching: false,
      };
    case GET_STAFFS_FAIL:
      return {
        ...state,
        message: action.message,
        isFetching: false,
      };
    case DELETE_STAFF:
      return {
        ...state,
        isFetching: true,
      };
    case DELETE_STAFF_SUCCESS: {
      _.remove(state.staffs, { id: action.id });
      return {
        ...state,
        isFetching: false,
      };
    }
    case DELETE_STAFF_FAIL:
      return {
        ...state,
        isFetching: false,
      };
    default:
      return state;
  }
};
