import {
  takeLatest,
  put,
} from 'redux-saga/effects';
import { DELETE_STAFF, GET_STAFFS } from "./constants";
import {
  deleteStaffFail,
  deleteStaffSuccess,
  getStaffsFail,
  getStaffsSuccess
} from "./actions";
import { callApi } from "../../utils/apiUtils";
import { HTTP_STATUS_ACCEPTED } from "../../utils/constants";

export function* getStaffs({ restaurantId, roleIds, searchText, page, limit }) {
  try {
    // to be refactored
    const searchParams = new URLSearchParams();
    if (+restaurantId > 0) {
      searchParams.append('restaurantId', restaurantId);
    }
    if (+roleIds > 0) {
      searchParams.append('roleIds', roleIds);
    }
    if (searchText) {
      searchParams.append('searchText', searchText);
    }
    searchParams.append('page', page);
    searchParams.append('limit', limit);
    const { code, data, message } = yield callApi(
      `/users/staff-user?${searchParams.toString()}`,
      'GET'
    );
    if (code === HTTP_STATUS_ACCEPTED) {
      yield put(getStaffsSuccess(data.list)); // should be remove list
    } else {
      yield put(getStaffsFail(message));
    }
  } catch (error) {
    yield put(getStaffsFail(error.message));
  }
}

export function* removeStaff({ id }) {
  try {
    const { code, data, message } = yield callApi(
      `/users/staff-user/${id}`,
      'DELETE'
    );
    if (code === HTTP_STATUS_ACCEPTED) {
      yield put(deleteStaffSuccess(id))
    } else {
      yield put(deleteStaffFail(message))
    }
  } catch (error) {
    yield put(deleteStaffFail(error.message));
  }
}

export default function* watchStaff() {
  // @ts-ignore
  yield takeLatest(GET_STAFFS, getStaffs);
  // @ts-ignore
  yield takeLatest(DELETE_STAFF, removeStaff)
}
