import {
  DELETE_INVENT,
  DELETE_INVENT_FAIL,
  DELETE_INVENT_SUCCESS,
  GET_INVENTS,
  GET_INVENTS_FAIL,
  GET_INVENTS_SUCCESS,
  GET_INVENT,
  GET_INVENT_FAIL,
  GET_INVENT_SUCCESS,
  GET_CATEGORIES,
  GET_CATEGORIES_FAIL,
  GET_CATEGORIES_SUCCESS,
  GET_HISTORIES,
  GET_HISTORIES_FAIL,
  GET_HISTORIES_SUCCESS,
  SHOW_ADD_MODAL,
  CLOSE_ADD_MODAL,
  ADD_INVENT,
  ADD_INVENT_FAIL,
  ADD_INVENT_SUCCESS,
  SET_SEARCH,
  SHOW_LIST_MODAL,
  CLOSE_LIST_MODAL
} from './constants';

export const getInvents = ({ restaurantId, categoryId, searchText, page, limit }) => ({ type: GET_INVENTS, restaurantId, categoryId, searchText, page, limit});
export const getInventsSuccess = inventories => ({ type: GET_INVENTS_SUCCESS, inventories });
export const getInventsFail = message => ({ type: GET_INVENTS_FAIL, message });

export const getHistories= ({productId, sizeId, limit, page, restaurantId}) => ({ type: GET_HISTORIES, productId, sizeId, limit, page, restaurantId});
export const getHistoriesSuccess = histories => ({ type: GET_HISTORIES_SUCCESS, histories });
export const getHistoriesFail = message => ({ type: GET_HISTORIES_FAIL, message });


export const getCategories= () => ({ type: GET_CATEGORIES});
export const getCategoriesSuccess = categories => ({ type: GET_CATEGORIES_SUCCESS, categories });
export const getCategoriesFail = message => ({ type: GET_CATEGORIES_FAIL, message });

export const getInvent = (productId, productSizeId) => ({ type: GET_INVENT, productId, productSizeId });
export const getInventSuccess = inventory => ({ type: GET_INVENT_SUCCESS, inventory });
export const getInventFail = message => ({ type: GET_INVENT_FAIL, message });

export const setSearch = ({restaurantId, categoryId, searchText, page, limit}) => ({ type: SET_SEARCH, payload: {restaurantId: restaurantId, categoryId: categoryId, searchText: searchText, page: page, limit: limit}});

export const showListModal = () => ({ type: SHOW_LIST_MODAL });
export const closeListModal = () => ({ type: CLOSE_LIST_MODAL });

export const showAddModal = () => ({ type: SHOW_ADD_MODAL });
export const closeAddModal = () => ({ type: CLOSE_ADD_MODAL });

export const addInvent = inventory => ({ type: ADD_INVENT, inventory });
export const addInventSuccess = message => ({ type: ADD_INVENT_SUCCESS, message });
export const addInventFail = message => ({ type: ADD_INVENT_FAIL, message });
