import { ActionType } from 'typesafe-actions';
import * as actions from './actions';

export interface StorageModel {
  readonly id: number;
  readonly photo: string;
  readonly phone: string;
  readonly phoneCountryCode: string;
  readonly phonCountryCode?: string;
  readonly firstName: string;
  readonly lastName: string;
  readonly dateOfBirth: string;
  readonly gender: string;
  readonly roleIds?: number;
  readonly roleNames: string;
  readonly address: string;
  readonly email: string;
  readonly active?: boolean;
  readonly schedule?: string;
  readonly restaurantId?: string;
}

/* --- ACTIONS --- */
type ServiceActions = ActionType<typeof actions>;

export interface InventsReducerState {
  readonly inventories: any;
  readonly restaurants: any[];
  readonly histories: any;
  readonly isFetching: null | boolean;
  readonly message: string;
  readonly showModalAdd: boolean;
  readonly showModalInventory: boolean;
  readonly inventory: any;
  readonly categories: any;
  readonly search: any;
}


/* --- EXPORTS --- */
type ContainerState = InventsReducerState;
type ContainerActions = ServiceActions;

export { ContainerState, ContainerActions };
