/*
 * HomePage Messages
 *
 * This contains all the text for the HomePage container.
 */
import { defineMessages } from 'react-intl';

export const scope = 'app.containers.HomePage';

export default defineMessages({
  // Login screen
  login: {
    id: 'login',
    defaultMessage: 'Đăng nhập',
  },
  sendBtn: {
    id: 'sendBtn',
    defaultMessage: 'Gửi',
  },
  loginErr: {
    id: 'loginErr',
    defaultMessage: 'Vui lòng thử đăng nhập lại',
  },
  loginFailure: {
    id: 'loginFailure',
    defaultMessage: 'Đăng nhập không thành công!',
  },
  accountWarning: {
    id: 'accountWarning',
    defaultMessage: 'Tài khoản không tồn tại hoặc sai mật khẩu',
  },
  messageRestoreAcc: {
    id: 'messageRestoreAcc',
    defaultMessage: 'Hệ thống đã gửi link khôi phục mật khẩu đến địa chỉ email của bạn',
  },
  requiredUserName: {
    id: 'requiredUserName',
    defaultMessage: 'Vui lòng nhập tên đăng nhập!',
  },
  requiredPassword: {
    id: 'requiredPassword',
    defaultMessage: 'Vui lòng nhập mật khẩu!',
  },
  requiredPrice: {
    id: 'requiredPrice',
    defaultMessage: 'Vui lòng nhập giá!',
  },
  confirmPassword: {
    id: 'confirmPassword',
    defaultMessage: 'Vui lòng xác nhận mật khẩu!',
  },
  invalidPassword: {
    id: 'invalidPassword',
    defaultMessage: 'Mật khẩu xác nhận không đúng !',
  },
  retypePasswordPh: {
    id: 'retypePasswordPh',
    defaultMessage: 'Nhập lại mật khẩu*',
  },
  account: {
    id: 'account',
    defaultMessage: 'Tài khoản',
  },
  accountNo: {
    id: 'accountNo',
    defaultMessage: 'Số Tài khoản',
  },
  accountPlaceholder: {
    id: 'accountPlaceholder',
    defaultMessage: 'Tên Tài khoản*',
  },
  password: {
    id: 'password',
    defaultMessage: 'Mật khẩu',
  },
  passwordPh: {
    id: 'passwordPh',
    defaultMessage: 'Mật khẩu*',
  },
  forgotPassword: {
    id: 'forgotPassword',
    defaultMessage: 'Quên mật khẩu?',
  },
  // Profile 
  editInfo: {
    id: `editInfo`,
    defaultMessage: 'Cập nhật tài khoản',
  },
  newInfo: {
    id: `newInfo`,
    defaultMessage: 'Thông tin mới',
  },
  information: {
    id: `information`,
    defaultMessage: 'Thông tin',
  },
  hi: {
    id: `hi`,
    defaultMessage: 'Xin chào',
  },
  changePass: {
    id: `changePass`,
    defaultMessage: 'Đổi mật khẩu',
  },
  logout: {
    id: `logout`,
    defaultMessage: 'Đăng xuất',
  },
  //
  addToCurrentGroup: {
    id: 'addToCurrentGroup',
    defaultMessage: 'Thêm vào nhóm hiện tại'
  },
  removeFromCurrentGroup: {
    id: 'removeFromCurrentGroup',
    defaultMessage: 'Xoá khỏi nhóm hiện tại'
  },
  deleteTable: {
    id: 'deleteTable',
    defaultMessage: 'Xoá giường'
  },
  editTableName: {
    id: 'editTableName',
    defaultMessage: 'Chỉnh sửa'
  },
  header: {
    id: `${scope}.header`,
    defaultMessage: 'Header',
  },
  dashboard: {
    id: `dashboard`,
    defaultMessage: 'Bảng điều khiển',
  },
  addStore: {
    id: `addStore`,
    defaultMessage: 'Thêm điểm kinh doanh',
  },
  addStaff: {
    id: `addStaff`,
    defaultMessage: 'Thêm nhân viên',
  },
  editStore: {
    id: `editStore`,
    defaultMessage: 'Cập nhật thông tin điểm kinh doanh',
  },
  addMenuCategory: {
    id: `addMenuCategory`,
    defaultMessage: 'Thêm danh mục',
  },
  editMenuCategory: {
    id: `editMenuCategory`,
    defaultMessage: 'Sửa danh mục',
  },
  addTaxCategory: {
    id: `addTaxCategory`,
    defaultMessage: 'Thêm thuế',
  },
  editTaxCategory: {
    id: `editTaxCategory`,
    defaultMessage: 'Sửa thuế',
  },
  addPayrollCategory: {
    id: `addPayrollCategory`,
    defaultMessage: 'Thêm lương',
  },
  editPayrollCategory: {
    id: `editPayrollCategory`,
    defaultMessage: 'Sửa lương',
  },
  addCommissionCategory: {
    id: `addCommissionCategory`,
    defaultMessage: 'Thêm huê hồng',
  },
  chairName: {
    id: 'chairName',
    defaultMessage: 'Tên ghế*'
  },
  editCommissionCategory: {
    id: `editCommissionCategory`,
    defaultMessage: 'Sửa huê hồng',
  },
  addPreparation: {
    id: `addPreparation`,
    defaultMessage: 'Thêm cách pha chế',
  },
  editPreparation: {
    id: `editPreparation`,
    defaultMessage: 'Sửa cách pha chế',
  },
  storeName: {
    id: `storeName`,
    defaultMessage: 'Tên điểm kinh doanh',
  },
  address: {
    id: `address`,
    defaultMessage: 'Địa chỉ',
  },
  phoneNumber: {
    id: `phoneNumber`,
    defaultMessage: 'Số điện thoại',
  },
  email: {
    id: `email`,
    defaultMessage: 'Email',
  },
  website: {
    id: `website`,
    defaultMessage: 'Website',
  },
  bank: {
    id: `bank`,
    defaultMessage: 'Ngân hàng',
  },
  bankBranch: {
    id: `bankBranch`,
    defaultMessage: 'Chi nhánh ngân hàng',
  },
  branch: {
    id: `branch`,
    defaultMessage: 'Chi nhánh',
  },
  policy: {
    id: `policy`,
    defaultMessage: 'Chính sách',
  },
  restaurant: {
    id: 'restaurant',
    defaultMessage: 'Chuỗi kinh doanh',
  },
  serviceList: {
    id: 'serviceList',
    defaultMessage: 'Danh sách dịch vụ',
  },
  checkboxServiceResTitle: {
    id: 'checkboxServiceResTitle',
    defaultMessage: 'Chọn tất cả dịch vụ',
  },
  requiredProductNumber: {
    id: 'requiredProductNumber',
    defaultMessage: 'Combo phải có từ 2 sản phẩm trở lên',
  },
  requiredNameLength: {
    id: 'requiredNameLength',
    defaultMessage: 'Vui lòng không nhập quá 250 kí tự!',
  },
  requiredProduct: {
    id: 'requiredProduct',
    defaultMessage: 'Vui lòng chọn sản phẩm cho Combo',
  },
  addServiceResTitle: {
    id: 'addServiceResTitle',
    defaultMessage: 'Thêm dịch vụ vào điểm kinh doanh',
  },
  emptyServiceResList: {
    id: 'emptyServiceResList',
    defaultMessage: 'Chưa có dịch vụ nào',
  },
  productList: {
    id: 'productList',
    defaultMessage: 'Danh sách sản phẩm',
  },
  checkboxProductResTitle: {
    id: 'checkboxProductResTitle',
    defaultMessage: 'Chọn tất cả sản phẩm',
  },
  addProductResTitle: {
    id: 'addProductResTitle',
    defaultMessage: 'Thêm sản phẩm vào điểm kinh doanh',
  },
  addProductIntoCombo: {
    id: 'addProductIntoCombo',
    defaultMessage: 'Thêm sản phẩm vào Combo',
  },
  emptyProductResList: {
    id: 'emptyProductResList',
    defaultMessage: 'Chưa có sản phẩm nào',
  },
  comboList: {
    id: 'comboList',
    defaultMessage: 'Danh sách combo',
  },
  checkboxComboResTitle: {
    id: 'checkboxComboResTitle',
    defaultMessage: 'Chọn tất cả combo',
  },
  addComboResTitle: {
    id: 'addComboResTitle',
    defaultMessage: 'Thêm combo vào điểm kinh doanh',
  },
  emptyComboResList: {
    id: 'emptyComboResList',
    defaultMessage: 'Chưa có combo nào',
  },
  restaurantList: {
    id: 'restaurantList',
    defaultMessage: 'Chuỗi kinh doanh',
  },
  staff: {
    id: 'staff',
    defaultMessage: 'Nhân viên',
  },
  service: {
    id: 'service',
    defaultMessage: 'Dịch vụ',
  },
  product: {
    id: 'product',
    defaultMessage: 'Sản phẩm',
  },
  productPh: {
    id: 'productPh',
    defaultMessage: 'Sản phẩm*',
  },
  combo: {
    id: 'combo',
    defaultMessage: 'Combo',
  },
  customer: {
    id: 'customer',
    defaultMessage: 'Khách hàng',
  },
  promotion: {
    id: 'promotion',
    defaultMessage: 'Khuyến mãi',
  },
  payment: {
    id: 'payment',
    defaultMessage: 'Thanh toán',
  },
  report: {
    id: 'report',
    defaultMessage: 'Báo cáo',
  },
  setting: {
    id: 'setting',
    defaultMessage: 'Cài đặt',
  },
  search: {
    id: 'search',
    defaultMessage: 'Tìm kiếm',
  },
  addNewRestaurant: {
    id: 'addNewRestaurant',
    defaultMessage: 'Thêm điểm kinh doanh'
  },
  restaurantImage: {
    id: 'restaurantImage',
    defaultMessage: 'Hình ảnh'
  },
  image: {
    id: 'image',
    defaultMessage: 'Hình ảnh'
  },
  save: {
    id: 'save',
    defaultMessage: 'Lưu',
  },
  designArea: {
    id: 'designArea',
    defaultMessage: 'Thiết kế mặt bằng'
  },
  selectGroup: {
    id: 'selectGroup',
    defaultMessage: 'Chọn nhóm'
  },
  createTable: {
    id: 'createTable',
    defaultMessage: 'Tạo giường mới',
  },
  createChair: {
    id: 'createChair',
    defaultMessage: 'Tạo ghế mới',
  },
  editTable: {
    id: 'editTable',
    defaultMessage: 'Chỉnh sửa giường'
  },
  editChair: {
    id: 'editChair',
    defaultMessage: 'Chỉnh sửa ghế'
  },
  createArea: {
    id: 'createArea',
    defaultMessage: 'Tạo khu vực',
  },
  createGroup: {
    id: 'createGroup',
    defaultMessage: 'Tạo nhóm'
  },
  editArea: {
    id: 'editArea',
    defaultMessage: 'Cập nhật khu vực',
  },
  editGroup: {
    id: 'editGroup',
    defaultMessage: 'Cập nhật nhóm'
  },
  createFloor: {
    id: 'createFloor',
    defaultMessage: 'Tạo tầng mới'
  },
  editFloor: {
    id: 'editFloor',
    defaultMessage: 'Cập nhật tầng'
  },
  createStaff: {
    id: 'createStaff',
    defaultMessage: 'Tạo nhân viên',
  },
  area: {
    id: 'area',
    defaultMessage: 'Khu vực'
  },
  areaName: {
    id: 'areaName',
    defaultMessage: 'Tên khu vực'
  },
  areaType: {
    id: 'areaType',
    defaultMessage: 'Loại khu vực'
  },
  group: {
    id: 'group',
    defaultMessage: 'Nhóm'
  },
  noGroup: {
    id: 'noGroup',
    defaultMessage: 'Không có nhóm'
  },
  groupName: {
    id: 'groupName',
    defaultMessage: 'Tên nhóm'
  },
  floor: {
    id: 'floor',
    defaultMessage: 'Tầng'
  },
  floorName: {
    id: 'floorName',
    defaultMessage: 'Tên tầng'
  },
  width: {
    id: 'width',
    defaultMessage: 'Chiều rộng'
  },
  height: {
    id: 'height',
    defaultMessage: 'Chiều dài'
  },
  staffList: {
    id: 'staffList',
    defaultMessage: 'Danh sách nhân viên'
  },
  tableName: {
    id: 'tableName',
    defaultMessage: 'Tên giường'
  },
  numberOfSeat: {
    id: 'numberOfSeat',
    defaultMessage: 'Số lượng ghế'
  },
  addMenu: {
    id: 'addMenu',
    defaultMessage: 'Thêm sản phẩm',
  },
  menuInfo: {
    id: 'menuInfo',
    defaultMessage: 'Thông tin món',
  },
  menu: {
    id: 'menu',
    defaultMessage: 'Sản phẩm',
  },
  name: {
    id: 'name',
    defaultMessage: 'Tên',
  },
  requireStaffFirstName: {
    id: 'requireStaffFirstName',
    defaultMessage: 'Vui lòng nhập họ nhân viên',
  },
  requireStaffName: {
    id: 'requireStaffName',
    defaultMessage: 'Vui lòng nhập tên nhân viên',
  },
  namePh: {
    id: 'namePh',
    defaultMessage: 'Tên*',
  },
  price: {
    id: 'price',
    defaultMessage: 'Giá tiền'
  },
  discountPrice: {
    id: 'discountPrice',
    defaultMessage: 'Giá khuyến mãi'
  },
  discount: {
    id: 'discount',
    defaultMessage: 'Giảm giá'
  },
  successAddMenu: {
    id: 'successAddMenu',
    defaultMessage: 'Tạo danh mục thành công',
  },
  successDeleted: {
    id: 'successDeleted',
    defaultMessage: 'Đã xóa',
  },
  successAddPreparation: {
    id: 'successAddPreparation',
    defaultMessage: 'Tạo cách pha chế thành công',
  },
  successDeletedPreparation: {
    id: 'successDeletedPreparation',
    defaultMessage: 'Đã xóa {preparation}',
  },
  successEditMenu: {
    id: 'successEditMenu',
    defaultMessage: 'Cập nhật danh mục thành công',
  },
  successEditPreparation: {
    id: 'successEditPreparation',
    defaultMessage: 'Cập nhật cách pha chế thành công',
  },
  titleConfirmDeleted: {
    id: 'titleConfirmDeleted',
    defaultMessage: 'Xóa {item}',
  },
  contentConfirmDeleted: {
    id: 'contentConfirmDeleted',
    defaultMessage: 'Bạn có muốn xóa {item} ?',
  },
  ok: {
    id: 'ok',
    defaultMessage: 'Đồng ý',
  },
  cancel: {
    id: 'cancel',
    defaultMessage: 'Huỷ',
  },
  titleStore: {
    id: 'titleStore',
    defaultMessage: 'Điểm kinh doanh',
  },
  invalidPhoneNumber: {
    id: 'invalidPhoneNumber',
    defaultMessage: 'Số điện thoại không hợp lệ',
  },
  // Dashboard
  titleRevenueDate: {
    id: 'titleRevenueDate',
    defaultMessage: 'Doanh thu trong ngày',
  },
  titleRevenueLineChart: {
    id: 'titleRevenueLineChart',
    defaultMessage: 'Doanh thu của chuỗi',
  },
  titleRevenuePieChart: {
    id: 'titleRevenuePieChart',
    defaultMessage: 'Tỉ lệ doanh thu của các điểm kinh doanh',
  },
  titleTotalRevenueRp: {
    id: 'titleTotalRevenueRp',
    defaultMessage: 'Tổng doanh thu',
  },
  titleTotalFeeRp: {
    id: 'titleTotalFeeRp',
    defaultMessage: 'Chi phí khuyến mãi',
  },
  titleRevenueWeek: {
    id: 'titleRevenueWeek',
    defaultMessage: 'Doanh thu trong tuần',
  },
  titleRevenueMonth: {
    id: 'titleRevenueMonth',
    defaultMessage: 'Doanh thu trong tháng',
  },
  titleRevenueMethod: {
    id: 'titleRevenueMethod',
    defaultMessage: 'Doanh thu sản phẩm / dịch vụ',
  },
  titleItemTableMenuNm: {
    id: 'titleItemTableMenuNm',
    defaultMessage: 'Tên sản phẩm / dịch vụ',
  },
  titleItemTableQuantity: {
    id: 'titleItemTableQuantity',
    defaultMessage: 'Số lượng',
  },
  titleItemTableRevenue: {
    id: 'titleItemTableRevenue',
    defaultMessage: 'Doanh thu',
  },
  titleMainItemTable: {
    id: 'titleMainItemTable',
    defaultMessage: 'Top 5 sản phẩm / dịch vụ',
  },
  takeAway: {
    id: 'takeAway',
    defaultMessage: 'Sản phẩm',
  }
  ,
  inRestaurant: {
    id: 'inRestaurant',
    defaultMessage: 'Dịch vụ',
  },
  seeMore: {
    id: 'seeMore',
    defaultMessage: 'XEM THÊM',
  },
  // Restaurant 
  noStaff: {
    id: 'noStaff',
    defaultMessage: 'Chưa có nhân viên nào',
  },
  noFloors: {
    id: 'noFloors',
    defaultMessage: 'Chưa có Tầng nào',
  },
  bedType: {
    id: 'bedType',
    defaultMessage: 'Loại',
  },
  payrollType: {
    id: 'payrollType',
    defaultMessage: 'Trả theo',
  },
  requiredResName: {
    id: 'requiredResName',
    defaultMessage: 'Vui lòng nhập tên điểm kinh doanh!',
  },
  requiredStaff: {
    id: 'requiredStaff',
    defaultMessage: 'Vui lòng nhập nhân viên!',
  },
  staffPlaceHolder: {
    id: 'staffPlaceHolder',
    defaultMessage: 'Tên nhân viên*',
  },
  requiredAddr: {
    id: 'requiredAddr',
    defaultMessage: 'Vui lòng nhập địa chỉ!',
  },
  requiredPhone: {
    id: 'requiredPhone',
    defaultMessage: 'Vui lòng nhập số điện thoại!',
  },
  closingDaysCantBeTheSame:{
    id: 'closingDaysCantBeTheSame',
    defaultMessage: 'Ngày nghỉ không được trùng nhau',
  },
  invalidEmail: {
    id: 'invalidEmail',
    defaultMessage: 'Email không hợp lệ',
  },
  invalidPhone: {
    id: 'invalidPhone',
    defaultMessage: 'Số điện thoại không hợp lệ',
  },
  emptyMenu: {
    id: 'emptyMenu',
    defaultMessage: 'Chưa có món ăn nào',
  },
  emptyCombo: {
    id: 'emptyCombo',
    defaultMessage: 'Chưa có Combo nào',
  },
  askChooseGroup: {
    id: 'askChooseGroup',
    defaultMessage: 'Chọn một nhóm đi nào!',
  },  
  requiredMaxAcreage: {
    id: 'requiredMaxAcreage',
    defaultMessage: 'Vui lòng nhập diện tích nhỏ hơn 10000m',
  },
  requiredMinAcreage: {
    id: 'requiredMinAcreage',
    defaultMessage: 'Vui lòng nhập diện tích lớn hơn 0m',
  },
  // Common
  deleteConfirmMess: {
    id: 'deleteConfirmMess',
    defaultMessage: 'Xác nhận xoá',
  },  
  deleteConfirmContent: {
    id: 'deleteConfirmContent',
    defaultMessage: 'Bạn chắc chắn muốn xoá {name} không ?',
  },
  deleteConfirmContentStaff: {
    id: 'deleteConfirmContentStaff',
    defaultMessage: 'Bạn chắc chắn muốn xoá nhân viên {name} không ?',
  },
  deleteConfirmCustomer: {
    id: 'deleteConfirmCustomer',
    defaultMessage: 'Bạn chắc chắn muốn xoá khách hàng không ?',
  },
  deleteBtn: {
    id: 'deleteBtn',
    defaultMessage: 'Xoá',
  },
  cancelBtn: {
    id: 'cancelBtn',
    defaultMessage: 'Huỷ',
  },
  encourageCondition345x140: {
    id: 'encourageCondition345x140',
    defaultMessage: '(Kích thước 345 x 140)',
  },
  encourageCondition: {
    id: 'encourageCondition',
    defaultMessage: 'Kích thước {height} x {width}',
  },
  activating: {
    id: 'activating',
    defaultMessage: 'Đang hoạt động',
  },
  stop: {
    id: 'stop',
    defaultMessage: 'Đã đóng',
  },
  time: {
    id: 'time',
    defaultMessage: 'Thời gian',
  },
  loading: {
    id: 'loading',
    defaultMessage: 'Đang tải ...',
  },
  updateSuccessMess: {
    id: 'updateSuccessMess',
    defaultMessage: 'Cập nhật thành công',
  },
  allSelect: {
    id: 'allSelect',
    defaultMessage: 'Tất cả',
  },
  allSelectRestaurant: {
    id: 'allSelectRestaurant',
    defaultMessage: 'Áp dụng tất cả nhà hàng',
  },
  allSelectCategories: {
    id: 'allSelectCategories',
    defaultMessage: 'Tất cả danh mục',
  },
  allSelectRoles: {
    id: 'allSelectRoles',
    defaultMessage: 'Tất cả chức vụ',
  },
  emptyCurrFloor: {
    id: 'emptyCurrFloor',
    defaultMessage: 'Không tồn tại tầng hiện tại',
  },
  noWiHe: {
    id: 'noWiHe',
    defaultMessage: 'no width height',
  },
  createDragItem: {
    id: 'createDragItem',
    defaultMessage: 'Tạo giường',
  },
  requiredInput: {
    id: 'requiredInput',
    defaultMessage: 'Vui lòng nhập',
  },
  requiredChoose: {
    id: 'requiredChoose',
    defaultMessage: 'Vui lòng chọn',
  },
  requiredInputNumber: {
    id: 'requiredInputNumber',
    defaultMessage: 'Vui lòng nhập số',
  },
  requiredInputGreaterZero: {
    id: 'requiredInputGreaterZero',
    defaultMessage: 'Vui lòng nhập số lớn hơn 0 !',
  },
  requiredInputNumberMax: {
    id: 'requiredInputNumberMax',
    defaultMessage: 'Vui lòng nhập số bé hơn hoặc bằng {number}',
  },
  requiredMerNm: {
    id: 'requiredMerNm',
    defaultMessage: 'Vui lòng nhập tên đơn vị kinh doanh',
  },
  serInfoMess: {
    id: 'serInfoMess',
    defaultMessage: 'Thông tin dịch vụ',
  },
  prodInfoMess: {
    id: 'prodInfoMess',
    defaultMessage: 'Thông tin sản phẩm',
  },
  productCode: {
    id: 'productCode',
    defaultMessage: 'Mã sản phẩm',
  },
  serviceCode: {
    id: 'serviceCode',
    defaultMessage: 'Mã dịch vụ',
  },
  productNamePh: {
    id: 'productNamePh',
    defaultMessage: 'Tên sản phẩm',
  },
  serviceNamePh: {
    id: 'serviceNamePh',
    defaultMessage: 'Tên dịch vụ',
  },
  categoryPh: {
    id: 'categoryPh',
    defaultMessage: 'Danh mục*',
  },
   category: {
    id: 'category',
    defaultMessage: 'Danh mục',
  },
  description: {
    id: 'description',
    defaultMessage: 'Mô tả',
  },
  applyAll: {
    id: 'applyAll',
    defaultMessage: 'Áp dụng cho tất cả chuỗi',
  },
  edit: {
    id: 'edit',
    defaultMessage: 'Chỉnh sửa'
  },
  point: {
    id: 'point',
    defaultMessage: 'Số điểm'
  },
  points: {
    id: 'points',
    defaultMessage: 'điểm'
  },
  spending: {
    id: 'spending',
    defaultMessage: 'Số tiền tiêu'
  },
  avatar: {
    id: 'avatar',
    defaultMessage: 'Hình đại diện'
  },
  reuiredChooseProduct: {
    id: 'reuiredChooseProduct',
    defaultMessage: 'Vui lòng chọn danh sách cho sản phẩm'
  },
  size: {
    id: 'size',
    defaultMessage: 'Kích thước'
  },
  generalInfo: {
    id: 'generalInfo',
    defaultMessage: 'Thông tin chung'
  },
  month: {
    id: 'month',
    defaultMessage: 'Tháng'
  },
  year: {
    id: 'year',
    defaultMessage: 'Năm'
  },
  logoMerchant: {
    id: 'logoMerchant',
    defaultMessage: 'Logo'
  },
  merchantNm: {
    id: 'merchantNm',
    defaultMessage: 'Tên chuỗi kinh doanh'
  },
  taxCode: {
    id: 'taxCode',
    defaultMessage: 'Mã số thuế'
  },
  tax: {
    id: 'tax',
    defaultMessage: 'Thuế'
  },
  delegateName: {
    id: 'delegateName',
    defaultMessage: 'Người đứng tên kinh doanh'
  },
  firstNm: {
    id: 'firstNm',
    defaultMessage: 'Họ'
  },
  lastNm: {
    id: 'lastNm',
    defaultMessage: 'Tên đại diện'
  },
  free: {
    id: 'free',
    defaultMessage: 'Miễn phí'
  },
  freeStatus: {
    id: 'free',
    defaultMessage: 'Miễn phí'
  },
  hasFee: {
    id: 'hasFee',
    defaultMessage: 'Sử dụng chính thức'
  },
  hasFeeSetting: {
    id: 'hasFeeSetting',
    defaultMessage: 'Có tính phí'
  },
  trial: {
    id: 'trial',
    defaultMessage: 'Dùng thử có thời hạn'
  },
  stopUsing: {
    id: 'stopUsing',
    defaultMessage: 'Đã ngưng dịch vụ'
  },
  pricePerMonth: {
    id: 'pricePerMonth',
    defaultMessage: 'Giá theo tháng'
  },
  pricePerYear: {
    id: 'pricePerYear',
    defaultMessage: 'Giá theo năm'
  },
  bankInfo: {
    id: 'bankInfo',
    defaultMessage: 'Thông tin ngân hàng'
  },
  serviceUsing: {
    id: 'serviceUsing',
    defaultMessage: 'Dịch vụ sử dụng'
  },
  updatePassSuccess: {
    id: 'updatePassSuccess',
    defaultMessage: 'Cập nhật mật khẩu thành công'
  },
  updatePassFail: {
    id: 'updatePassFail',
    defaultMessage: 'Cập nhật mật khẩu thất bại'
  },
  updatePassSFail: {
    id: 'updatePassSFail',
    defaultMessage: 'Cập nhật mật khẩu thất bại'
  },
  backToMain: {
    id: 'backToMain',
    defaultMessage: 'Quay trở về trang chủ'
  },
  comebackLate: {
    id: 'comebackLate',
    defaultMessage: 'Vui lòng thử lại'
  },
  money: {
    id: 'money',
    defaultMessage: 'Số tiền'
  },
  amount: {
    id: 'amount',
    defaultMessage: 'Số tiền'
  },
  timeUsing: {
    id: 'timeUsing',
    defaultMessage: 'Thời hạn sử dụng dịch vụ'
  },
  titleTimeUsing: {
    id: 'titleTimeUsing',
    defaultMessage: 'Thời hạn sử dụng'
  },
  deliveryFee: {
    id: 'deliveryFee',
    defaultMessage: 'Phí giao hàng'
  },
  under: {
    id: 'under',
    defaultMessage: 'Dưới'
  },
  from: {
    id: 'from',
    defaultMessage: 'Từ'
  },
  to: {
    id: 'to',
    defaultMessage: 'Đến'
  },
  fromDate: {
    id: 'fromDate',
    defaultMessage: 'Từ Ngày'
  },
  date: {
    id: 'date',
    defaultMessage: 'Ngày'
  },
  toDate: {
    id: 'toDate',
    defaultMessage: 'Đến Ngày'
  },
  top: {
    id: 'top',
    defaultMessage: 'Trên'
  },
  language: {
    id: 'language',
    defaultMessage: 'Ngôn ngữ'
  },
  currency: {
    id: 'currency',
    defaultMessage: 'Loại Tiền'
  },
  day: {
    id: 'day',
    defaultMessage: 'Ngày'
  },
  week: {
    id: 'week',
    defaultMessage: 'Tuần'
  },
  searchReport: {
    id: 'searchReport',
    defaultMessage: 'Xem',
  },
  merInfo: {
    id: 'merInfo',
    defaultMessage: 'Thông tin doanh nghiệp',
  },
  contact: {
    id: 'contact',
    defaultMessage: 'Liên Hệ',
  },
  customerList: {
    id: 'customerList',
    defaultMessage: 'Danh sách khách hàng',
  },
  promotionList: {
    id: 'promotionList',
    defaultMessage: 'Danh sách khách hàng',
  },
  noExpiredDay: {
    id: 'noExpiredDay',
    defaultMessage: 'Không thời hạn',
  },
  requireFromDate: {
    id: 'requireFromDate',
    defaultMessage: 'Vui lòng chọn ngày bắt đầu nhỏ hơn ngày kết thúc',
  },
  requireToDate: {
    id: 'requireToDate',
    defaultMessage: 'Vui lòng chọn ngày kết thúc lớn hơn ngày bắt đầu',
  },
  requireMoreThan:{
    id: 'requireMoreThan',
    defaultMessage: 'Vui lòng nhập số lớn {X}',
  },
  requireFromDateMax: {
    id: 'requireFromDateMax',
    defaultMessage: 'Vui lòng chọn ngày bắt đầu lớn hơn 2017-01-01!',
  },
  requireInputValueGreaterThan:{
    id: 'requireInputValueGreaterThan',
  },
  requireInputValueLessThan:{
    id: 'requireInputValueLessThan',
  },
  kitchen: {
    id: 'kitchen',
    defaultMessage: 'Bếp',
  },
  bartender: {
    id: 'bartender',
    defaultMessage: 'Quầy bar',
  },
  takeAwayArea: {
    id: 'takeAwayArea',
    defaultMessage: 'Nhận Hàng',
  }
  ,
  requiredValidPrice: {
    id: 'requiredValidPrice',
    defaultMessage: 'Giá khuyến mãi phải nhỏ hơn giá bán',
  }
  ,
  storage: {
    id: 'storage',
    defaultMessage: 'Kho',
  }
  ,
  stopAccount: {
    id: 'stopAccount',
    defaultMessage: 'Đã khoá',
  },
  skuCd: {
    id: 'skuCd',
    defaultMessage: 'SKU',
  }
  ,
  productName: {
    id: 'productName',
    defaultMessage: 'Tên sản phẩm',
  }
  ,
  priceImport: {
    id: 'priceImport',
    defaultMessage: 'Giá nhập',
  }
  ,
  quantityRemain: {
    id: 'quantityRemain',
    defaultMessage: 'Số lượng tồn kho',
  }
  ,
  updateDate: {
    id: 'updateDate',
    defaultMessage: 'Ngày cập nhật',
  }
  ,
  detail: {
    id: 'detail',
    defaultMessage: 'Chi tiết',
  }
  ,
  storageName: {
    id: 'storageName',
    defaultMessage: 'Kho',
  }
  ,
  storageCd: {
    id: 'storageCd',
    defaultMessage: 'Số đơn hàng',
  }
  ,
  importInventory: {
    id: 'importInventory',
    defaultMessage: 'Nhập kho',
  }
  ,
  importDate: {
    id: 'importDate',
    defaultMessage: 'Ngày nhập',
  }
  ,
  invalidFile: {
    id: 'invalidFile',
    defaultMessage: 'Vui lòng chọn định dạng ảnh khi upload',
  }
  ,
  error: {
    id: 'error',
    defaultMessage: 'Lỗi',
  }
  ,
  systemError: {
    id: 'systemError',
    defaultMessage: 'Hệ thống xảy ra lỗi',
  }
  ,
  apiError: {
    id: 'apiError',
    defaultMessage: 'Api xảy ra lỗi',
  },
  taxName: {
    id: 'taxName',
    defaultMessage: 'Tên thuế',
  },
  payroll: {
    id: 'payroll',
    defaultMessage: 'Bảng lương',
  },
  commission: {
    id: 'commission',
    defaultMessage: 'Huê hồng',
  },
  payrollPeriod: {
    id: 'payrollPeriod',
    defaultMessage: 'Chu kỳ tính lương',
  },
  applyFor: {
    id: 'applyFor',
    defaultMessage: 'Áp dụng cho',
  },
  weekly: {
    id: 'weekly',
    defaultMessage: 'Tuần',
  },
  monthly: {
    id: 'monthly',
    defaultMessage: 'Tháng',
  },
  hour: {
    id: 'hour',
    defaultMessage: 'Giờ',
  },
  commissionName: {
    id: 'commissionName',
    defaultMessage: 'Tên huê hồng',
  },
  other: {
    id: 'other',
    defaultMessage: 'Khác',
  },
  requirePayrollType: {
    id: 'requirePayrollType',
    defaultMessage: 'Vui lòng chọn loại lương',
  },
  staffPayrollName: {
    id: 'staffPayrollName',
    defaultMessage: 'Tên nhân viên',
  },
  mst: {
    id: 'mst',
    defaultMessage: 'MST',
  },
  periodPayroll: {
    id: 'periodPayroll',
    defaultMessage: 'Chu kỳ thanh toán',
  },
  workedHour: {
    id: 'workedHour',
    defaultMessage: 'Tổng',
  },
  earnings: {
    id: 'earnings',
    defaultMessage: 'Thu nhập',
  },
  totalEarnings: {
    id: 'totalEarnings',
    defaultMessage: 'Tổng Thu nhập',
  },
  netPay: {
    id: 'netPay',
    defaultMessage: 'Thực lãnh',
  },
  payBy: {
    id: `payBy`,
    defaultMessage: 'Tính lương theo',
  },
  note: {
    id: `note`,
    defaultMessage: 'Ghi chú*',
  },
  payPeriod: {
    id: `payPeriod`,
    defaultMessage: 'Kỳ thanh toán',
  },
  workingHours: {
    id: `workingHours`,
    defaultMessage: 'Số giờ làm',
  },
  totalHours: {
    id: `totalHours`,
    defaultMessage: 'Số giờ',
  },
  transferType: {
    id: `transferType`,
    defaultMessage: 'Hình thức thanh toán',
  },
  wireTransfer: {
    id: `wireTransfer`,
    defaultMessage: 'Chuyển khoản',
  },
  cheque: {
    id: `cheque`,
    defaultMessage: 'Séc',
  },
  cash: {
    id: `cash`,
    defaultMessage: 'Tiền mặt',
  },
  basicSalary: {
    id: `basicSalary`,
    defaultMessage: 'Lương cơ bản',
  },
  allowance: {
    id: `allowance`,
    defaultMessage: 'Phụ cấp',
  },
  adjustmentHistory: {
    id: `adjustmentHistory`,
    defaultMessage: 'Lịch sử điều chỉnh lương',
  },
  history: {
    id: `history`,
    defaultMessage: 'Lịch sử',
  },
  noCommission: {
    id: `noCommission`,
    defaultMessage: 'N/A',
  },
  notHasMenu: {
    id: `notHasMenu`,
    defaultMessage: 'Menu không còn tồn tại',
  },
  assignment: {
    id: `assignment`,
    defaultMessage: 'Phân công',
  },
  requireFormatTime: {
    id: `requireFormatTime`,
    defaultMessage: 'Vui lòng nhập {format}',
  },
  purchaseOnline: {
    id: `purchaseOnline`,
    defaultMessage: 'Mua online',
  },
  giftCard: {
    id: `giftCard`,
    defaultMessage: 'Phiếu quà tặng',
  },
  giftName: {
    id: `giftName`,
    defaultMessage: 'Tên quà tặng',
  },
  giftPrice: {
    id: `giftPrice`,
    defaultMessage: 'Giá trị quà tặng',
  },
  giftCardList: {
    id: `giftCardList`,
    defaultMessage: 'Danh sách phiếu quà tặng',
  },
  discountList: {
    id: `discountList`,
    defaultMessage: 'Danh sách giảm giá',
  },
  openTime: {
    id: `openTime`,
    defaultMessage: 'Thời gian hoạt động',
  },
  customerService: {
    id: `customerService`,
    defaultMessage: 'Chăm sóc khách hàng',
  },
  system: {
    id: 'system',
    defaultMessage: 'Hệ thống'
  },
  general: {
    id: 'general',
    defaultMessage: 'Tổng quan'
  },
  menuSetting: {
    id: 'menuSetting',
    defaultMessage: 'Thực đơn',
  },
  requiredMethodOfPreparation: {
  id: `requiredMethodOfPreparation`,
  defaultMessage: 'Vui lòng nhập tên cách Pha Chế'
  },
  ingredients: {
    id: `ingredients`,
    defaultMessage: 'Nguyên vật liệu',
  },
  giftUsing: {
    id: 'giftUsing',
    defaultMessage: 'Thời hạn sử dụng quà tặng'
  },
  minimumAmount: {
    id: 'minimumAmount',
    defaultMessage: 'Minimum amount'
  },
  minimumQuantity: {
    id: 'minimumQuantity',
    defaultMessage: 'Minimum quantity'
  },
  totalApplied: {
    id: 'totalApplied',
    defaultMessage: 'Total vouchers applied'
  },
  purchasedHistory: {
    id: 'purchasedHistory',
    defaultMessage: 'Purchased history'
  },
  staffTab: {
    id: 'staffTab',
    defaultMessage: 'Purchased history'
  },
  createdTime: {
    id: `createdTime`,
    defaultMessage: 'Ngày tạo {createdTime}',
  },
  staffTakeCare: {
    id: `staffTakeCare`,
    defaultMessage: 'Nhân viên chăm sóc khách hàng',
  },
  tip: {
    id: `tip`,
    defaultMessage: 'Tiền boa',
  },
  tipForStaff: {
    id: `tipForStaff`,
    defaultMessage: 'Tip cho nhân viên',
  },
  productAndService: {
    id: `productAndService`,
    defaultMessage: 'Sản phẩm/ Dịch vụ',
  },
  Timesheet: {
    id: `Timesheet`,
    defaultMessage: 'Thời gian làm việc',
  },
  shift: {
    id: `shift`,
    defaultMessage: 'Ca làm việc',
  },
  checkin: {
    id: `checkin`,
    defaultMessage: 'Giờ đi làm',
  },
  checkout: {
    id: `checkout`,
    defaultMessage: 'Giờ đi về',
  },
  breaktimes: {
    id: 'breaktimes',
    defaultMessage: 'Thời gian nghỉ',
  },
  serviceCare: {
    id: 'serviceCare',
    defaultMessage: 'Phục vụ',
  }
  ,
  valid: {
    id: 'valid',
    defaultMessage: 'Còn hiệu lực',
  }
  ,
  gifted: {
    id: 'gifted',
    defaultMessage: 'Đã tặng',
  }
  ,
  expired: {
    id: 'expired',
    defaultMessage: 'Hết hạn',
  }
  ,
  waitConfirm: {
    id: 'waitConfirm',
    defaultMessage: 'Chờ xác nhận',
  }
  ,
  duration: {
    id: 'duration',
    defaultMessage: 'Thời hạn',
  }
  ,
  dateGift: {
    id: 'dateGift',
    defaultMessage: 'Ngày tặng',
  },
  addShift: {
    id: `addShift`,
    defaultMessage: 'thêm ca làm việc',
  },
  roster: {
    id: `roster`,
    defaultMessage: 'Bảng phân công',
  },
  lastTimeUsing: {
    id: `lastTimeUsing`,
    defaultMessage: 'Lần cuối sử dụng dịch vụ',
  },
  role: {
    id: `role`,
    defaultMessage: 'Chức vụ',
  },
});
