import moment from 'moment-timezone';

export const getBase64 = (img, callback) => {
  const reader = new FileReader();
  reader.addEventListener('load', () => callback(reader.result));
  reader.readAsDataURL(img);
};

export function extractPhoneNumber(phone, phoneCode) {
  if (phone && phoneCode) {
    const phoneNumber = phone.split(phoneCode);
    if (phoneNumber[1] !== "")
      return [phoneCode, phoneNumber[1]];
  }
  return ["+84", ""];
}

export function validNumber(num) {
  return /^\d+$/.test(num);
}
export const formatMomentMaxDate = date =>
  moment(date)
    .set({ hour: 23, minute: 59, second: 59, millisecond: 999 })
    .format('YYYY-MM-DDTHH:mm:ss');
export const formatMomentMinDate = date =>
  moment(date)
    .set({ hour: 0, minute: 0, second: 0, millisecond: 0 })
    .format('YYYY-MM-DDTHH:mm:ss');

export const disabledDate = (current) => {
  return current && current > moment().endOf('day');
}

export const stripHtml= (html) =>
{
   let tmp = document.createElement("DIV");
   tmp.innerHTML = html;
   return tmp.textContent || tmp.innerText || "";
}

export const formatCurrency= (values) =>
{
  for (var key in values) {
    if (typeof values[key] === 'string') {
      values[key] = values[key].trim();
      if (/^[0-9,]+$/.test(values[key])) {
        values[key] = values[key].replace(/,/g, '');
      }
    }
    if (key !== 'files' && typeof values[key] === 'object' && values[key] !== null) {
      formatCurrency(values[key]);
    }
    if ( Array.isArray(values[key])) {
      values[key] = values[key].map(subKey => {
        if (/^[0-9,]+$/.test(subKey.amount)) {
          subKey.amount = subKey.amount.replace(/,/g, '');
        }
        return subKey;
      });
    }
  }
  return values;
}


export function getTotalMinutesOfTime(time){
  const str = time.split(":");
  const totalHours = Number(str[0]);
  const remainMinutes = Number(str[1]);
  return totalHours * 60 + remainMinutes
}

