export const digits = (number = '') => {
  if (number) {
   return number.toString().replace(/(\d)(?=(\d\d\d)+(?!\d))/g, "$1,");
  }
  return number;
}
export const timeDigits = number => {
  const timeArr = number.match(/.{1,2}/g);
  if (timeArr) {
    return timeArr.join(':')
  } else {
    return number;
  }
  // return number.toString().replace(/(\d)(?=(\d\d)+(?!\d))/g, "$1:");
}
export const roundNumber = number => {
  return Math.round(number);
}
export const kDigits = number => {
  return `${Math.round(number / 1000)
    .toString()
    .replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,')}K`;
}
export const roundDeg = deg => {
  let num = Math.abs(deg % 360);
  if (num < 45) {
    num = 0;
  } else if (num < 135) {
    num = 90;
  } else if (num < 225) {
    num = 180;
  } else if (num < 315) {
    num = 270;
  } else if (num < 360) {
    num = 0;
  }
  return deg > 0 ? num : -num;
}

export function msToTime(duration) {
  let minutes: string | number = Math.ceil((duration / (1000 * 60)) % 60);
  let hours: string | number = Math.round((duration / (1000 * 60 * 60)) % 24);

  hours = (hours > 0) ? `${hours} hours` : "";
  minutes = (minutes > 0) ? `${minutes} minutes` : "";

  return [hours, minutes].filter(e => e !== "").join(", ");
}
