# Documentation

### ⚠️ This contains only the `Typescript` related documentation specific to this repo. Please check the [react-boilerplate](https://github.com/react-boilerplate/react-boilerplate) documentation for more.

## Table of Contents

- General
  - [Key Notes & Differences](general/key-notes.md)
  - [Code Samples](general/code-samples.md)

## Introduction to `Typescript` version

This is a fork of the original boilerplate. It has been developed and maintained since 2018. It provides the exact same functionalities and features, however, it comes with some differences(benefits) due to the typescript nature.

Main goal is to enhance the original boilerplate by utilizing all the powerfull features of the typescript and to bring type-safety and scalability to all of the core building blocks (React, Redux, Sagas, Styled-Components, etc...).

# Getting Started

**IMPORTANT⚠️:** The typescript concepts and practices depends on this great [react-redux-typescript](https://github.com/piotrwitek/react-redux-typescript-guide) guide. You **MUST** be familiar with it in order to completely understand the structure.

And thats it :) The rest of the procedure is as same as the original boilerplate. Go ahead and check the docs :)

Take a look at the [Key Notes & Differences](general/key-notes.md) to see how `typescript` version differs from the original

Also, there are [Code Samples](general/code-samples.md) to illustrate how to code with the typescript way
