const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;
chai.should();
const { token, merchantcode, baseUrl, envData ,restaurant, merchant} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test login merchant owner', function() {
  this.timeout(15000);
  it('Test login', done => {
    let requestParams = {
      username: merchant.username,
      password: merchant.password
    };
    chai
      .request(`${baseUrl}`)
      .post(`/users/login-cms`)
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'object');
        done();
      });
  });
});

describe('Test login staff', function() {
  this.timeout(15000);
  it('Test login', done => {
    let requestParams = {
      username: token.staff.username,
      password: token.staff.password
    };
    chai
      .request(`${baseUrl}`)
      .post(`/users/login-cms`)
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'object');
        done();
      });
  });
});

describe('Quên mật khẩu', function() {
  this.timeout(15000);
  it('Quên mật khẩu', done => {
    let requestParams = {
      username: merchant.username,
    };
    chai
      .request(`${baseUrl}`)
      .post(`/users/forgot-password`)
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'object');
        done();
      });
  });
});

describe('Xác nhận mật khẩu', function() {
  this.timeout(15000);
  it('Xác nhận mật khẩu', done => {
    let requestParams = {
      username: merchant.username,
    };
    chai
      .request(`${baseUrl}`)
      .post(`/users/forgot-password`)
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'object');
        done();
      });
  });
});
