const chai = require('chai');
const chaiHttp = require('chai-http');
const queryString = require('query-string');
const expect = chai.expect;
chai.should();
const {token, merchantcode, baseUrl, envData, restaurant} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test order', function () {
  this.timeout(15000);
  it('Get list serve', done => {
    const restaurantId = restaurant.id;
    const type = '4,5';
    const limit = 10;
    const page = 1;
    const queryStr = queryString.stringify({restaurantId, type, limit, page});
    chai
      .request(`${baseUrl}`)
      .get(`/orders/get-in-progress-orders?${queryStr}`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body.data, 'total', 'string');
        checkProperty(res.body.data, "orders", 'array');
        const orders = res.body.data.orders;
        if (orders[0]) {
          const order = orders[0];
          checkProperty(order, 'id', 'number');
          checkProperty(order, 'firstName', 'string');
          checkProperty(order, 'createdTime', 'string');
          checkProperty(order, 'placedTime', 'string');
          checkProperty(order, 'status', 'number');
          checkProperty(order, 'qrCode', 'string');
          checkProperty(order, 'total', 'string');
          checkProperty(order, 'orderItems', 'array');
          checkProperty(order, 'tables', 'array');
          // checkProperty(order, 'id', 'number');
          // checkProperty(order, 'qrCode', 'string');
          // checkProperty(order, 'orderNumber', 'number');
          // checkProperty(order, 'orderTypeId', 'number');
          // checkProperty(order, 'payment', 'object');
          // checkProperty(order, 'paymentTime', 'string');
          // checkProperty(order, 'placedTime', 'string');
          // checkProperty(order, 'createdTime', 'string');
          // checkProperty(order, 'status', 'number');
          // checkProperty(order, 'subTotal', 'number');
          // checkProperty(order, 'supportedPaymentMethods', 'array');
          // checkProperty(order, 'tax', 'number');
          // checkProperty(order, 'restaurant', "object");
          // checkProperty(order, 'taxAmount', "number");
          // checkProperty(order, 'deliveryFeeAmount', "number");
          // checkProperty(order, 'tip', "number");
          // checkProperty(order, 'tipAmount', "number");
          // checkProperty(order, 'total', "number");
          // checkProperty(order, 'firstName', "string");
          // checkProperty(order, 'lastName', "string");
          // checkProperty(order, 'floorId', "number");
          // checkProperty(order, 'phoneNumber', "string");
          // checkProperty(order, 'orderItems', "array");
          // checkProperty(order, 'tables', "array");
          // checkProperty(order, 'discountedTotal', "number");
          // checkProperty(order, 'discountAmount', "number");
          // checkProperty(order, 'serviceItemId', "number");
          // checkProperty(order, 'quantity', "number");
          // checkProperty(order, 'serviceFeeAmount', "number");
          // checkProperty(order, 'minimumServiceFee', "number");
          // checkProperty(order, 'minimumServiceFee', "number");
          // checkProperty(order, 'discount', "number");
          // checkProperty(order, 'restaurant', "object");
          done();
        }
        else{
          done();
        }
      });
  });
});
