const chai = require('chai');
const chaiHttp = require('chai-http');
const queryString = require('query-string');
const expect = chai.expect;
chai.should();
const {token, merchantcode, baseUrl, envData, restaurant} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test order', function () {
  this.timeout(15000);
  it('Get order history', done => {
    const restaurantId = restaurant.id;
    const status = '7,8,9,10';
    const orderTypeIds = '2,3,4';
    const limit = 10;
    const page = 1;
    const queryStr = queryString.stringify({restaurantId, status, orderTypeIds, limit, page});
    chai
      .request(`${baseUrl}`)
      .get(`/orders?${queryStr}`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body.data, 'total', 'string');
        checkProperty(res.body.data, "orders", 'array');
        const orders = res.body.data.orders;
        if (orders[0]) {
          const order = orders[0];
          checkProperty(order, 'id', 'number');
          checkProperty(order, 'firstName', 'string');
          checkProperty(order, 'lastName', 'string');
          checkProperty(order, 'createdTime', 'string');
          checkProperty(order, 'placedTime', 'string');
          checkProperty(order, 'status', 'number');
          checkProperty(order, 'orderTypeId', 'number');
          checkProperty(order, 'qrCode', 'string');
          checkProperty(order, 'total', 'string');
          done();
        }
        else{
          done();
        }
      });
  });
});
