const chai = require('chai');
const chaiHttp = require('chai-http');
const queryString = require('query-string');
const expect = chai.expect;
chai.should();
const { token, merchantcode, baseUrl, envData ,restaurant} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test order', function() {
  this.timeout(15000);
  it('Get shipping fee', done => {
    const deliveryAddress ="Đường Cách Mạng Tháng 8, Bùi Hữu Nghĩa, Bình Thủy, Cần Thơ";
    const restaurantId = restaurant.id;
    const queryStr = queryString.stringify({deliveryAddress,restaurantId})
    chai
      .request(`${baseUrl}`)
      .get(`/orders/shipping-fee?${queryStr}`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body.data, 'restaurantId', 'number');
        checkProperty(res.body.data,"shippingFee", 'number');
        done();
      });
  });
});
