const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;
chai.should();
const { token, merchantcode, baseUrl, envData } = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');
const {staffPlaceOrder} = require('./functions');

chai.use(chaiHttp);



describe('Test order', function() {
  this.timeout(15000);
  let createdOrder;

  before(done => {
    new Promise(async function(resolve, reject) {
      createdOrder = await staffPlaceOrder();
      resolve();
    }).then(() => done());
  });
  it('Update order status',  done => {


    const param = {
      "orders": [
        {
          "id": createdOrder.id,
          "currentStatus": createdOrder.status,
          "newStatus": 3
        },
      ]
    }
    chai
      .request(`${baseUrl}`)
      .put(`/orders/update-order-status`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .send(param)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        done();
      });
  });
});
