const chai = require('chai');
const chaiHttp = require('chai-http');
const moment = require('moment');
chai.should();
const { token, merchantcode, baseUrl, envData ,restaurant} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
  formatMomentMaxDate,
  formatMomentMinDate
} = require('../../common');

chai.use(chaiHttp);

describe('Test StoreRevenue', function() {
  this.timeout(15000);
  it('Test StoreRevenue', done => {
    let requestParams = {
      merchantId: token.merchant.id,
    };
    chai
      .request(`${baseUrl}`)
      .get(`/report/average/dashboard?`)
      .set({
        Authorization: `Bearer ${token.merchant.token}`
      })
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'object');
        checkProperty(res.body.data, 'avgDate', 'object');
        checkProperty(res.body.data, 'avgWeek', 'object');
        checkProperty(res.body.data, 'avgMonth', 'object');
        checkProperty(res.body.data, 'totalCount', 'array');
        done();
      });
  });
});



describe('Test MerchantRevenue', function() {
  this.timeout(15000);
  it('Test MerchantRevenue', done => {
    let requestParams = {
      from:  formatMomentMinDate(moment()),
      to: formatMomentMaxDate(moment().endOf('months')),
      type: 'day',
    };
    chai
      .request(`${baseUrl}`)
      .get(`/report/revenueByMerchant/${token.merchant.id}?`)
      .set({
        Authorization: `Bearer ${token.merchant.token}`
      })
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'array');
        done();
      });
  });
});

describe('Test getItem', function() {
  this.timeout(15000);
  it('Test getItem', done => {
    let requestParams = {
      merchantId: token.merchant.id,
    };
    chai
      .request(`${baseUrl}`)
      .get(`/report/menu/dashboard?`)
      .set({
        Authorization: `Bearer ${token.merchant.token}`
      })
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'array');
        done();
      });
  });
});

describe('Test getMethod', function() {
  this.timeout(15000);
  it('Test getMethod', done => {
    let requestParams = {
      merchantId: token.merchant.id,
    };
    chai
      .request(`${baseUrl}`)
      .get(`/report/method/dashboard?`)
      .set({
        Authorization: `Bearer ${token.merchant.token}`
      })
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'array');
        done();
      });
  });
});
