const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;
chai.should();
const {token, merchantcode, baseUrl, envData, restaurant, floorId} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test restaurants', function () {
  this.timeout(15000);
  it('Get list table of restaurant', done => {
    let requestParams = {
      floorId: floorId,
      restaurantId: restaurant.id
    };
    chai
      .request(`${baseUrl}`)
      .get(`/restaurants/tables/get-tables-with-order-info?floorId=${requestParams.floorId}&restaurantId=${requestParams.restaurantId}`)
      .set({
        Authorization: `Bearer ${token.manager.token}`
      })
      .send(requestParams)
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body, 'data', 'array');

        const data = res.body.data;
        if (data.length > 0 && data[0]) {
          const table = data[0];
          checkProperty(table, "id", "number");
          checkProperty(table, "floorId", "number");
          checkProperty(table, "name", "string");
          checkProperty(table, "numberOfSeat", "number");
          checkProperty(table, "shapeId", "number");
          checkProperty(table, "rotationDegree", "number");
          checkProperty(table, "type", "number");
          checkProperty(table, "width", "number");
          checkProperty(table, "height", "number");
          checkProperty(table, "positionX", "number");
          checkProperty(table, "positionY", "number");
          checkProperty(table, "order", "object");
          done();
        }
        else {
          done();
        }
      });
  });
});

