const chai = require('chai');
const chaiHttp = require('chai-http');
const expect = chai.expect;
chai.should();
const {token, merchantcode, baseUrl, envData, restaurant} = require('../../constants');
const {
  checkResponseStatus,
  checkProperty,
} = require('../../common');

chai.use(chaiHttp);

describe('Test services', function () {
  this.timeout(15000);
  it('Get list services', done => {
    const limit = 10;
    const page = 1;
    const restaurantId = restaurant.id;
    chai
      .request(`${baseUrl}`)
      .get(`/orders/services?limit=${limit}&page=${page}&restaurantId=${restaurantId}`)
      .set({
        Authorization: `Bearer ${token.staff.token}`
      })
      .end((err, res) => {
        checkResponseStatus(res, 200);
        checkProperty(res.body.data, 'orders', 'array');
        checkProperty(res.body.data, 'total', 'string');
        const orders = res.body.data.orders;
        if (orders[0]) {
          const order = orders[0];
          checkProperty(order, 'id', 'number');
          checkProperty(order, 'firstName', 'string');
          checkProperty(order, 'lastName', 'string');
          checkProperty(order, 'createdTime', 'string');
          checkProperty(order, 'placedTime', 'string');
          checkProperty(order, 'status', 'number');
          checkProperty(order, 'qrCode', 'string');
          checkProperty(order, 'orderTypeId', 'number');
          checkProperty(order, 'orderItems', 'array');
          done();
        }
        else {
          done();
        }
      });
  });
});
